version & changelog, tag for release
2019-09-03 ralph@amissah.com
fc418a65 (tag: sisu_7.2.0)

qi_libs.rb helper, force git version tag when tag requested
2019-09-03 ralph@amissah.com
e98d9586

re-introduce depreciated markup for numbering codeblocks
2019-09-02 ralph@amissah.com
682f7207

markup modification: code blocks attributes, numberlines
2019-09-02 ralph@amissah.com
7ad03241

re-introduce depreciated table markup for table attributes
2019-08-28 ralph@amissah.com
e4af625f

markup modification: table attributes
2019-08-28 ralph@amissah.com
172c0417

markup modification: distinguish blocks and groups
2019-08-28 ralph@amissah.com
480ff5a4
- use where appropriate instead of poem

version & changelog, open commit window
2019-08-28 ralph@amissah.com
cb1f7d55

version & changelog, tag for release
2019-07-16 ralph@amissah.com
444465c1 (tag: sisu_7.1.12, origin/upstream)

texpdf, indent values, use formula (to replace table)
2019-07-16 ralph@amissah.com
38f77adf
- values changed to work better with portrait a4 & letter

changelogs cosmetic substitution (org-mode)
2019-07-16 ralph@amissah.com
df3dbe03

version & changelog, open commit window
2019-07-16 ralph@amissah.com
888aace2

version & changelog, tag for release
2017-07-14 ralph@amissah.com
daba1068 (tag: sisu_7.1.11)

--no-metadata turns off appending metadata to doc
2017-07-14 ralph@amissah.com
486a84f9
- (Closes: #746742)
  "please implement --no-metadata similar to --no-manifest"

html, minitoc, default off
2017-07-14 ralph@amissah.com
90e27c85
- default where no instruction given changed to false
  (requested, as minitoc is sub-optimal for viewing with
  smaller devices (when present minitoc is placed on left
  part of screen together with content to its right))

version & changelog, open commit window
2017-07-14 ralph@amissah.com
ff31523b

version & changelog, tag for release
2017-07-02 ralph@amissah.com
71d9615c (tag: sisu_7.1.10)

texpf_format (debian texlive packages for usepackage .sty)
2017-07-02 ralph@amissah.com
55df651b
- update notes

sisu.vim (syntax highlighting) back reference related fix
2017-07-02 ralph@amissah.com
63825bdc
- provided by Bram Moolenaar

version & changelog, open commit window
2017-07-02 ralph@amissah.com
e4d9cabb

version & changelog, tag for release
2016-07-31 ralph@amissah.com
ab9d0a0a (tag: sisu_7.1.9)

html css, (root) heading size
2016-07-31 ralph@amissah.com
c3c2422a

version & changelog, open commit window
2016-07-31 ralph@amissah.com
5b9b6b73

version & changelog, tag for release
2016-02-26 ralph@amissah.com
eea0f68f (tag: sisu_7.1.8)

json, an output representation, first pass
2016-02-24 ralph@amissah.com
ee91e628

txt_orgmode, update (dp add email header field)
2016-02-21 ralph@amissah.com
3c8723a4

sisu.org add to header and minor update
2016-02-21 ralph@amissah.com
c558a2b2

sisu-mode.el 7.1.8 as committed to Gnu elpa
2016-02-20 ralph@amissah.com
aed0c99e
- submissions with much feedback from Stefan Monnier
- 2016-02-22

header hyperlink delimiters, now square brackets
2016-02-12 ralph@amissah.com
feffc6a1

headers, year set 2016
2016-02-09 ralph@amissah.com
6532732d

version & changelog, open commit window
2016-02-09 ralph@amissah.com
05757bab

version & changelog, tag for release
2016-01-05 ralph@amissah.com
c716980a (tag: sisu_7.1.7)

sisu-mode.el, tic block markup, and minor arrangement
2015-12-29 ralph@amissah.com
804502e6
- moves outline-regexp
- adjustment to autoload list

sisu-mode.el apply patch from Kevin Ryde of 2015-12-18
2015-12-29 ralph@amissah.com
a6a3601e

version & changelog, open commit window
2015-12-29 ralph@amissah.com
f4963b4c

version & changelog, tag for release
2015-12-15 ralph@amissah.com
96ace838 (tag: sisu_7.1.6)

ao_images, require 'rmagick' (instead of 'RMagick' depreciated)
2015-12-14 ralph@amissah.com
07970cd9

filename reference version update sisu_7a_sqlite.cgi
2015-12-14 ralph@amissah.com
86cf7cf3

documentation related to search, needs further review
2015-12-14 ralph@amissah.com
bc2b328e

emacs sisu-mode.el match tic style markup blocks ``` (revisit required)
2015-12-14 ralph@amissah.com
9664f4d7

emacs sisu-mode.el & sisu-mode-autoloads.el
2015-12-14 ralph@amissah.com
923d361c
-  sisu-mode.el, minor update and modify format to reduce diff with FSF
   version
-  sisu-mode-autoloads.el, added (see elpa 3.0.3 & Kevin Ryde recent post)

version & changelog, open commit window
2015-12-14 ralph@amissah.com
3c0ac733

version & changelog, tag for release
2015-06-02 ralph@amissah.com
f3a5e917 (tag: sisu_7.1.5)

minor clean, a file removed
2015-06-02 ralph@amissah.com
c0b6f1bc

version & changelog, open commit window
2015-06-02 ralph@amissah.com
5640ed78

version & changelog, tag for release
2015-05-21 ralph@amissah.com
a79af026 (tag: sisu_7.1.4)

constants, search, db name, period before and after db version
2015-05-20 ralph@amissah.com
0a971e44 (tag: sisu_7.1.3)
- aesthetic change, the current db name base becomes SiSU.7a.
- existing databases must be reinitialized
- (database structure is unchanged)

date, some remaining year updates 2015
2015-05-21 ralph@amissah.com
53e47913

version & changelog, open commit window
2015-05-20 ralph@amissah.com
a271416b

version & changelog, tag for release
2015-05-18 ralph@amissah.com
17f9306b (tag: sisu_7.1.2)

bin/sisu juggle multiple install & run options, resolve issue
2015-05-18 ralph@amissah.com
8b1af126

version & changelog, open commit window
2015-05-18 ralph@amissah.com
4b49cafb

version & changelog, tag for release
2015-05-17 ralph@amissah.com
4748a2ee (tag: sisu_7.1.1)

qi pkg manage changelog
2015-05-17 ralph@amissah.com
5ccf1584

bin/sisu juggle multiple install & run options
2015-05-17 ralph@amissah.com
d020a0bd

qi (quick install) gem install version
2015-05-17 ralph@amissah.com
9979682d

qi (quick install) gem install git version option
2015-05-17 ralph@amissah.com
164ba294

bin/sisu , install name check (stable & git versions)
2015-05-17 ralph@amissah.com
6217cf0e

version & changelog, open commit window
2015-05-17 ralph@amissah.com
e58fbdc6

version & changelog, tag for release
2015-05-12 ralph@amissah.com
02d744a3 (tag: sisu_7.1.0)

documentation update !bibliography & !glossary
2015-05-12 ralph@amissah.com
ab31d70b

appendices: bibliography & glossary, worked on
2015-05-11 ralph@amissah.com
40b83047
- bibliography & glossary make activated by markup headers
  1~!biblio & 1~!glossary
- bibliography tags altered
  (introduced in 5.8.0 v6 project dir branch)
- version bump for change in behavior

ao_references, fix
2015-05-11 ralph@amissah.com
c606ff1a

qi (quick install) cleaning
2015-05-06 ralph@amissah.com
ee8b3b22

changelogs, clean up some cruft
2015-05-13 ralph@amissah.com
98461acf

version & changelog
2015-05-05 ralph@amissah.com
fba0e3e4

version & changelog, tag for release
2015-05-01 ralph@amissah.com
c0f6a9e6 (tag: sisu_7.0.0)

documentation, reflect absence of version directory branches
2015-05-01 ralph@amissah.com
6ca9586a

lib/sisu/*, single libs directory (c&d gone) (7)
2015-04-21 ralph@amissah.com
960c3088
- removed lib/sisu/{current,develop} dir branches
  v7 (v5 & v6 retired)
- simplify dir structure, offer single version per snapshot
- have enjoyed carrying stable and development versions v5 & v6
  in a single tarball, may return to this structure

version & changelog v7
2015-04-20 ralph@amissah.com
4e86b5cc
- version info changes cause break, fixed in next commit

version & changelog, tag for release
2015-04-21 ralph@amissah.com
1b360ea3 (tag: sisu_6.5.0)

d: v6 made default branch (prior to v7 dir restructuring)
2015-04-21 ralph@amissah.com
2ade55a3
- v5 invocation available as legacy, but is the same as v6
- qi_libs, gem metadata, minor
- sisu_packaging.org: ruby require list; update sisu description
- bin/ chmod 755

c<-d: sync, roll develop into current dir branch (5==6)
2015-04-19 ralph@amissah.com
1323f18a
- two dir branches, same library contents
  (v5 synced & updated with v6)

setup.rb s/Config/RbConfig/
2015-04-29 ralph@amissah.com
0de7dc34

gitignore adjustments
2015-04-30 ralph@amissah.com
caa1ddce

c&d: version & changelog
2015-04-20 ralph@amissah.com
4706c1ff

version & changelog, tag for release
2015-04-21 ralph@amissah.com
e0edf0e7 (tag: sisu_5.8.0)

c&d: se_info_env, program images path
2015-04-21 ralph@amissah.com
6b914403

c: hub options, fix
2015-04-21 ralph@amissah.com
b2ff4e77

qi libs, minor, remove debian specific url
2015-04-21 ralph@amissah.com
2f5043b9

sisu.org git download info
2015-04-21 ralph@amissah.com
55cfe3bb

gitignore adjustments
2015-04-21 ralph@amissah.com
ae273564

d: hub, if run from dir tree check git describe version info
2015-04-12 ralph@amissah.com
0ec4b394

bin/sisu when run from dir tree, check git describe version info
2015-04-12 ralph@amissah.com
d0ad76e3

documentation, acquiring source & installation, minor
2015-04-10 ralph@amissah.com
09497963

install related, qi (quick install) & rake
2015-04-10 ralph@amissah.com
490b3717

qi (quick install) fix
2015-04-08 ralph@amissah.com
72fbfab2

sisu packaging notes
2015-04-06 ralph@amissah.com
096c8888

sisu.org, prevent subscripting (by underscore) mangles file paths
2015-04-06 ralph@amissah.com
28c21059

c&d: sort image path when run from project dir (not installed)
2015-04-06 ralph@amissah.com
7ae4b455

c&d: pass info needed make run better without install
2015-04-06 ralph@amissah.com
906634e9

c&d: se_programs for "which" i/o redirection of error message
2015-04-06 ralph@amissah.com
8f28f4c4

d: ao_doc_objects fix for ao_doc_str
2015-04-07 ralph@amissah.com
aa72429a

c&d: cleaning
2015-04-06 ralph@amissah.com
16615136

gitignore, minor adjustment
2015-04-06 ralph@amissah.com
8a8d7146

documentation update to mention bibliography
2015-03-22 ralph@amissah.com
28203ded

d: bibliography marked up section of citations & metadata
2015-03-19 ralph@amissah.com
e7ce21ab
- if any order is as follows: endnotes; bibliography; index
- to trigger, identify the bibliography section using heading
  1~biblio
- and either:
 - provide tagged bibliography at end of document, along with
    an id for use in footnotes & the short title that should
    be used to substitute the id
  or:
 - tag citations in footnotes that should appear in
    bibliography
- bibliography currently sorted on last name year and title
- first pass (see documentation to be provided)

d: ao & elsewhere, use of map & select
2015-03-19 ralph@amissah.com
64dfdccb

d: manifest add html ids to label/identify content
2015-03-22 ralph@amissah.com
aae3c4c1

d: manpage fix
2015-03-22 ralph@amissah.com
70cf530d

c&d: ao regex matches, auto match possessives ending in 's
2015-03-19 ralph@amissah.com
24624902
- header regex matches for bold & italics, auto match possessives
  ending in 's

c&d: misc, largely but not entirely cosmetic
2015-03-19 ralph@amissah.com
9a05bd6d

gitignore, minor
2015-03-19 ralph@amissah.com
19d976c3

d: po4a, initialize either directly with sst or passed through ao
2015-01-15 ralph@amissah.com
45d6d69d
- creates source language directory with source markup files
  (.sst .ssm .ssi) & the po4a.cfg configuration file, then runs
  po4a to place the markup source under po4a translation
  management
- --po4a-sst uses original sisu markup source as described above
- --po4a-ao passes sisu source markup through document abstraction
  before converting back to a sisu markup source markup equivalent
  of the original document, it does this in an attempt to get more
  uniform output, and put footnotes for example if any in a form
  that is easier to translate
  --po4a-ao -v --trans-en:fr,es en/live-manual.ssm
  --po4a-ao -v --trans-en:fr,es en/live-manual.ssm \
    es/live-manual.ssm
  in the latter example also runs sisu marked up "es" document
  through document abstraction and returns a sisu markup source
  version of the document, and against this gettext is (or can be
  run) to (attempt to) have the source and target languages
  together in the po/es file
- all quite rough, will need to be revisited,
- these for now replace the renamed --po4a-shelf (formerly --po4a)

d: po4a_shelf, shelf current po4a, change tack
2015-01-15 ralph@amissah.com
adf811ce

d: po4a, provide po4a.cfg file
2015-01-13 ralph@amissah.com
6ae23165

bin/sisu-misc-utils + c&d: lib sisu_thor_lib currently only po4a
2015-01-12 ralph@amissah.com
b36588c9
- uses po4a to create po files with empty translation strings
- in appropriately configured directory e.g.
  "data/doc/sisu/markup-samples/manual" have file named:
  "languages_source_and_targets" containing e.g.:
    source: en
    targets: de fr es ja ru zh
  command examples:
    ruby ~snx/bin/sisu-misc-utils po4a --next --clean
    ruby ~snx/bin/sisu-misc-utils po4a --next --distclean
    ruby ~snx/bin/sisu-misc-utils po4a --next --make

sisu po4a ruby thor Rakefile equivalent (& cosmetic edit to qi)
2015-01-09 ralph@amissah.com
28097d45

d: utils_response, rely on module (remove class) extend module
2015-01-11 ralph@amissah.com
23a3bb79
- update a couple of affected files

d: utils_response, ease selection options
2015-01-11 ralph@amissah.com
127db380

bin/sisu + c&d: SiSU_is now methods (instead of hash)
2015-01-11 ralph@amissah.com
802bf61f

bin + c&d: RbConfig (instead of Config, switch)
2015-01-12 ralph@amissah.com
b2ccc637

c&d: some cruft
2015-01-11 ralph@amissah.com
01ce3c47

d: composite documents (.ssm), extract insert files list
2015-01-11 ralph@amissah.com
16681920

d: po4a, continue reorganization (translation request dev stopped)
2014-12-31 ralph@amissah.com
a25c6408
- --po4a run against different language versions of sisu markup
  files (representing the same document in different languages)
  initializes po4a structure to place those documents under future
  po4a management
- includes command line translation request
  (use command line program 'trans' to pass request to
  translation.google.com, stopped for now)
  NOTE in case future development is restarted: to test, remove
  code line 'auto_translate?(:skip)' that follows
  'def auto_translation(src_txt,markup=:src)'; place identical
  english sisu markup files in en/test.sst fr/test.sst (or under
  the language code to be tested) and run against en/test.sst
  fr/test.sst e.g. '--po4a --trans --glob test.sst'
  this send identical text objects to translate.google using
  'trans' and populate po file with results for placing future
  translation under po4a management, however in initial tests
  insufficient cleanly translated paragraphs were returned,
  so stopped development for now. (no attempt at initialization
  of new non-existent files using --trans-en:es,fr,de format)
- [hub_options, if development of trans is pursued later consider
  the possibility of modifying the --trans string options to add
  an optional timeout value, &; possibly modifying po4a code so
  timeout may occur a fixed number of times before skipping
  translation request attempts for the remainder].

d: po4a, reorganize a bit
2014-12-30 ralph@amissah.com
dd224ef3

d: po4a, stub for auto-translate
2014-12-26 ralph@amissah.com
311c40ac
- intention (stub only, not implemented)
 - '--po4a --trans --glob test.sst' run against
    en/test.sst fr/test.sst
 - '--po4a --trans-en:fr en/test.sst'
  to send identical text objects to translate.google using 'trans'
  and populate po file with results for placing future translation
  under po4a management

d: po4a, init, if lang src == translation, empty translation field
2014-12-26 ralph@amissah.com
f23af592

c&d: po4a, book index, reinstate
2014-12-26 ralph@amissah.com
7f0d5e93

c&d: po4a (& git) revisited, revisit
2014-12-25 ralph@amissah.com
059e3121

c&d: html, ocn link back to self reinstated
2015-01-07 ralph@amissah.com
881e80cc
- requested, used as quick means to get object url reference link
- d: removed ocn_html_identifier variable, unnecessary in html5
  (requirement previously forced by html4)

c&d: small fixes
2014-12-24 ralph@amissah.com
8afb40ca

sisu.org consider
2014-12-24 ralph@amissah.com
81c9e526

gitignore, ignore
2014-12-24 ralph@amissah.com
4b2eb9f8
- another emacs tmp file pattern
- rb dev tmp backup files, should they ever exist ignore

d: persist, address garbage collection issue, bug, fix
2014-12-11 ralph@amissah.com
7d8015c0
- related to code related changes (re: "persistence") in
  recent reorganization of txt, html, epub, xmls etc.

c&d: html, output by filename, filenames, fix
2014-12-09 ralph@amissah.com
7d9281ca

c&d, cgi, search form, html ref, remove leading o ocn, bugfix
2014-12-08 ralph@amissah.com
6bb4c19f
- in html (on use of html5), removed leading 'o' before ocn, not
  reflected in generated cgi, sample search form, so, does not
  jump to the (otherwise correctly) identified location

d: xmls, reorganize, introduce new file
2014-11-23 ralph@amissah.com
58034303

d: epub, reorganize, introduce new file
2014-11-20 ralph@amissah.com
563195c1

d: html, segments, reorganize, introduce new file
2014-11-20 ralph@amissah.com
1625f316

d: orgmode, add orgmode structure output to txts
2014-11-20 ralph@amissah.com
a37a13fb

d: txt outputs, reorganize, introduce new files
2014-11-20 ralph@amissah.com
e0fcd082

d: ao, rearrange, introduce new file
2014-11-21 ralph@amissah.com
da4985ca

d: misc mostly minor
2014-11-20 ralph@amissah.com
802c3625
- html endnote segment, heading endnote, link back to html scroll
- epub endnote segment fails, issue with match, fix
- dp, remark if no existing option selected

d: in dp (param) project_details used instead of sisu_version
2014-12-06 ralph@amissah.com
64729704

d: track changes to sisu_version info
2014-12-06 ralph@amissah.com
1b77c140

c&d: version & branch info, changes related to move of lib dirs
2014-12-05 ralph@amissah.com
71badaf7

c&d: project dir structure, libs moved under new branch names
2014-11-26 ralph@amissah.com
4db4dcc8
- libs & version files under new branch names: current & develop
- previously under branch version numbers (v5|v6)
- version .yml files moved
- associated adjustments made as required, notably to:
  bin/sisu se* qi* (file headers); breakage potential, testing
  required
- [on dir names, want release to (alphabetically) precede
  next/development, considered (cur|dev)
  (current|(dev|development|progress|next)) (stable|unstable),
  alpha sorting fail (release|(next|develop))]

v5 v6: code headers reformatted for viewing as org-mode files
2014-11-12 ralph@amissah.com
98c8c90b

org files, minor editing
2014-12-04 ralph@amissah.com
17c8e964

org files related to sisu, break up and place in own subdir
2014-11-13 ralph@amissah.com
a0242f55

CHANGELOGS formatted for viewing as emacs org-mode files
2014-11-12 ralph@amissah.com
ce99ce59
- indentation, line-breaking, and formatting characters only changes made

sisu-mode.el emacs, outline mode "folding" for sisu
2014-11-20 ralph@amissah.com
2f2a1157

qi, (quick install) header update (also rbuild)
2014-11-13 ralph@amissah.com
1db1a6e8

year set 2015 (prepare for the new year)
2014-11-12 ralph@amissah.com
9c443e48

v5 v6: version & changelog (upstream "UnFrozen" early)
2014-11-12 ralph@amissah.com
fa762951
- "UnFrozen" prior to original time intended (end of Debian Freeze
  for Jessie), reason: the upstream bugfix 5.7.2 intended for
  Jessie (packaged for Debian as 5.7.1-2) was not accepted; this
  means even if another patch does get sent for Jessie, it will
  not be from upstream branch)
- post Debian:Jessie development commits

v5 v6: ao, composite documents, on --verbose report loading of .sst files, fix
2014-11-02 ralph@amissah.com
e206fef8 (tag: sisu_5.7.2)
- without fix sisu reports loading of .ssm & .ssi files but not .sst
  (sub-documents are imported correctly and resulting document outputs are
  correct and unaffected, but unless aware of this bug it would seem otherwise
  until the correct operation of sisu was manually verified e.g. by examining
  documents produced); (issue somewhat mitigated by not being the most common
  sisu operation)
- sisu is in development freeze, this fix is provided for Debian Jessie
  (Closes: #767761)

v5 v6: version & changelog (Frozen: bugfix & documentation changes only)
2014-11-02 ralph@amissah.com
b6e6eb5c
- NOTE: sisu is in development freeze mirroring the Debian release cycle;
  bugfix & documentation update only, pending the release of Debian Jessie
- (as sisu upstream) the cleanest git workflow solution to the Debian freeze
  appears to be to follow the Debian freeze with respect to upstream alterations
  of sisu (bugfix & documentation only), incrementing upstream version number
  as usual, whilst building package as required for Debian freeze version of
  sisu 5.7.1-*

v5 v6: cgi, sample search form, find & display endnotes from parent text object
2014-10-19 ralph@amissah.com
18ee3095 (tag: sisu_5.7.1)
- remove dedicated endnote search section (as endnotes found & listed from
  reference text field)
- cleaner search results

v5 v6: db, text search & display field, footnotes moved to end of text object
2014-10-19 ralph@amissah.com
2c73f306
- cleaner, more useful search results
- cleaner text search field
- separate footnote fields redundant for search purposes

v5 v6: html_format, "id"s for objects & footnotes
2014-10-19 ralph@amissah.com
41ad83d4

v5 v6: html, remove trailing backslash for empty linebreak & paragraph, <br> <p>
2014-10-19 ralph@amissah.com
84957a42

v5 v6: version & changelog (tidy & simplify, output related)
2014-10-19 ralph@amissah.com
0dd55e12

v5: merge v6: remove defaults.rb & some relics related to sisu skins
2014-10-12 ralph@amissah.com
32fd8f39 (tag: sisu_5.7.0)

v6: '*_parts', remove defaults.rb & some relics related to sisu skins, long gone
2014-10-12 ralph@amissah.com
53b74bac
- old code removed & substituted as required by *_parts
- attending code changes, fairly wide ranging, test

v5 v6: html, epub, set document body language
2014-10-12 ralph@amissah.com
71037059

v5 v6: html_format, label, re: object number object names
2014-10-12 ralph@amissah.com
b99857de

v5 v6: constants, remove ocn html leader
2014-10-12 ralph@amissah.com
e2836810
- resulting hashtag #1 instead of #o1

v5: html, reduce difference with v6 (mostly removal of bgcolor)
2014-10-12 ralph@amissah.com
46485232
- note: html_format.rb has differences, else same

v5: html, reduce difference with v6 (removal of some trailing slashes <p> <br>)
2014-10-12 ralph@amissah.com
92b4747c

v5 v6: moved files: harvest* to html_harvest*
2014-10-12 ralph@amissah.com
61b9cb50

v5 v6: bin/sisu, hub, urls --maintenance, fix
2014-10-12 ralph@amissah.com
1f0232a2

v5 v6: db, --maintenance sql, separated out postgresql & sqlite
2014-10-12 ralph@amissah.com
69d47638
- could share "maintenance" db import sql file (as done previously), consider

v5 v6: epub tune, --maintenance, fix
2014-10-12 ralph@amissah.com
ff3eb782

v5 v6: qrcode, sha call, fix
2014-10-12 ralph@amissah.com
2f0c9ef1

v5 v6: version & changelog
2014-10-12 ralph@amissah.com
758d2cbd

documentation, minor (on --act)
2014-10-03 ralph@amissah.com
aa2ad4de (tag: sisu_5.6.9)

v5 v6: html, tiny first nudge toward html5 (v5 v6 differ)
2014-10-03 ralph@amissah.com
14b5f964
- document headers, other minor

v5 v6: --act provides info on current --act0 to --act9 settings
2014-10-03 ralph@amissah.com
97864e99
- makes it easier to make use of acts 0 to 9

v5 v6: cleaning, minor
2014-10-03 ralph@amissah.com
0bd17c97

sisu.org move stuff done to sisu-done.org
2014-10-03 ralph@amissah.com
3883915a

v5 v6: version & changelog
2014-10-03 ralph@amissah.com
659b10c6

v5 v6: header comment reduction, minor
2014-09-28 ralph@amissah.com
ca70dde5 (tag: sisu_5.6.8)

v5 v6: sql, clean searchable text
2014-09-28 ralph@amissah.com
33b94cc1
- update for (ao/dal) text representation, fix legacy action

v5 v6: manifest, renamed html_manifest
2014-09-28 ralph@amissah.com
558fe23f

v5 v6: xml cosmetic code, minor
2014-09-28 ralph@amissah.com
4a794af5

qi (quick installer) minor
2014-09-28 ralph@amissah.com
a0736573

v5 v6: version & changelog
2014-09-28 ralph@amissah.com
7ee89296

touch dates
2014-09-19 ralph@amissah.com
cd3bd14c (tag: sisu_5.6.7)

update urls to git repo
2014-09-19 ralph@amissah.com
bd5a9529

vim syntax, sisu.vim, update git url and email address
2014-09-14 ralph@amissah.com
61c58cee

v5 v6: version & changelog
2014-09-14 ralph@amissah.com
52ad2abe

v5 v6: ao, auto naming (segment & tag), exceptions, avoidance of name collisions
2014-09-12 ralph@amissah.com
165276e6 (tag: sisu_5.6.6)
- (i) auto naming attempts to extract a suitable numeric name from document
  headings if available, at times one appears to be available but is re-used
  elsewhere in the document, (as where the document has Parts or Sections and
  naming starts again within these sections from 1); (ii) this is treated as an
  exception and an alternative sequential naming scheme is triggered; (iii) if a
  document heading does not provide a suitable numeric name, another sequential
  scheme is used

v5 v6: ao, feedback on markup document structure (heading level) errors
2014-09-12 ralph@amissah.com
47afa95b
- adjustment to (existing) provided feedback, based on:
 - level A~ title, required;
 - levels B~ C~ D~ optional sequential document divider headings
    (Part, Section etc. equivalent);
 - level 1~ required, heading level preceding substantive text; followed by
 - levels 2~ 3~ 4~ optional, sequential headings
    (1.1, 1.1.1, 1.1.1.1 equivalents)

v5 v6: ao, expansion of links to internal filepaths (re: syntax based shortcut)
2014-09-12 ralph@amissah.com
5dce93cc
- expansion of sisu output filepaths (sync with use of --act0 to --act9)

sisurc, update samples
2014-09-12 ralph@amissah.com
6e1e2b4d
- adjustments to default settings for --act0 to --act9 (to match current "se")
- removed sisurc examples to organize output by filetype, filename, monolingual,
  as one word diff
  output_dir_structure_by: language
  # (language|filetype|(filetype_mono|monolingual)|filename|filename_mono)
  # language
  #   (language and filetype directories);
  # filetype
  #   (filetype directories, filename includes language code);
  # filetype_mono (or monolingual)
  #   (filetype drectories, no language codes in filenames)
  # filename
  #   (directory output similar to v1 v2, filename includes language code);
  # filename_mono
  #   (directory output similar to v1 v2, filename without language code)

v5 v6: se, processing, adjustments to default settings for --act0 to --act9
2014-09-12 ralph@amissah.com
48e7c350

v5 v6: se, env, lingual: mono / multi, rc settings
2014-09-12 ralph@amissah.com
b1e7b97d

v5 v6: hub, /tmp processing directory checks
2014-09-12 ralph@amissah.com
57f76ceb

v5 v6: version & changelog
2014-09-12 ralph@amissah.com
64968ca1

v5 v6: ao_doc_str, if faulty document structure, stop; if --no-stop option, skip
2014-09-05 ralph@amissah.com
98066f7d (tag: sisu_5.6.5)

v5 v6: ao_numbering, provide more information on duplicate numbering before stop
2014-09-05 ralph@amissah.com
cf1ec234

v5 v6: html navigation, enable turn off (nav buttons on remaining html segments)
2014-09-05 ralph@amissah.com
984b76e0

v5 v6: (for html) set default to navigation bar off
2014-09-05 ralph@amissah.com
57c8b068

v5 v6: xml xhtml outputs, &amp; issues
2014-09-05 ralph@amissah.com
6a13e63f

v5 v6: shared_metadata, requires xml_shared
2014-09-05 ralph@amissah.com
8422ce1d

v5 v6: link/path fixes
2014-09-05 ralph@amissah.com
94cf89b0
- manifest, link where no "document harvest"
- html, home button links url (remove slash)
- harvest_authors, by_filetype, manifest path

v5 v6: version & changelog
2014-09-05 ralph@amissah.com
ec29e713

v5 v6: version, touch date
2014-09-01 ralph@amissah.com
c7da8f76 (tag: sisu_5.6.4)

v5 v6: misc, for when external dependencies unmet
2014-09-01 ralph@amissah.com
48ed4030

v5 v6: cgi_sqlite, expansion of variable (default db name), double quotes, fix
2014-09-01 ralph@amissah.com
81c7c3ff

v5 v6: version & changelog (& rakefile)
2014-08-30 ralph@amissah.com
062ca593

v5 v6: dp, texpdf, copyright_and_license, minor fix, used by texpdf
2014-08-29 ralph@amissah.com
90f6210f (tag: sisu_5.6.3)

v5 v6: hub, sisu version info, when & what to report
2014-08-29 ralph@amissah.com
32d773a2

v5 v6: cosmetic code
2014-08-29 ralph@amissah.com
967a86f0

sisurc, minor
2014-08-29 ralph@amissah.com
91ac7214

qi, start using ruby-thor (for rake like tasks)
2014-08-29 ralph@amissah.com
7248e7c4

setup/ (start using) Rakefile Rantfile link to setup/rbuild
2014-08-29 ralph@amissah.com
1fe52e4d

v5 v6: version & changelog (& rakefile)
2014-08-29 ralph@amissah.com
3e26d06f

documentation related, sisu manual book index, and --no-stop command
2014-08-20 ralph@amissah.com
1508dff1 (tag: sisu_5.6.2)

v5 v6: start making use of --no-stop command
2014-08-20 ralph@amissah.com
29fc7f3c

v5 v6: hub options, introduce "error override" --no-stop or --errors-as-warnings
2014-08-20 ralph@amissah.com
0f1666f8

v5 v6: ao, book index related
2014-08-20 ralph@amissah.com
e1b6e755

v5 v6: ao_expand_insertions, blocked text match, adjust
2014-08-20 ralph@amissah.com
0fda4e96

v5 v6: texpdf, output, copyright & license
2014-08-20 ralph@amissah.com
766b4b6a

vim, emacs, syntax hilighting, restrict heading matches, minor
2014-08-20 ralph@amissah.com
aa2a6060

v5 v6: cosmetic code
2014-08-20 ralph@amissah.com
6c757d01

rbuild, gem build a selected tagged sisu version
2014-08-20 ralph@amissah.com
38caf649

v5 v6: version & changelog (& rakefile)
2014-08-20 ralph@amissah.com
b62b612e

v5 v6: hub, organisation & loose ends
2014-08-12 ralph@amissah.com
9680068e (tag: sisu_5.6.1)
- tweak triggers
- split file further
- remove mod

v5 v6: webrick, wb.cgi fixed & omitted/(use discarded)
2014-08-12 ralph@amissah.com
f6ad6569

v5 v6: version & changelog (& rakefile)
2014-08-12 ralph@amissah.com
a57d1562

documentation related
2014-08-08 ralph@amissah.com
23b07d95 (tag: sisu_5.6.0)

v5 v6: extend document structure, headings A - D, 1 - 4
2014-08-08 ralph@amissah.com
6bc3b814
- sql db table structure changed (needs to be rebuilt)

v5: merged v6 libraries
2014-08-08 ralph@amissah.com
80903424
- commandline, --act0 to --act9, rc-config with flag:act[0-9]
 - configurable command line options increased to 0 - 9 (instead of 0 - 5)
 - use --act0 to --act9 (previous flags -1 to -5; -0 to -9 now available)
 - default --act0
 - rc config with flag:act0 to flag:act9 (previously roman numerals)
 - legacy roman numeral configuration works (for now)
- use opt.act, code internals (simplify, cleaner; remove opt.cmd
    & opt.mod)
- hub, further changes related to use of opt.act; hub file split

v5 v6: version & changelog (& rakefile)
2014-08-08 ralph@amissah.com
d7f17dc4

v6: hub, further changes related to use of opt.act; hub file split
2014-08-08 ralph@amissah.com
3a7ba139 (tag: sisu_5.5.6)

v6: use opt.act, code internals (simplify, cleaner; remove opt.cmd & opt.mod)
2014-08-08 ralph@amissah.com
64e5c912
- v5 dp, indentation changed to retain easy comparison with v6

v6: commandline, --act0 to --act9, rc-config with flag:act[0-9]
2014-08-08 ralph@amissah.com
c10a6dcb
- configurable command line options increased to 0 - 9 (instead of 0 - 5)
- use --act0 to --act9 (previous flags -1 to -5; -0 to -9 now available)
- default --act0
- rc config with flag:act0 to flag:act9 (previously roman numerals)
- legacy roman numeral configuration works (for now)

v5 v6: code file renames, fairly extensive
2014-08-08 ralph@amissah.com
39e11a44
- v5 file renames sync with v6 for easier comparison
- v5 here (5.5.6) remains as in previous version (5.5.5)

v5 v6: version & changelog (& rakefile)
2014-08-08 ralph@amissah.com
94106f16

v5 v6: ensure reset of parsed document directory path
2014-07-29 ralph@amissah.com
a79f9862 (tag: sisu_5.5.5)
- needed in the case of html for some subsequent processing

v5 v6: options, minor fixes
2014-07-29 ralph@amissah.com
1fa2ba3f

v5 v6: version & changelog (& rakefile)
2014-07-29 ralph@amissah.com
cf8ecbb7

v5 v6: ao_numbering, auto name segment, tweak to make behave as intended
2014-07-24 ralph@amissah.com
2907137b (tag: sisu_5.5.4)
- further testing required

v5 v6: version & changelog (& rakefile)
2014-07-24 ralph@amissah.com
4cde4b1e

v5 v6: db, reorganize previous commit
2014-07-23 ralph@amissah.com
c59e0eed (tag: sisu_5.5.3)

v5 v6: db, rescue where no tables, attempt to initialize db and retry
2014-07-23 ralph@amissah.com
3b753e3d
- internally run the equivalent of --createall
- (if successful) permitting completion of --import or --update command
- make use of action triggers

v5 v6: version & changelog (& rakefile)
2014-07-23 ralph@amissah.com
09223f6a

documentation related
2014-07-22 ralph@amissah.com
743e0407 (tag: sisu_5.5.2)

v5 v6: sysenv, processing shortcuts, options, adjust
2014-07-22 ralph@amissah.com
0ec06db2
- (further refinement necessary)

v5 v6: sysenv, revert to use of stub_pwd to correct hub post processing behavior
2014-07-22 ralph@amissah.com
67533e4e
- revert to use of stub_pwd (instead of preferred base_markup_dir_stub
  introduced in 5.5.1) to bring back correct hub (post) processing behavior

v5 v6: sysenv, reorganise, break up file, multiple se_* files
2014-07-22 ralph@amissah.com
ab10de39

v5 v6: db, pqsl, sqlite, reorganise triggers
2014-07-22 ralph@amissah.com
f36e8bf7

v5 v6: db, pg import, fix
2014-07-22 ralph@amissah.com
94aa1549
- remove dbi from rescue, no longer using ruby-dbi
- ruby-pg query SELECT MAX

v5 v6: db, minor
2014-07-22 ralph@amissah.com
e3121a48

v5 v6: options, sisupod parsing, fix
2014-07-22 ralph@amissah.com
dc516087

v5 v6: html_lite_shared, issue, fix
2014-07-22 ralph@amissah.com
b9b01e57

v5 v6: bin/sisu, hub, hub close (ensure), remove /tmp/ processing dir
2014-07-22 ralph@amissah.com
e1af490a

v5 v6: cosmetic code
2014-07-22 ralph@amissah.com
41796e30

v5 v6: version & changelog (& rakefile)
2014-07-22 ralph@amissah.com
a9f81c23

v5 v6: document images (more to clean up)
2014-07-15 ralph@amissah.com
4ef1c309 (tag: sisu_5.5.1)

v5 v6: base images & css, continue
2014-07-15 ralph@amissah.com
3628703f

v5 v6: base images & css
2014-07-15 ralph@amissah.com
3a3037c4

v5 v6: docbook, status, under construction notice removed (still much to do)
2014-07-15 ralph@amissah.com
99f57f7e

v5 v6: docbook, css (needs work), also doc header, sisu processing info
2014-07-15 ralph@amissah.com
d8917347

v5 v6: docbook, images, and adjustment
2014-07-15 ralph@amissah.com
796915d8

v5 v6: docbook, url links, urls
2014-07-15 ralph@amissah.com
8a09a5fc

v5 v6: docbook, code & other blocks markup
2014-07-15 ralph@amissah.com
84fcc4fb

v5 v6: src, sisupod, bring back in line
2014-07-15 ralph@amissah.com
7222b360

v5 v6: src_share, cosmetic code
2014-07-15 ralph@amissah.com
9100b4d6

v5 v6: ao_numbering, auto name segment, extract "number" from heading, refine
2014-07-15 ralph@amissah.com
03c28469

v5 v6: sysenv, general, base_markup_dir_stub (replace pwd_stub)
2014-07-15 ralph@amissah.com
639c57eb

v5 v6: bin/sisu, hub, options, pass message: sisu_called_from_directory
2014-07-15 ralph@amissah.com
ebc9b30c

documents / documentation related
2014-07-15 ralph@amissah.com
f89b2e6c
- COPYRIGHT, date
- sisu.org, minor
- README
- manpage

v5 v6: version & changelog (& rakefile)
2014-07-15 ralph@amissah.com
db6adeb7

documention related
2014-07-11 ralph@amissah.com
bf076ed4 (tag: sisu_5.5.0)

v5 v6: src, sisupod composite source, nested includes
2014-07-11 ralph@amissah.com
a93f8d5d

v5 v6: src sisupod, cosmetic code arrangement
2014-07-11 ralph@amissah.com
3daec543

v5 v6: ao_composite, nested includes, .ssi (insert) can now include .ssi & .sst
2014-07-11 ralph@amissah.com
86ce2181
- .ssm can contain/include .sst or .ssi
  .sst files can be processed independently, they do not contain other files
  .ssi files have been only insertions of text & are not processed independently
  but as part of an ssm
  change proposed:
  .ssm unchanged,
  .sst unchanged,
  .ssi as before, but can include .sst or .ssi, so:
  files are only insertions & are not processed independently but as part of an
  .ssm or another .ssi
  i.e. as before with the addition that it like a .ssm can contain/include
  .sst or .ssi
- requested feature, (Closes: #744408)
  User beware. In previous versions there has been a deliberate attempt to keep
  it easy to follow documents & not have to dig through different levels of
  includes, as this is more likely to lead to errors in markup.
  The idea of nested includes has not been attractive (messy for a document),
  however, this is now made possible, use with care
 - it is not as easy to see document structure at a glance, and structural
    errors may be introduced and will need to be taken care of (requiring
    document markup debugging)
 - allowing .ssi to also include other .ssi or .sst could lead to infinite
    recursion if an .ssi includes another which includes itself; stopping after
    an additional level of includes seems arbitrary, and possibly prone to error
    if you are dealing with many documents
- requires testing
- version bump, new behavior added to .ssi one of the 3 sisu filetypes

v5 v6: ao_composite, variable name
2014-07-11 ralph@amissah.com
cc3380a5

v5 v6: ao_numbering, check that all auto given number based seg names are unique
2014-07-11 ralph@amissah.com
561b6627

v5 v6: ao_numbering, auto name segment, extract "number" from heading, fix
2014-07-11 ralph@amissah.com
d1c4bb34

v5 v6: version & changelog (& rakefile)
2014-07-11 ralph@amissah.com
26ec305b

sisu.org, README minor
2014-07-07 ralph@amissah.com
51ac9999 (tag: sisu_5.4.5)

v5 v6: ao, auto seg naming, adjustments
2014-07-07 ralph@amissah.com
0c805339
- re: seg numbering, fixed width, leading zeros (introduced: 5.4.3 / 6.0.9)

bin/sisu, processing dir related
2014-07-07 ralph@amissah.com
58c41f68
- e.g. using live-manual/manual as sample, the following should work as expected
  available: ca de en es fr it ja pl pt_BR ro; select: en & ja:
    sisu --html -v en/live-manual.ssm ja/live-manual.ssm
  or for all available translations:
    sisu --html -v **/live-manual.ssm
  (these previously would have broken after processing the first directory)
  sisu command equivalent for all available translations being (unaffected):
    sisu --html -v --glob live-manual

bin/sisu, some cosmetic long line breaking
2014-07-07 ralph@amissah.com
4080aa45

v5 v6: version & changelog (& rakefile) (git, ref log instead of shortlog)
2014-07-07 ralph@amissah.com
86ca0ae6

v5 v6: ao, fix, re: seg numbering, fixed width, leading zeros (new in 5.4.3)
2014-07-04 ralph@amissah.com
618c5f11 (tag: sisu_5.4.4)
- provisional fix (check related issues against 5.4.2)

v5 v6: version & changelog (& rakefile)
2014-07-04 ralph@amissah.com
d7255c64

v5 v6: sysenv, developer _CONSTRUCTION_ZONE warning setup modified
2014-07-01 ralph@amissah.com
d850e670 (tag: sisu_5.4.3)

v5 v6: epub, a fix, double check
2014-07-01 ralph@amissah.com
1b3d9ac3

v5 v6: ao, segment numbering, fixed width, leading zeros
2014-07-01 ralph@amissah.com
f74de438
- alphanumeric sorting

v5 v6: ao, doc objects, layout group open & close, identify, is_for
2014-07-01 ralph@amissah.com
e881dffc

v5 v6: ao, quote block, insert text indent markup (book index markup unchanged)
2014-07-01 ralph@amissah.com
60411adb

v5 v6: ao, (param), book index, strip white spaces around terms
2014-07-01 ralph@amissah.com
844f9270
- fix uppercase first character where spaces used

v5 v6: ao, code cosmetic rearrangement
2014-07-01 ralph@amissah.com
93470187

v5 v6: files renamed: ao_composite.rb, html_concordance.rb
2014-07-01 ralph@amissah.com
41871616
- ao_composite.rb (from composite.rb)
- html_concordance.rb (from concordance.rb)

vim syntax, version & date (code block, language syntax; box group; quote)
2014-07-01 ralph@amissah.com
ccb082ff
- now applies to v5 branch

v5: merge what was sisu_6.0.8 into v5
2014-07-01 ralph@amissah.com
954419b5
- ao,
 - syntax, able optionally to indicate the language syntax of a code block
 - syntax, introduce box text block/group
 - syntax, introduce tics quotes markup (blockquote equivalent)
- docbook,
 - ocn & footnote numbers (as xml comments)
 - metadata header (docinfo)
 - quotes (blockquote)
 - tables
 - images
 - code block
- vim syntax, add
 - code block, language syntax, optional
 - box block
 - quote block

sisu.org minor
2014-07-01 ralph@amissah.com
cc39efe5

v5 v6: version & changelog (& rakefile)
2014-07-01 ralph@amissah.com
0c418823

ao, fix bug in previous version (5.4.1) from sloppy cherry pick of v6
2014-06-22 ralph@amissah.com
943cfb45 (tag: sisu_5.4.2)
- ao_doc_str (codeblock)

v5: version & changelog (& rakefile)
2014-06-22 ralph@amissah.com
c1843293

vim syntax, code block, language syntax; box group; quote
2014-06-19 ralph@amissah.com
e6ba0168 (tag: sisu_5.4.1)

v6: docbook, code block
2014-06-19 ralph@amissah.com
e7ce3d1c

v6: docbook, images
2014-06-19 ralph@amissah.com
c7eddcb1

v6: docbook, tables
2014-06-19 ralph@amissah.com
8ed75b2b

v6: docbook, quotes (blockquote)
2014-06-19 ralph@amissah.com
16380ed1

v6: docbook, metadata header (docinfo)
2014-06-19 ralph@amissah.com
beb28d69

v6: docbook, ocn & footnote numbers (as xml comments)
2014-06-19 ralph@amissah.com
e0c38cb8

v6: docbook, tags (name touch)
2014-06-19 ralph@amissah.com
4f5b055e

v6: ao, syntax, introduce tics quotes markup (blockquote equivalent)
2014-06-19 ralph@amissah.com
ac654580

v6: ao, syntax, introduce box text block/group
2014-06-19 ralph@amissah.com
dffa2293

v6: ao, syntax, able optionally to indicate the language syntax of a code block
2014-06-19 ralph@amissah.com
fa8a1385

v5 v6: ao, introduce way of removing unrecognized tic markers
2014-06-19 ralph@amissah.com
64d8e1b1
- this is to provide some forward compatibility with new markup
  (unrecognized new tic marks are removed)
- noisy, reports to screen on tics that are to be removed, unless quiet is on
- review

v5 v6: ao, Symbol to match grouped text open & close (instead of String)
2014-06-19 ralph@amissah.com
46410b13

v5 v6: ao, regex match for tics "```" followed by space tweaked
2014-06-19 ralph@amissah.com
afdedc96

v5 v6: ao, turn id numbers (for tags) into a hash
2014-06-19 ralph@amissah.com
de1c3838

v5 v6: ao, code blocks, clean trailing newlines
2014-06-19 ralph@amissah.com
5d168b30

v5 v6: indent spaces, minor
2014-06-19 ralph@amissah.com
83137da0

v5 v6: ao, misc, mostly minor cleaning
2014-06-19 ralph@amissah.com
66b72eae

v5 v6: version & changelog (& rakefile)
2014-06-19 ralph@amissah.com
d4d50860

v5: merge v6 to v5, version bump to 5.4.*, reason adds structure check
2014-05-25 ralph@amissah.com
16c30474 (tag: sisu_5.4.0)
- ao, document structure check, stop processing on major error
  (with error message & text at location of failure)
  [reason for version bump the addition of structure check]
- utils, add ok code marker
- ao, heading with no ocn, distinguish ~# from -#
 - ~# is general & means no ocn (for any object to which it is applied)
 - -# is relevant only for 1~ dummy headings & instructs that they should be
    removed from output where possible
 - applied so far to pdf, odt & plaintext
- ao_images, reduce warnings when ruby RMagic absent as program used directly
 - reduced dependency on ruby RMagic library (as some time way back had
    issues)
- ao, document markup structure check, skip processing file on major error
 - with error message & text at location of failure
- texpdf, urls in creator cause breakage
- texpdf, mailto markup links set for normal text objects
- texpdf, '&' in heading breaks toc (now removed from toc (not heading)), bug
 - revisit, bug
- texpdf, for urls switch to sans serif (small fontsize)
 - instead of typewriter, latex default
- texpdf, pdf colored hyperlinks configurable
 - --pdf-hyperlinks-color
    --pdf-hyperlinks-no-color or --pdf-hyperlinks-monochrome
 - ['default']['pdf_hyperlinks']='color'
    (other options switch hyperlink color off 'no-color' 'color-off'
    'monochrome')
- texpdf, pdf default font size configurable (cli & sisurc.yml) (no fractions)
 - --pdf-fontsize-12 --pdf-fontsize-8
 - default:
    texpdf_fontsize: 12
- texpdf, headings and table of contents representation
 - fixes 1~ and 2~ result in the same formatting
    1~ 2~ & 3~ now differentiated, see discussion in sisu.org under #744383
 - fixes :A smaller formatted than :B
    A~ B~ C~ now the same size, see discussion in sisu.org under #744383
 - :B and :C result in the same formatting, issue explained see sisu.org
- texpdf, (internal coding) fontface, rename texpdf_font texpdf_fontface
- texpdf, (internal coding) use symbols to identify page orientation
- param, metadata rights, line-breaks instead of semicolons separating rights
 - fixes remove trailing semicolon after :copyright:
- digests sha512 option implemented
 - options sha512 sha256 md5
 - command line --sha512
 - rcconf.yml ['defsault']['digest'] = sha512
- xml object citation numbering (docbook fictionbook)

v5 v6: version & changelog (& rakefile)
2014-05-25 ralph@amissah.com
108142f5
- will merge v6 into v5, 5.4 version bump

v5 v6: cgi, sample search forms: use ruby-pg & ruby-sqlite3; remove ruby-dbi
2014-05-18 ralph@amissah.com
bcb074af (tag: sisu_5.3.6)

v5 v6: db, remove ruby-dbi, for: pg ruby-pg, sqlite ruby-sqlite3 (already uses)
2014-05-18 ralph@amissah.com
7bfd5671
- ruby-pg require for postgresql
- ruby-sqlite3 require for sqlite3 (done previously: already using ruby-sqlite3
  rather than ruby-dbi)
- ruby-dbi remove calls (in any common files & sisu pg and sisu sqlite3)
- separate pg and sqlite db actions

v5 v6: db, use symbols to identify sql engine
2014-05-18 ralph@amissah.com
307ecb4d

v6: utils, add ok code marker
2014-05-18 ralph@amissah.com
b17d90bc

documentation updates
2014-05-18 ralph@amissah.com
569827db
- sisu.org info on ruby-dbi removal affecting sisu in debian
- sisu.org moved to data/doc/sisu (softlinked from root dir)
- CHANGELOG simplify maintenance
- note version changes
- misc

v5 v6: version & changelog (& rakefile)
2014-05-18 ralph@amissah.com
b76284d1

documentation, notes, update
2014-05-12 ralph@amissah.com
e2f6efc6 (tag: sisu_5.3.5)

v6: ao, heading with no ocn, distinguish ~# from -#
2014-05-12 ralph@amissah.com
cd4b4e42
- ~# is general & means no ocn (for any object to which it is applied)
- -# is relevant only for 1~ dummy headings & instructs that they should be
  removed from output where possible
 - applied so far to pdf, odt & plaintext

v5 v6: bin/sisu, ensure return to start dir
2014-05-12 ralph@amissah.com
57f00b94

v6: ao_images, reduce warnings when ruby RMagic absent as program used directly
2014-05-12 ralph@amissah.com
d6f28e09
- reduced dependency on ruby RMagic library (as some time way back had issues)

v6: ao, document markup structure check, skip processing file on major error
2014-05-12 ralph@amissah.com
f408992e
- with error message & text at location of failure

v6: texpdf, urls in creator cause breakage
2014-05-12 ralph@amissah.com
62c48aca
- (Closes: #744541)

v6: texpdf, mailto markup links set for normal text objects
2014-05-12 ralph@amissah.com
f9fb4020
- (Closes: #744357) but testing required

v6: texpdf, '&' in heading breaks toc (now removed from toc (not heading)), bug
2014-05-12 ralph@amissah.com
41d62d53
- revisit, bug

v6: texpdf, for urls switch to sans serif (small fontsize)
2014-05-12 ralph@amissah.com
4c27c792
- instead of typewriter, latex default
- (Closes: #744353)

v6: texpdf, pdf colored hyperlinks configurable
2014-05-12 ralph@amissah.com
9d76329a
- --pdf-hyperlinks-color
  --pdf-hyperlinks-no-color or --pdf-hyperlinks-monochrome
- ['default']['pdf_hyperlinks']='color'
  (other options switch hyperlink color off 'no-color' 'color-off' 'monochrome')
- (Closes: #744391) no color on a4 portrait
  see discussion in sisu.org

v6: texpdf, pdf default font size configurable (cli & sisurc.yml) (no fractions)
2014-05-12 ralph@amissah.com
df9e4219
- --pdf-fontsize-12 --pdf-fontsize-8
- default:
    texpdf_fontsize: 12
- (Closes: #744405)

v6: texpdf, headings and table of contents representation
2014-05-12 ralph@amissah.com
2b2e66c1
- (Closes: #744386) 1~ and 2~ result in the same formatting
  1~ 2~ & 3~ now differentiated, see discussion in sisu.org under #744383
- (Closes: #744399) :A smaller formatted than :B
  A~ B~ C~ now the same size, see discussion in sisu.org under #744383
- #744383 :B and :C result in the same formatting, issue explained see sisu.org

v6: texpdf, (internal coding) fontface, rename texpdf_font texpdf_fontface
2014-05-12 ralph@amissah.com
09fc878f

v6: texpdf, (internal coding) use symbols to identify page orientation
2014-05-12 ralph@amissah.com
1716ccd0

v6: param, metadata rights, line-breaks instead of semicolons separating rights
2014-05-12 ralph@amissah.com
d5b13ca5
- (Closes: #744358) remove trailing semicolon after :copyright:

v5 v6: param, metadata add 'Copyright:' tag to output related to copyright
2014-05-12 ralph@amissah.com
369b764e
- (Closes: #744381) syntax: inconsistency \:copyright: and \:license:

v6: digests sha512 option implemented
2014-05-12 ralph@amissah.com
3ea16523
- options sha512 sha256 md5
- command line --sha512
- rcconf.yml ['defsault']['digest'] = sha512
- (Closes: #744402)

v5: digests cleaning
2014-05-12 ralph@amissah.com
58020c13

v5 v6: metadata, pdf, remove link to manifest page where --no-manifest is used
2014-05-12 ralph@amissah.com
d5b2fa8c
- (Closes: #744378)

v5 v6: composite (inserts), missing includes doesn't give an error, fix
2014-05-12 ralph@amissah.com
90d3eab4
- (Closes: #744379) see sisu.org for comment

v5 v6: composite, fix includes, provide extra newline after inserted comment
2014-05-12 ralph@amissah.com
b28cf1c5
- (Closes: #744360) [n|u] sisu: includes do not work properly

syntax hilighting, includes with files in subdirectories fix
2014-05-12 ralph@amissah.com
fbe2d78a
- (Closes: #744355)

syntax hilighting, line break without spaces<br>flagged as error, close
2014-05-12 ralph@amissah.com
080d49e6
- for line breaks in sisu markup use \\ instead of <br>
- the case described is meant to be flagged as an error
- close bug, no action taken further explanation in sisu.org
- (Closes: #744356) re-open if necessary

v5 v6: ao_syntax, address possible manual use of url delimiters「」
2014-05-12 ralph@amissah.com
5b607318

sisu.org introduce a bug list
2014-05-12 ralph@amissah.com
e170f0f6
- primarily DBT (Daniel's welcome bug flood)

sisu.org start using emacs:evil:org; update .gitignore
2014-05-12 ralph@amissah.com
388eef4b
- (emacs:evil mode gifts a "vim" of "alternative" powers! ;)
  heretic

v6: xml object citation numbering (docbook fictionbook)
2014-05-12 ralph@amissah.com
f06613bb

v5 v6: coding, various minor cosmetic
2014-05-12 ralph@amissah.com
e38554e5

v5 v6: version & changelog (& rakefile)
2014-05-12 ralph@amissah.com
e132337b

v5 v6: ocn, object citation numbering, --no-numbering option & default tuning
2014-02-14 ralph@amissah.com
06145fcd (tag: sisu_5.3.4)
- add less cryptic --numbering --no-numbering command-line options (to --no-ocn)
- plaintext & odt switch default to ocn==true for consistency with other output
- [decide how fine-grained ocn/numbering switches could be: could be per output
  type by command-line instruction (see txt & odt); currently set per sisu
  instruction for all outputs]

v5 v6: version & changelog (& rakefile)
2014-02-14 ralph@amissah.com
7952a48d

documentation, minor update
2014-02-08 ralph@amissah.com
268a9c5c (tag: sisu_5.3.3)

examples: nginx conf; cgi search forms pgsql & sqlite
2014-02-08 ralph@amissah.com
61a1a2a8

v5 v6: cgi, sample search form (generator), using cgi ENV variables
2014-02-08 ralph@amissah.com
d8cd4b66

v5 v6: version & changelog (& rakefile)
2014-02-08 ralph@amissah.com
051517d4

manual Rakefile, README & minor config adjustment
2014-02-05 ralph@amissah.com
f6735293 (tag: sisu_5.3.2)

v5 v6: sysenv, concordance redirected paths, watch
2014-02-05 ralph@amissah.com
bbbb88fa

v5 v6: utils, code markers & messages, notes/warning/errors, fix
2014-02-05 ralph@amissah.com
9f10ff9b

v5 v6: ao, html book index linking, follow --strict option
2014-02-05 ralph@amissah.com
ba862b94

v5 v6: version & changelog (& rakefile)
2014-02-05 ralph@amissah.com
2ea3e592

README & manpage (sisu.1) update
2014-02-05 ralph@amissah.com
4e7fb324 (tag: sisu_5.3.1)

sisu manual update
2014-02-05 ralph@amissah.com
e13aacbf

sisu manual directory moved
2014-02-05 ralph@amissah.com
e4ef7cc2

removed html man pages (man2html)
2014-02-05 ralph@amissah.com
d6b74b93

v5 v6: cgi (pgsql & sqlite), fix
2014-02-05 ralph@amissah.com
0cad9edc

v5 v6: html, (output) cleaning
2014-02-05 ralph@amissah.com
d79d6050

v5 v6: epub, hash digests used only if available
2014-02-05 ralph@amissah.com
4fcfa03d

v5 v6: html, endnote name and nameref make compliant (epub use same)
2014-02-05 ralph@amissah.com
99c5b5d5

v5 v6: ocn: strict html; turn on/off rules for txt & odf
2014-02-05 ralph@amissah.com
a151893e

v5 v6: options, ocn switch on/off instructions (& defaults for plaintext & odt)
2014-02-05 ralph@amissah.com
728ed462

v5 v6: options, html --strict instruction
2014-02-05 ralph@amissah.com
e74053c5

v5 v6: html, name tag related (output "cleaning")
2014-02-05 ralph@amissah.com
07ce3445

v5 v6: ao, set document tags
2014-02-05 ralph@amissah.com
a7dc41fd

v5 v6: epub, odt, check availability of zip program
2014-02-05 ralph@amissah.com
58041f06

v5 v6: error/warn messages
2014-02-05 ralph@amissah.com
62e27667

v5 v6: wrappers round require
2014-02-05 ralph@amissah.com
bd5e9491

v5 v6: html, cleaning, minor
2014-02-05 ralph@amissah.com
151f1043

v5 v6: version & changelog (& rakefile)
2014-02-05 ralph@amissah.com
0aa76d8a

v5 v6: made true, branches: v6 development; v5 stable; v4 closed
2014-01-26 ralph@amissah.com
506e3263 (tag: sisu_5.3.0)

v5 v6: version & changelog (& rakefile), make true on next commit
2014-01-26 ralph@amissah.com
447e260f
- next commit:
 - v4 branch closed
 - v5 stable branch
 - v6 development branch opened (copy v5)

bin/sisu changes to simplify switching to new stable & development branches
2014-01-26 ralph@amissah.com
64798aee (tag: sisu_4.2.21)

v4 v5: version & changelog (& rakefile) [v4 about to be closed]
2014-01-26 ralph@amissah.com
d808d24f

v4 v5: sysenv for texpdf, fix for when tex to pdf generator is absent
2014-01-20 ralph@amissah.com
0d2f83bc (tag: sisu_4.2.20)

v4 v5: bin/sisu & some related lib changes
2014-01-20 ralph@amissah.com
ee4968f5
- good time to consider rollover: closing v4 branch, replacing it with v5 &
  introducing v6 for development, proposed for this release + 1

 v4 v5: version & changelog (& rakefile)
2014-01-20 ralph@amissah.com
a65a215e

rakefile version update for previous version (should have been)
2014-01-20 ralph@amissah.com
76b005fc

bin/sisu experimentation
2014-01-17 ralph@amissah.com
c00345b2 (tag: sisu_4.2.19)
- start preparing for ruby changes
- work on fix for bug related to gem path & system installed sisu

README clean info related to unsupported --help option
2014-01-17 ralph@amissah.com
2dff4382

v4 v5: version & changelog (& rakefile)
2014-01-17 ralph@amissah.com
0e969552

v5: asciidoc, file extension (for now .ad), inline footnotes, minor
2014-01-12 ralph@amissah.com
593766d8 (tag: sisu_4.2.18)

v5: heading recalibration, code (downstream) changes, continue
2014-01-12 ralph@amissah.com
4aa58e16

v5: ao, counter for various grouped / blocked texts & tables
2014-01-12 ralph@amissah.com
81108043
- of particular use for poems which are broken into verse

v4 v5: texpdf, report to screen on pdf output, link to a generated file-size
2014-01-12 ralph@amissah.com
0edc0d30
- decide how to deal with as multiple document file-sizes may be produced

v4 v5: texinfo, fixes
2014-01-12 ralph@amissah.com
fbf1b643

v4 v5: version & changelog (& rakefile)
2014-01-12 ralph@amissah.com
9eca07c3

v5: heading recalibration, code (downstream) changes
2014-01-06 ralph@amissah.com
5fb49b57 (tag: sisu_4.2.17)
- here no doubt remains breakage (test, fix & test again)

v5: vim syntax, v5.2 match heading level D~
2014-01-06 ralph@amissah.com
3e671eaa

v5: single document root A~ (recalibrate headings); level D~ possible
2014-01-06 ralph@amissah.com
1832a937
- :A~ document title, single document root (ln==0)
- introduce additional possible heading level, D~
- markup rule change: single document root
- breaks much downstream code, recalibrate (fix, test, fix & test again)
- v4 & v5 bifurcate (diverge "un-merge-ably")

v5: version (5.2 version bump) & changelog (& rakefile)
2014-01-06 ralph@amissah.com
ae676753
- markup rule change; document structure rule be introduced:
 - single document root == document title == heading level A~
 - adds possible level D~
 - (earlier v5, development branch insulated from v4)

v5: cosmetic code, case statement
2014-01-06 ralph@amissah.com
0e42ce6f

v5: docbook, fictionbook, some tidying
2014-01-06 ralph@amissah.com
557d7378

v5: asciidoc, rename AsciiDoc module, & recalibrate headings
2014-01-06 ralph@amissah.com
f2323485

v4 v5: fixes
2014-01-06 ralph@amissah.com
a90463bb
- ao_doc_str, nodes, possible parents, correction
- epub, url closure decoration
- sysenv, qrcode report absent program, minor
- html scroll toc, clean links where none, exclude metadata

bin/sisu, version dir (fix) & version info
2014-01-06 ralph@amissah.com
42aae8da
- (ensure SiSU_version_dir) fix
- sisu version info, yml info also when installed via ruby gem
- downstream libs

v5: date 2014: headers bin/sisu & lib/; code constants.rb
2014-01-06 ralph@amissah.com
17f1f887

v4 v5: version & changelog (& rakefile)
2014-01-06 ralph@amissah.com
147eba58

v4 v5: Rakefile, (installer), reduce actions
2013-12-15 ralph@amissah.com
30e03850 (tag: sisu_4.2.16)

v4 v5: version & changelog
2013-12-15 ralph@amissah.com
67ff4a2c
- along with date correction for occurrence of disk crash, which happened a week
  later than recorded, and in between previous releases.

v5: docbook, structure, a fix
2013-12-09 ralph@amissah.com
b9bffa35 (tag: sisu_4.2.15)
- construction zone: structure okish; docbook generated not usable

v4 v5: Rakefile, (installer) improve, re-arrange
2013-12-09 ralph@amissah.com
1af24dcb

v4 v5: version & changelog
2013-12-09 ralph@amissah.com
29888f91

v4 v5: bin/sisu, simplify in relation to sisu gem
2013-12-03 ralph@amissah.com
676eba53 (tag: sisu_4.2.14)

v4 v5: rake create build & install sisu gemspec; (.gitignore), work on
2013-12-03 ralph@amissah.com
ff66e3f0
- gemspec adjusted to install only libraries related to a version (v4 or v5)
- select sisu version to create, build & install

v4 v5: version & changelog
2013-12-03 ralph@amissah.com
bd7ae5db

v5: documentation related to commands for new outputs in development
2013-12-03 ralph@amissah.com
88b3272a (tag: sisu_4.2.13)

v5: xml, fictionbook
2013-12-03 ralph@amissah.com
97005184

v5: xml, docbook
2013-12-03 ralph@amissah.com
c7f7a265

v5: plaintext, smarttext: rst
2013-12-03 ralph@amissah.com
6c153f78

v5: plaintext, smarttext: markdown
2013-12-03 ralph@amissah.com
66fde27a

v5: plaintext, smarttext: asciidoc
2013-12-03 ralph@amissah.com
ce74f66c

v5: plaintext, smarttext: textile
2013-12-03 ralph@amissah.com
cdda22f5

v5: plaintext, rename & simplify
2013-12-03 ralph@amissah.com
32bc9149

v5: some file renaming related to: shared files & epub, odf:odt, plaintext
2013-12-03 ralph@amissah.com
6c3930e1

v5: some renaming to ao from dal continued
2013-12-02 ralph@amissah.com
3d4ec6de

v5: renaming files & modules ao & AO (from dal & DAL)
2013-12-02 ralph@amissah.com
9b51aed5
- ao (abstract objects) shorter, also easily searched, higher sort location
  abstract as representation of & extraction of document objects
  (dal (document abstraction layer))

v4 v5: rake create build & install sisu gemspec; bin/sisugem (add .gitignore)
2013-12-02 ralph@amissah.com
da5e7ffe
- rake gemcbi #(create build install sisu gem)
- rake gemspecscreate && \
  rake gembuild && \
  sudo rake geminstall
- rake gemspecscreate && \
  gem build sisu5.gemspec && \
  sudo gem install --no-rdoc --no-ri \
  sisu-5.1.0.gem
- bin/sisu updated (modified to take account of gems)
- bin/sisugem added
- .gitignore sisu-*.gem sisu*.gemspec
  consider inclusion (& tracking) of rake created sisu4.gemspec sisu5.gemspec
  (as this makes their availability more obvious)
- once gem is installed: "sisu _5.1.0_ -vM" (to see version, commands otherwise
  as usual) if paths are such that sisu is not available "sisugem _5.1.0_ -vM"
  should work (as it is installed by gemspec, but not other sisu installers)

v5: xmlns xlink using xl
2013-12-02 ralph@amissah.com
6e2061aa

v5: xml sax rename file
2013-12-02 ralph@amissah.com
f0869d13

v5: minor code related to line-breaks
2013-12-02 ralph@amissah.com
85ec6bab

v5: dal_endnotes, removed a space that should no longer be necessary
2013-12-02 ralph@amissah.com
e130be57
- testing required

v5: dal_doc_str.rb, changes related to collapsed level
2013-12-02 ralph@amissah.com
f37d75fb
- for headings added for structure, without ocn
- testing required

v4 v5: version & changelog
2013-12-02 ralph@amissah.com
8cbc5ed7

v4 v5: bin/sisu-*
2013-11-08 ralph@amissah.com
897a46ef (tag: sisu_4.2.12)
- use option flag full names
- add sisu-html-scroll, sisu-html-seg, sisu-pdf-portrait, sisu-pdf-landscape

v4 v5: vim, ftplugin sisu.vim, fix missing <leader>
2013-11-08 ralph@amissah.com
0a92145c

v4 v5: rake (& rant) sisu installer
2013-11-08 ralph@amissah.com
cf8ff1a3
- do less by default
- remove rant generated sisu-install

v4 v5: sisu_manual, minor info addition
2013-11-08 ralph@amissah.com
7de03034

v4 v5: version & changelog
2013-11-08 ralph@amissah.com
c688ccae

v5: xml, scaffold, re-activated, split into sisu structure & collapsed structure
2013-11-05 ralph@amissah.com
d6b596f0 (tag: sisu_4.2.11)
- --xml-scaffold-sisu (--xml-scaffold)
- --xml-scaffold-collapse
- output currently to terminal only

v4 v5: version & changelog
2013-11-05 ralph@amissah.com
762d3008

v5: plaintext, reorganize
2013-11-02 ralph@amissah.com
89cc9097 (tag: sisu_4.2.10)

v4 v5: constants, ocn output delimiter (where used) changed to 「...」
2013-11-02 ralph@amissah.com
a89fd60f

v4 v5: version & changelog
2013-11-02 ralph@amissah.com
8c11f325

v4 v5: dal, document_structure_check_info
2013-10-27 ralph@amissah.com
d08020e7 (tag: sisu_4.2.9)

v4 v5: cleaning, minor
2013-10-27 ralph@amissah.com
8090434e

v4 v5: version & changelog
2013-10-27 ralph@amissah.com
ce2366b9

v4 v5: dal, collapsed levels implemented
2013-10-23 ralph@amissah.com
15ff3747 (tag: sisu_4.2.8)
- convenience, collapse sisu's dual level document structure for output of
  markup with straight linear structure

v4 v5: dal, parent & node info, fix
2013-10-23 ralph@amissah.com
f7da57f4
- used e.g. for mind map type output
  (last for kdissert output, no longer supported)

v5: options & downstream, more use of opt.act instead of opt.cmd
2013-10-23 ralph@amissah.com
edd89902
- opt.act.*.set==:on instead of opt.cmd =~/\S/

v4 v5: version & changelog
2013-10-23 ralph@amissah.com
bc3dade8

v4 v5: constants, change a couple of internal processing delimiter characters
2013-10-17 ralph@amissah.com
69c86381 (tag: sisu_4.2.7)
- to characters even less likely to be of use in ordinary (marked up) text

v4 v5: version & changelog
2013-10-17 ralph@amissah.com
a59324f3

v4 v5: constants, change a couple of internal processing delimeter characters
2013-10-16 ralph@amissah.com
78541f1a (tag: sisu_4.2.6)
- that may be used in ordinary marked up text

v4 v5: comments, remove extra language lists, minor
2013-10-16 ralph@amissah.com
e7ff0923

markup sample, update book index markup, appearance, minor
2013-10-16 ralph@amissah.com
48f26680

vim, minor update, not syntax related
2013-10-16 ralph@amissah.com
8e35cdf4

v4 v5: version & changelog
2013-10-16 ralph@amissah.com
8d302131

bin/sisu update language list ja ko zh, fix
2013-09-22 ralph@amissah.com
db038f52 (tag: sisu_4.2.5)

v4 v5: version & changelog
2013-09-22 ralph@amissah.com
16086918

Rakefile to assist in placing sisu markup under po4a management (sisu_manual)
2013-09-21 ralph@amissah.com
5a78c513 (tag: sisu_4.2.4)
- Provided as an example with sisu_manual
- fairly generic, but potentially dangerous, can be used to place sisu markup
  source translations under po4a management, but user needs to know what this
  is, (and how to set it up, hence sisu_manual as an example (despite the lack
  of translations)) as can clobber/destroy files that are not managed by po4a.

sisu_manual, sisurc*.yml minor
2013-09-21 ralph@amissah.com
d7b7c010

sisu_manual, move to en/ sub-dir (permitting translations)
2013-09-21 ralph@amissah.com
1b89f377
- use of language sub-dir for source sisu markup suited to permitting
  translation management by po4a

v4 v5: i18n CJK: zh ja ko, add languages Chinese, Japanese, Korean
2013-09-21 ralph@amissah.com
235f83d4
- texpdf, has large texlive xetex dependencies (Korean untested)

v4: dal, objects, store book index as hash (simplify downstream processing)
2013-09-21 ralph@amissah.com
6a8a7c3c
- merge v5
- db, book index, convert hash back to string (associated downstream processing
  change)

v4 v5: minor cleaning
2013-09-21 ralph@amissah.com
220c63e5

v4 v5: version & changelog
2013-09-21 ralph@amissah.com
3e13a7d9

v5: db, book index, convert hash back to string
2013-09-07 ralph@amissah.com
af29258b (tag: sisu_4.2.3)

v5: dal, book index, hash key, strip whitespace, a (required) fix
2013-09-07 ralph@amissah.com
9aeb2343

v4 v5: version & changelog
2013-09-07 ralph@amissah.com
a7fd6bb2

v5: dal, objects, store book index as hash (simplify downstream processing)
2013-09-05 ralph@amissah.com
6fd68591 (tag: sisu_4.2.2)

v4 v5: vim syntax, book index markup, hilight delimeters
2013-09-05 ralph@amissah.com
d711e3f8

v4 v5: dal, book index markup, round delimiters: allow spaces or space & newline
2013-09-05 ralph@amissah.com
55617009
- allow spaces on both sides of delimiters, or a space before & newline
  following a delimiter \s+[:|;](\s+|\n) [else parses as before no spaces]

v4: dal, grouped text with fontface spanning newlines, partial solution
2013-09-05 ralph@amissah.com
d756e906
- merged from v5

v4 v5: version & changelog
2013-09-05 ralph@amissah.com
e9b1f97a

v5: dal, grouped text with fontface spanning newlines, partial solution, test
2013-08-28 ralph@amissah.com
3f912866 (tag: sisu_4.2.1)
- merge into v4 after testing

v4 v5: dal, text blocks, tuning
2013-08-28 ralph@amissah.com
349169b7

v4 v5: odf:odt, footnotes, fix
2013-08-28 ralph@amissah.com
cd0e55b3

v4 v5: pdf (latex) tables, bugfix (fasttrack)
2013-08-28 ralph@amissah.com
d2ad46d7

v4 v5: vim syntax, sisu.vim, fix typo
2013-08-28 ralph@amissah.com
b749d203
- ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"

v4 v5: manifest, output organised by, info, minor touch
2013-08-28 ralph@amissah.com
93255d4c

v4 v5: config files (by filetype & filename) touched
2013-08-28 ralph@amissah.com
d78a0ecb

v4 v5: version & changelog
2013-08-28 ralph@amissah.com
25f7b4f3

v4 v5: vim syntax, sisu.vim, improve grouped text match, for blocks using tics
2013-08-25 ralph@amissah.com
c60b34d1 (tag: sisu_4.2.0)
- syntax additions (introduced for 5.0.12) now relevant also for v4
 - ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
 - grouped text, open, close of blocks using tics "```"

v4: merge v5, syntax additions, block text related (version bump to 4.2.*)
2013-08-25 ralph@amissah.com
9ccfd454
- syntax add
 - switch ocn off and on for a block of content, line containing only
    off: "--~#" (omit headings where possible) "---#" on: "--+#"
 - alternative open and close for blocks using line starting with "```", e.g.
    open code block:  "``` code"; close code block: "```"
    start poem:       "``` poem"; end poem:         "```"
 - remove need for an empty line between opening & closing of a text block
  [ note further refinements will be required;
    use of tildes "~~" considered but more problematic, tics not used elsewhere]

v5: dal, improve font face matching within grouped text (other than code blocks)
2013-08-25 ralph@amissah.com
0e296ebc

v5: dal, refine grouped text open and close using tics "```"
2013-08-25 ralph@amissah.com
34299895

v4 v5: css, html, epub, adjust paragraph spacing, aesthetic
2013-08-25 ralph@amissah.com
07de8418
- increase whitespace (between paragraphs)
- [review spacing (generally) further]

v4 v5: version & changelog
2013-08-25 ralph@amissah.com
cf11ff3a

v5: vim syntax additions, sisu.vim
2013-08-21 ralph@amissah.com
750c6c5a (tag: sisu_4.1.12)
- ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
- grouped text, open, close of blocks using tics "```"

v5: alternative open and close for blocks using line starting with "```"
2013-08-21 ralph@amissah.com
27cce87e
- e.g.
  open code block:  "``` code"
  close code block: "```"
  start poem:       "``` poem"
  end poem:         "```"
- remove need for an empty line between opening & closing of a text block

v5: markup syntax add: switch ocn (object numbering) off & on for content block
2013-08-21 ralph@amissah.com
386233f0
- switch ocn off & on for a block of content, line containing only
  off: "--~#" (omit headings where possible) "---#" on: "--+#"

v4 v5: terminal message, code marker
2013-08-21 ralph@amissah.com
84ff66b6

v4 v5: rescued error messages
2013-08-21 ralph@amissah.com
bd4e38f4

v4 v5: fuchsia (sp.)
2013-08-21 ralph@amissah.com
c3a53153

v4 v5: version & changelog
2013-08-21 ralph@amissah.com
dd40cd83

v4 v5: dal_expand_insertions, refinement for monolingual output
2013-08-08 ralph@amissah.com
fa544551 (tag: sisu_4.1.11)

v4 v5: version & changelog
2013-08-08 ralph@amissah.com
4e562dc8

v4: merge v5 lib (5.0.10)
2013-08-08 ralph@amissah.com
2635b72e (tag: sisu_4.1.10)
- output structure by, add monolingual alt for :filetype & :filename, step 1
- output structure by, monolingual alternative for :filetype or :filename
   without language code, if document is in default language
 - set a default language, 'en' or as specified
 - set in rc file or from command line instruction
 - command line e.g.
      sisu -hv --monolingual --by-filename sisu_markup.sst
      sisu -3v --monolingual --by-filetype sisu_manual.ssm
 - sisurc.yml lingual: 'mono' | 'multi' lingual: 'mono'
 - note: output by :filetype is roughly equivalent to what monolingual output
    by :language would be
 - allow command line setting of default language using language code
    --default-language='en' --default-lang-en if used together with
    --monolingual and --by-filetype or --by-filename the selected default
    language document will not have a language code in the output filename
- output structure by, monolingual alternative, documentation
- cgi helper script, sample search form, single form, monolingual option
 - single cgi form, (with different internal variables set for output types)

v5: output structure by, multilingual, monolingual filenames tweak
2013-08-08 ralph@amissah.com
bab4ecc5

v4 v5: version & changelog
2013-08-08 ralph@amissah.com
584eb5c2

v5: concordance, fix
2013-08-01 ralph@amissah.com
9c29e3cb (tag: sisu_4.1.9)

v5: output structure by :filename or :filetype, default multilingual, fix
2013-08-01 ralph@amissah.com
80bec6ee

v4 v5: version & changelog
2013-08-01 ralph@amissah.com
82e74ee2

v5: cgi helper script, sample search form, single form, monolingual option
2013-07-30 ralph@amissah.com
9e8a84f5 (tag: sisu_4.1.8)
- single cgi form, (with different internal variables set for output types)
- monolingual output search form option

v5: output structure by, monolingual alternative, documentation
2013-07-30 ralph@amissah.com
9dffba29

v5: output structure by, monolingual alternative for :filetype or :filename
2013-07-30 ralph@amissah.com
3e58296f
- filename without language code, if document is in default language
- set a default language, 'en' or as specified
- set in rc file or from command line instruction
 - command line e.g.
    sisu -hv --monolingual --by-filename sisu_markup.sst
    sisu -3v --monolingual --by-filetype sisu_manual.ssm
 - sisurc.yml lingual: 'mono' | 'multi'
    lingual: 'mono'
- note: output by :filetype is roughly equivalent to what monolingual output
  by :language would be
- allow command line setting of default language using language code
  --default-language='en' --default-lang-en if used together with
  --monolingual and --by-filetype or --by-filename the selected default
  language document will not have a language code in the output filename

v5: output structure by, add monolingual alt for :filetype & :filename, step 1
2013-07-30 ralph@amissah.com
363a1c71

v4 (v5): misc, minor
2013-07-30 ralph@amissah.com
74c58285

v4 v5: version & changelog
2013-07-30 ralph@amissah.com
864e90c1

v4 v5: "general code cleaning" fix
2013-06-25 ralph@amissah.com
2cf222a2 (tag: sisu_4.1.7)

v4 v5: version & changelog
2013-06-25 ralph@amissah.com
d308814b

v4: general code cleaning, sync with v5
2013-06-25 ralph@amissah.com
c25fc275 (tag: sisu_4.1.6)

v5: "general code cleaning" fix
2013-06-25 ralph@amissah.com
335008e5

v4 v5: version & changelog
2013-06-25 ralph@amissah.com
251df339

v5: general code cleaning
2013-06-22 ralph@amissah.com
f31e286f (tag: sisu_4.1.5)
- propagate back to v4 after testing

vim, ftplugin sisu.vim, c-\ hard wrap lines to line width (moved from c-j)
2013-06-22 ralph@amissah.com
1e648771

vim colorscheme def, mark current line
2013-06-22 ralph@amissah.com
bce2dc32

v4 v5: version & changelog
2013-06-22 ralph@amissah.com
d58a2cbb

v4 v5: cgi helper script, sample search form generator, file name matching
2013-06-06 ralph@amissah.com
13f66fe4 (tag: sisu_4.1.4)

v4 v5: cgi, cosmetic, drop use of images in sample form
2013-06-06 ralph@amissah.com
f502a172

v4 v5: sysenv, requested load warning removed, less screen clutter
2013-06-06 ralph@amissah.com
152d9955

v4 v5: db, population of database (--update), import of master files (.ssm), fix
2013-06-06 ralph@amissah.com
5331c088
- (Note: for .ssm: @md.fns (is set during runtime & is) != @opt.fns @md.opt.fns,
  affects construction of unique identifier)

v4 v5: version & changelog
2013-06-06 ralph@amissah.com
5c1d86ca

v4 v5: cgi_pgsql, cgi helper script sample search form generator, detail
2013-05-30 ralph@amissah.com
9f4d9a31 (tag: sisu_4.1.3)

v4 v5: sysenv, pgsql db connect fix
2013-05-30 ralph@amissah.com
462a53a0

v4 v5: version & changelog
2013-05-30 ralph@amissah.com
f0a14b71

v4 v5: help, documentation update, concentrate on man pages
2013-05-29 ralph@amissah.com
4adb525f (tag: sisu_4.1.2)
- documentation, manpage update
- interactive help, out of date, removed

v4 v5: cgi helper script, sample search form generator, adjust/improve
2013-05-29 ralph@amissah.com
d8369e7a
- adds settings
 - db type                         --db-pq or db-sqlite
 - webserver for cgi script & db   --webserv-search=''
 - webserver for sisu ouptut files --webserv-output=''
 - cgi search form link name       --cgi-search-form-name=''
 - db user (pg)                    --db-user=''

v4 v5: document version check, disable
2013-05-29 ralph@amissah.com
25e9f4f2
- automatic check disabled
- check and correction of pre 0.38 markup removed

v4 v5: help, interactive help, out of date, removed
2013-05-29 ralph@amissah.com
9ac9918c
- sysenv, version info moved here from interactive help

v4 v5: version & changelog
2013-05-29 ralph@amissah.com
6ebe681d

v4 v5: cgi script for sample search form generator, sqlite, minor fixes
2013-05-19 ralph@amissah.com
4460d0b3 (tag: sisu_4.1.1)
- affects 'sisu -F' (repairs breakage)

vim, ftplugin, sisu.vim, statusline
2013-05-19 ralph@amissah.com
e101d595

CHANGELOG version minor cleaning, redundant
2013-05-19 ralph@amissah.com
1becc7ca

v4 v5: version & changelog
2013-05-19 ralph@amissah.com
e6100eb7

v5 dev branch opened (starts as copy of v4 stable branch); v3 branch closed
2013-05-09 ralph@amissah.com
879a4e6c (tag: sisu_4.1.0)
- 5.0.0 dev opened
- 4.1.0 stable
- 3.* branch gone

v4: cgi script for sample search form, minor fixes
2013-05-09 ralph@amissah.com
ffe139eb

v4: defaults, sysenv, simplify default home page (not used by default)
2013-05-09 ralph@amissah.com
2b388028

v4: version & changelog
2013-05-09 ralph@amissah.com
076c95cc

v4: minor sysenv, cgi_sql_common
2013-05-06 ralph@amissah.com
4b97aba3 (tag: sisu_4.0.21)

v4: version & changelog
2013-05-06 ralph@amissah.com
4c53032f

v4: cgi sample search form, minor
2013-04-11 ralph@amissah.com
e626600a (tag: sisu_4.0.20)

v4: sisurc.yml, reorganize configuration files
2013-04-11 ralph@amissah.com
954c48da

v4: version & changelog
2013-04-11 ralph@amissah.com
00566b34

v4: version & changelog, dates touched
2013-04-08 ralph@amissah.com
769e79c9 (tag: sisu_4.0.19)

v4: zap, delete output files, based on given (existing) source file name
2013-04-07 ralph@amissah.com
d2a0dcbc

v4: options, exclude manifest links if no manifest (--no-manifest) selected
2013-03-31 ralph@amissah.com
4b1d0dd6

v4: sysenv, yamlrc cosmetic
2013-03-31 ralph@amissah.com
48ef624d

v4 v3: CHANGELOGs note on future closing of v3 & addendum to [71e8f19] in 4.0.18
2013-03-31 ralph@amissah.com
73f6919d
- CHANGELOG_v3, v3 branch to be closed on opening of 4.1.* branch, imminent
- CHANGELOG_v4, re-characterize/correct commit [71e8f19] in 4.0.18 as it also
  fixes a persistent bug with manifest and should be:
 - v4: dal, reading/processing of composite markup files (.ssm)
 - dbi, import composite files correctly
 - manifest, mini-table of contents, for multi-lingual composite files
  was/is: v4: dbi, import composite files (.ssm) correctly

v4: version & changelog
2013-03-31 ralph@amissah.com
4542c1f6

v4: version & changelog, dates touched
2013-03-29 ralph@amissah.com
5d087439 (tag: sisu_4.0.18)

v4: cgi, auto-generated sample search form
2013-03-29 ralph@amissah.com
1a21bfdc
- for various sisu output directory structures
- fixes

v4: dbi, import composite files (.ssm) correctly
2013-03-28 ralph@amissah.com
71e8f191

v4: dal, screen_text_color, distinguish doc abstraction, as start of processing
2013-03-26 ralph@amissah.com
ec23cce1

v4: version & changelog
2013-03-26 ralph@amissah.com
301cf2c0

v4: version & changelog, dates touched
2013-03-25 ralph@amissah.com
15eb564d (tag: sisu_4.0.17)

v4: hub, non-verbose terminal info reduced, minor
2013-03-25 ralph@amissah.com
9729a8c4

v4: param, guard against situation where no document creator/author given
2013-03-25 ralph@amissah.com
745ce4ee

v4: sysenv, copy or create homepages, one of the actions taken on --config
2013-03-25 ralph@amissah.com
e6855a21
- provide info as to where manually created homepages may be stored
- do not make default sisu homepage (previously did)

v4: manifest & harvest, links to default site home page index.html
2013-03-20 ralph@amissah.com
b2a1d9c6

v4: version & changelog
2013-03-20 ralph@amissah.com
e470286e

v4: sysenv, epub images where processing multilingual doc in lang code sub-dir
2013-03-18 ralph@amissah.com
9c676215 (tag: sisu_4.0.16)

v4: hub, processing flow, sequence, fix
2013-03-18 ralph@amissah.com
3156fe4d
- re-run manifests at end of general processing run:
 - where document source shared and more than one markup file processed;
 - where translations of same document exist (determined by filename)

v4: version & changelog
2013-03-18 ralph@amissah.com
dc852816

v4: share document source, markup text file &/or sisupod
2013-03-18 ralph@amissah.com
c4a842ff (tag: sisu_4.0.15)
- processing flow, correct sequence
- terminal reporting

v4: version & changelog
2013-03-18 ralph@amissah.com
79b75404

v4: version & changelog, dates touched
2013-03-16 ralph@amissah.com
f70ecf5e (tag: sisu_4.0.14)

v4: sysenv, rsync remote placement, output_by? alternatives, tuning
2013-03-14 ralph@amissah.com
6d1eeba7
- site harvest
- pdf fix
- backround rsync only for processing of single sisu markup files

v4: manifest, links for output_by? alternatives, harvest & qrcode related
2013-03-14 ralph@amissah.com
f8820c25

v4: harvest, links for output_by? filename
2013-03-14 ralph@amissah.com
13143b5a

v4: harvest, authors, topics, terminal info
2013-03-14 ralph@amissah.com
e5d62092

v4: version & changelog
2013-03-14 ralph@amissah.com
787674e1

v4: version & changelog, dates touched
2013-03-13 ralph@amissah.com
f9cb4b03 (tag: sisu_4.0.13)

v4: hub, sql db, fix for actions not requiring files, create, drop, etc.
2013-03-13 ralph@amissah.com
0e87ea14

v4: hub, sysenv, remote, work on rsync of document/site build
2013-03-13 ralph@amissah.com
0f85875f

v4: manifest, link to harvest authors & topics if available, else cosmeitc
2013-03-12 ralph@amissah.com
f88fb6e8

v4: terminal reporting, cosmetic
2013-03-12 ralph@amissah.com
79ebe464

v4: html_format, manifest red arrow, next (segment), (broken) link fix, to toc
2013-03-10 ralph@amissah.com
280d46e9

v4: version & changelog
2013-03-10 ralph@amissah.com
05cf1f8b

v4: version & changelog, dates touched
2013-03-08 ralph@amissah.com
5fc0b669 (tag: sisu_4.0.12)

v4: sysenv, cosmetic, minor
2013-03-08 ralph@amissah.com
7c083c2a

v4: hub, operations, report on absent markup file, if needed by requested action
2013-03-08 ralph@amissah.com
5d7e44a5

v4: bin/sisu, process remote sisu markup file or sisupod, where url provided
2013-03-08 ralph@amissah.com
2f0fb405

v4: manifest, sysenv, manifests sisupod relative link for output_by language
2013-03-07 ralph@amissah.com
5ca9a5a2

v4: share_src, sisu source, permissions, make world readable when shared
2013-03-07 ralph@amissah.com
c6d43f00

v4: version & changelog
2013-03-07 ralph@amissah.com
d172907e

v4: emacs, sisu-mode.el, version touch
2013-03-06 ralph@amissah.com
f647bdc4 (tag: sisu_4.0.11)

v4: html_format, html segment navigation to toc, fix
2013-03-06 ralph@amissah.com
7725af73

v4: options, sisupod, name determination, fix
2013-03-06 ralph@amissah.com
8b8f2e95
- needed for creation of multiple sisupods

v4: sysenv, base images path determined from given path for sisu executable
2013-03-06 ralph@amissah.com
f949d5fc
- where system sisu not called directly

v4: bin/sisu, expand given path for sisu executable
2013-03-06 ralph@amissah.com
0b047c0e
- where system sisu not called directly

v4: version & changelog
2013-03-06 ralph@amissah.com
8c503894

v4: html, epub, minor "cleaning" of output
2013-03-05 ralph@amissah.com
839f0374 (tag: sisu_4.0.10)

v4: sysenv, set default output (directory layout) type where none configured
2013-03-05 ralph@amissah.com
4dd30e8a
- (also turned off reporting where imagemagick & graphicsmagick not installed)

v4: texpdf, report to STDERR when pdf not generated (Closes: #617359)
2013-03-05 ralph@amissah.com
27bd56ae
- note: .tex file is almost certainly produced by sisu, this will be a sisu
  packaging, texlive dependency issue, preventing its conversion to pdf

v4: version & changelog
2013-03-05 ralph@amissah.com
f288e2fe

v4: documentation, sisu markup (sisu_markup.sst, man page sisu.1, sisu.1.html)
2013-02-22 ralph@amissah.com
f6f8918b (tag: sisu_4.0.9)

v4: emacs, sisu-mode.el
2013-02-22 ralph@amissah.com
90ab101c

v4: vim syntax, sisu.vim
2013-02-22 ralph@amissah.com
5d116feb

v4: dal, markup: line across page divider -..- introduced
2013-02-22 ralph@amissah.com
9916bc2d
- an alternative to page breaks -\\- & =\\=, significantly affects pdf & odf
- output formats modified to include (pdf, odf, epub, html, plaintext)

v4: version & changelog
2013-02-22 ralph@amissah.com
b097acbf

v4 (v3): version & changelog, dates touched
2013-02-20 ralph@amissah.com
ca69bdd4 (tag: sisu_4.0.8)

v4 (v3): html, modification to markup of angle brackets [<>] & ampersand [&]
2013-02-20 ralph@amissah.com
32a0e39a

v4 (v3): epub, tinkering with headers & cleaning of angle brackets '<' & '>'
2013-02-20 ralph@amissah.com
9b67ec92

b_epub.png, epub icon (for manifest) updated to use official image
2013-02-20 ralph@amissah.com
3910ef3e

v4: emacs, sisu-mode.el, sisu headers update, & cosmetic code reshuffle
2013-02-16 ralph@amissah.com
92a292ab

v4 (v3): vim, ftplugin & colorschemes housekeeping, scheme "def*" added
2013-02-14 ralph@amissah.com
c312b7dd
- :colorscheme def256* defined from 256 colors (primarily 16 of them), terminal
  & gui (identical) (terminal scheme based on frugal & extended to cover gui)
- :colorscheme def* cterm defined primarily using 16 colors (a few from 256)
  (to be usable tweak .Xdefaults) gui provided along with Xdefault settings to
  make cterm match this gui or def256*
- sisu.vim ftplugin pruning

v4 (v3): cosmetic, minor code shuffle, & remove trailing white-spaces
2013-02-14 ralph@amissah.com
d2fa6daa

v4 (v3): version & changelog
2013-02-14 ralph@amissah.com
a48ee879

v4 (v3): lib, bin/sisu, misc, code headers provide url to online git file source
2013-02-10 ralph@amissah.com
70570e97 (tag: sisu_4.0.7)
- e.g. bin/sisu header * Git
  <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://sources.sisudoc.org/?p=code/sisu.git;a=blob;f=bin/sisu;hb=HEAD>

v4 (v3): vim, minimal color schemes, minor edits
2013-02-10 ralph@amissah.com
c87da88d

v4 (v3): dbi_discrete, discreet should have been discrete, renames accordingly
2013-02-10 ralph@amissah.com
2f8254f7

v4 (v3): version & changelog
2013-02-10 ralph@amissah.com
ed08c2b2

v4: version & changelog, dates touched
2013-02-07 ralph@amissah.com
ad6bcd26 (tag: sisu_4.0.6)

v4: documentation, sisu_manual/sisu_commands, manpage & html
2013-02-07 ralph@amissah.com
e68a2c03

v4: options, for pdf, concentrate & simplify matching of orientation & papersize
2013-02-07 ralph@amissah.com
75dc380f

v4: options, param, pdf papersize, command-line options to override sisurc
2013-02-06 ralph@amissah.com
bf57f03b

v4: pdf (texpdf, options, hub, urls) orientation discrete, individually callable
2013-02-06 ralph@amissah.com
3d165560

v4: texpdf, cosmetic code
2013-02-06 ralph@amissah.com
1803ceb1

v4: sysenv, webserv dir (output dir), ensure is determined from base markup dir
2013-02-06 ralph@amissah.com
83a88c71
- where relative path provided (remove possibility of path expansion being done
  from a language sub-directory), fix

v4: utils, SiSU_Utils::Path.new.base_markup provides base markup directory
2013-02-06 ralph@amissah.com
9729605b
- base markup directory contains sisu markup files, any language
  sub-directories (with sisu markup files) and sisu resource configuration
  sub-directory, if any (./_sisu) (identifies when needed in runtime)

v4 (v3): utils (debug renamed), SiSU_Utils::CodeMarker (from Debug::Mark)
2013-02-06 ralph@amissah.com
cd01cd76

v4: html, screen reporting for --html-scroll, correctly identify output file
2013-02-06 ralph@amissah.com
5b0d2c1f

v4 (v3): version & changelog
2013-02-06 ralph@amissah.com
6896a4a1

v4: documentation, include --html-scroll and --html-seg options
2013-02-03 ralph@amissah.com
0506d0a1 (tag: sisu_4.0.5)
- sisu_manual/sisu_commands
- manpage & html

v4: html (urls), scroll & seg optionally discrete, individually callable
2013-02-03 ralph@amissah.com
9f278652
- --html (both), --html-scroll, --html-seg
- [possibly of interest where only one form of html of interest for use &/or to
  cut generation time (roughly to 63% for --html-scroll only)]

v4 (v3): css (html & epub) line spacing reduced, paragraph spacing increased
2013-02-03 ralph@amissah.com
f18b8928
- may need to tune spacing further to distinguish lines from new paragraphs
  (especially where ocn is not used as the distinction may be less
  clear/obvious)

v4 (v3): html, includes book index fix, rest cosmetic
2013-02-04 ralph@amissah.com
7d29da19

v4 (v3): sysenv, on --redirect, stop creation of redundant dir
2013-02-03 ralph@amissah.com
3c26df4d

v4 (v3): version & changelog
2013-02-03 ralph@amissah.com
7231c901

v4 (v3): version & changelog, dates touched
2013-01-31 ralph@amissah.com
1976c5ec (tag: sisu_4.0.4)

v4 v3: dal (obj), html, br_page* behavior in html depending on origin of break
2013-01-31 ralph@amissah.com
fb6abb03
- markup specified v auto

v4: epub, constants, debug alternative for various readers ... work on
2013-01-31 ralph@amissah.com
8fe36572

v4 v3: dal, on ocn excluded paragraphs (~# -#), hang/indent bullet, fix
2013-01-31 ralph@amissah.com
d335e11e
- [bug reported indirectly by Cory Doctorow (discovered in work with markup)]

v4: param_make, :cover_image: regex, less finicky match of image & details
2013-01-28 ralph@amissah.com
c0f656c0
- [bug reported by Mikael Böök]

v4 (v3): version & changelog
2013-01-28 ralph@amissah.com
02393c16

v4 (v3): version & changelog, dates touched
2013-01-27 ralph@amissah.com
65b6e769 (tag: sisu_4.0.3)

v4: check xml representation of characters (& < > in particular)
2013-01-27 ralph@amissah.com
11907e10

v4 v3: epub, toc.ncx fix, navpoint_close
2013-01-27 ralph@amissah.com
46b067aa

v4 v3: remove markup-sample, first edition of FaiF
2013-01-25 ralph@amissah.com
2e17db83
- redundant here as 2nd edition (which is a similar type of text) is available
- Bug#698664 leads me to think about it
- free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
  & associated files (images & v3 "skin"), removed

v4 (v3): 4.0.3 (3.3.6) version & changelog
2013-01-25 ralph@amissah.com
d39c54cf

v4 v3: epub, epub_format, provide full depth epub table of contents
2013-01-23 ralph@amissah.com
ff824c5c (tag: sisu_4.0.2)
- [request Mikael Böök]

v4 v3: xhtml structure error, fix missing </div>
2013-01-23 ralph@amissah.com
7cc6d871
- [bug reported by Mikael Böök]
- fix of additional detail

v4 v3: epub_format, cosmetic arrangement of code <<-WOK
2013-01-23 ralph@amissah.com
62701442

v4 v3: epub_tune html_tune, remove unnecessary conversion of some utf-8 chars
2013-01-23 ralph@amissah.com
dc624352
- epub, fix, messed up table of contents, toc.ncx
  [bug reported by Mikael Böök]

v4 v3: dal_doc_objects, cosmetic, code arrangement, minor
2013-01-23 ralph@amissah.com
edbb402e

 v4: sysenv, debug tag, triggered where output type not set
2013-01-23 ralph@amissah.com
6bc96aae

v4 v3: param, match possible sisu versions, detail
2013-01-23 ralph@amissah.com
7363e25d

v4 v3: texpdf_format, list of .sty files (& their texlive source within Debian)
2013-01-23 ralph@amissah.com
ad3483a9
- not part of code (relevant for packaging)

 v4 (v3): 4.0.2 (3.3.5) version & changelog
2013-01-23 ralph@amissah.com
74e8462c

date 2013: version & changelog; headers bin/sisu & lib/; code constants.rb
2013-01-01 ralph@amissah.com
7f0d8276 (tag: sisu_4.0.1)

v4: documentation, sisu.1 manpage & minor
2012-12-30 ralph@amissah.com
780c5275

v4 v3: manpage, attempt to improve output (line-spacing)
2012-12-29 ralph@amissah.com
a757467e

v4 v3: plaintext, in code blocks retain a blank empty line, a fix
2012-12-29 ralph@amissah.com
c9898a09
- [known old bug, affects sisu_manual, fix request from SynrG on irc, re
  live-manual]

v4: options, sysenv, check (existing) inclusions & exclusions, fixes
2012-12-29 ralph@amissah.com
0788fabb
- command line, document header, sisurc

v4 v3: param, minor change any legacy <br> line break in metadata markup to \\
2012-12-28 ralph@amissah.com
e92c8626

v4 v3: html_segments (by_filename by_filetype) broken internal doc links fixed
2012-12-28 ralph@amissah.com
577f1efe
-  filenames need to include lang code
-  [chals on irc, re live-manual, debian-live]

v4: bin/sisu sysenv, rc_path_options, provide fixed path to rc files
2012-12-28 ralph@amissah.com
3d4f38a0
- added $sisu_document_markup_directory_base_fixed_path
- needed to read right sisurc.yml & sisu_document_make

v4 v3: largely cosmetic
2012-12-28 ralph@amissah.com
e791dbbd

v4: sisu: --color flag, which toggles color on/off (Closes: #622171)
2012-12-28 ralph@amissah.com
a4e463e1
- the fix here is specific to color on/off for reporting of sisu version
 - sisu --version --color-off || sisu -v -k || sisu -kv
- there are various ways to control color output to screen
 - --color-off or -k switches color off
 - --color or --color-on switches color on, which is usually the default
 - --color-toggle or -c toggles the default setting (in most cases)
 - sisurc.yml can set default color state which affects most screen output

v4 v3: debug (internal code use), color markers for line number & file name
2012-12-28 ralph@amissah.com
6998914a
- colored location markers to show when line passed within running code

v4 (v3): 4.0.1 (3.3.4) new branch & version & changelog "opened"
2012-12-28 ralph@amissah.com
607db61a

v4: 4.0.0 version & changelog, dates touched
2012-12-12 ralph@amissah.com
a75d469b (tag: sisu_4.0.0)

v4: documentation; markup samples & help
2012-11-18 ralph@amissah.com
eae9bb93

v4: vim syntax, sisu.vim, make, new headers
2012-11-18 ralph@amissah.com
7500ecc9

v4: document headers, metadata rearranged, wide-ranging effect
2012-11-15 ralph@amissah.com
b147bcd3

v4: sisupod, use common make instruction header for documents
2012-11-05 ralph@amissah.com
60149df7
- sisupod make instruction header file, write & read
- sisu config file names placed in constants

v4: param, common independent document @make: header file
2012-10-03 ralph@amissah.com
f38a6456
- ./_sisu/v4/sisu_document_make
- contains @make: header
- can contain @links: header
 - @links:+ append links
 - @links: default, overwritten if document contains links

v4: param (header make), pdf, footer
2012-10-03 ralph@amissah.com
c041ea2e

v4: param (header make), html, home button: text button; image/icon button
2012-10-03 ralph@amissah.com
65033374

v4: param (header make), epub, pdf, book cover images
2012-10-03 ralph@amissah.com
7456ed5b

v4 (&v3): markup samples, for v4 remove skins, separate (v3 & v4) directories
2012-10-03 ralph@amissah.com
e51589fd

v4: skins, remove
2012-10-03 ralph@amissah.com
2099cce1
- remove skins
- defaults, rename class Defaults (was InfoSkin)
- sisupod, remove skin
- db
 - no skin info to store, omitted from structure
 - change prefix name (structure changed)

v4: defaults, some cleaning
2012-10-03 ralph@amissah.com
bb3101d1

v4: bin/sisu $*, hub, make possible to specify dir path for markup files
2012-10-03 ralph@amissah.com
f6bc7d81
- bin/sisu4 & bin/sisu3 now syslinks to bin/sisu

v4: bin/sisu $0, make possible to run sisu command on/within project dir tree
2012-10-03 ralph@amissah.com
ac4a6aaa
- (previously sisu needed to be correctly installed with system paths honored)
- NOTE: loading of skins turned off

v4: 4.0.0 new branch & version & changelog "opened"
2012-10-03 ralph@amissah.com
804a1037

v3: 3.3.3 version & changelog, dates touched
2012-10-03 ralph@amissah.com
f08ab383 (tag: sisu_3.3.3)

v3: markup samples, and help, minor updates
2012-10-01 ralph@amissah.com
78b70334

v3: cgi search script, minor
2012-10-01 ralph@amissah.com
610573c4

v3: db, book_idx field & minor re-arrangement
2012-10-01 ralph@amissah.com
8e40c8f6

v3: header @classify: :topic_register: provide greater classification "depth"
2012-10-01 ralph@amissah.com
d6ef30b3
- param, manifest
- harvest_topics

v3: dal, sysenv, file processing, split objects; remove ref to old ruby
2012-10-01 ralph@amissah.com
52e870e3
- markup file processing, change to sourcefile readlines & split of sourcefile array
- removal of RUBY_VERSION references to older versions of ruby

v3: some fixes, cleaning, removing
2012-10-01 ralph@amissah.com
d98f2708

v3: cosmetic code, remove javascript holders js_ (not used)
2012-10-01 ralph@amissah.com
5e1bcfbb

v3: cosmetic code, .is_a?(X) replaces .class==X (& some defined? & nil? tests)
2012-10-01 ralph@amissah.com
6b2c4479

v3: cosmetic code, if true ; x, remove semicolons replace with "then"
2012-10-01 ralph@amissah.com
32d32bf7

v3: cosmetic code, if, else, remove some semicolons (;) replace with newlines
2012-10-01 ralph@amissah.com
02cc96fb

v3: cosmetic code, true ? x : y
2012-10-01 ralph@amissah.com
7d4665f6

v3: vim, ftplugin/sisu.vim
2012-10-01 ralph@amissah.com
ad6cf3c8
- linenumbering: on; relative; off, <leader>nn
- cursor line & column: on; off, <leader>cu (existing cu+ & cu-)

v3: odf, internal links/bookmarks, toc, book index
2012-10-01 ralph@amissah.com
58c13f49

v3: vim syntax, sisu.vim, =\\= page new & -\\- page break
2012-10-01 ralph@amissah.com
b553ca81

v3: dal_syntax, new syntax: =\\= page new & -\\- page break
2012-10-01 ralph@amissah.com
ef4da2e9
- alias for <:pn> and <:pb> respectively

v3: html, epub, group text, bullet, fix
2012-10-01 ralph@amissah.com
e5fe0553

v3: texpdf fixes
2012-10-01 ralph@amissah.com
d96753b4
- group text, bullet
- group text, hardspaces at start of line (indent)
- group text, pass through special characters safe
- poem, bold etc.

v3: pdflatex, landscape cover page was botched, came out as portrait, fix
2012-10-01 ralph@amissah.com
f90e9b26

v3: options, opt_act, limit calls
2012-10-01 ralph@amissah.com
78566728
- ruby profiler indicates much time spent here, reduce

v3: sisupod source, paths fix
2012-10-01 ralph@amissah.com
2ea56a48

v3: dbi, pgsql, report need for instructions when none given
2012-08-29 ralph@amissah.com
dd13f639

v3: some pre-unicode meddling sorted
2012-08-29 ralph@amissah.com
662cd26d
- covers bug reported as middle dot changed to asterisk by chals

v3: bin/sisu, hub, reorganize call
2012-08-29 ralph@amissah.com
b4694609

v3: sisu -v, provide version information, fix
2012-08-29 ralph@amissah.com
8f9076f3

v3: constants, year static (current): YEAR=2012
2012-08-29 ralph@amissah.com
1d401760

v3: 3.3.3 version & changelog "opened"
2012-08-29 ralph@amissah.com
c2f44d3b

sha256 (3.3.2)
2012-06-30 ralph@amissah.com
cbe96983

v3: texpdf, xetex screen reporting of warnings off unless sisu -pV used
2012-06-30 ralph@amissah.com
a1a1c16e (tag: sisu_3.3.2)

v3: 3.3.2 version & changelog "opened"
2012-06-30 ralph@amissah.com
6c8cd334

sha256 (3.3.1)
2012-06-23 ralph@amissah.com
22a22000

v3: sysenv, rsync put (post to remote site), fix, needs comprehensive check
2012-06-23 ralph@amissah.com
990bafcf (tag: sisu_3.3.1)
- broken since version 3 (did not cope with alternative output structures,
  initial fix
- still broken:
 - rsync get (sisu source);
 - scp put & scp get)

v3: texpdf_format, urls in headings break pdf documents, fix
2012-06-23 ralph@amissah.com
55e1f9c8
- e.g. output generation of document sample gpl.fsf.sst pdf fixed

v3: hub, some re-arrangement
2012-06-23 ralph@amissah.com
ffb99605

v3: 3.3.1 version & changelog "opened"
2012-06-23 ralph@amissah.com
1de02aac

sha256 (3.3.0)
2012-06-17 ralph@amissah.com
7e27b557

v3: shared_sisupod_source, common build for sisu (markup) source representations
2012-06-17 ralph@amissah.com
fed01af6 (tag: sisu_3.3.0)
- to be used by sisupod.txz, git, (and src)
 - sisupod_make (--sisupod)
 - share_source (--source)
  NOTE not used git at present
- changed representation of shared sisu source, include related files in
  directory rather than just markup file [reason for version bump]
  NOTE there are no changes to sisu markup (only the sharing of source files)

v3: 3.3.0 version & changelog "opened"
2012-06-17 ralph@amissah.com
12adefb6

sha256 (3.2.12)
2012-06-07 ralph@amissah.com
0cda3630

v3: hub, post bundles, sisupod_make, file selection selection for tar.xz, fix
2012-06-06 ralph@amissah.com
c8d6617b (tag: sisu_3.2.12)

v3: sysenv, check @md.make.respond_to?(:skin)
2012-06-06 ralph@amissah.com
3ca890e2

v3: html_segments, @make.build.html_navigation?, fix, (excludes --exc-html-)
2012-06-06 ralph@amissah.com
7b13cb9a

v3: html, excludes (options) --exc-html-top-band, touch
2012-06-06 ralph@amissah.com
1e089ff9
- html (toc & scroll), (html_segments, concordance,) exclude top band
  sisu --exc-top-band --html --concordance filename.sst

v3: screen reporting, ansi colors, cosmetic
2012-06-06 ralph@amissah.com
3c8feda2

v3: shared_images, fix
2012-06-06 ralph@amissah.com
6715da88

v3: dbi_discreet, screen reporting db location, fix
2012-06-06 ralph@amissah.com
dd790c75

Rake, Rant sisu installer require ruby >= 1.9.3
2012-06-06 ralph@amissah.com
b5323c89

v3: 3.2.12 version & changelog "opened"
2012-06-06 ralph@amissah.com
09193958

sha256 (3.2.11)
2012-06-03 ralph@amissah.com
64bd8217

v3: images, copy (system link removed)
2012-06-03 ralph@amissah.com
35e3bcae (tag: sisu_3.2.11)

v3: images, regular & sisupod
2012-06-03 ralph@amissah.com
26e5e47c

v3: manifest, paths, (for command line selection of output type) fix
2012-06-03 ralph@amissah.com
a8876438

v3: urls, sisupod, fix
2012-06-03 ralph@amissah.com
9c234e6f

v3: warn when files to be copied not found, add
2012-06-03 ralph@amissah.com
33417c59

v3: error & warning messages touched, revisit
2012-06-03 ralph@amissah.com
2cd635d5

v3: 3.2.11 version & changelog "opened"
2012-06-03 ralph@amissah.com
c3a4d655

sha256 (3.2.10)
2012-05-28 ralph@amissah.com
e48ecd9e

v3: html_format, minor cleaning
2012-05-28 ralph@amissah.com
e8b29c36 (tag: sisu_3.2.10)

v3: hub, share markup source (--source) not available for composite files
2012-05-28 ralph@amissah.com
fae668e5
- suggest creating a sisupod instead

v3: sisupod.txz processing
2012-05-28 ralph@amissah.com
45a35b75
- BUG image copying/processing for sisupod

v3: hub, manifest re-run where related multilingual documents, fix
2012-05-28 ralph@amissah.com
38e85ccf
- BUG breaks mini table of contents (minitoc) manifest for multilingual files,
  better run without manifest minitoc, use --exc-manifest-minitoc

v3: css, ensure css available for generated content
2012-05-28 ralph@amissah.com
a8493b25
- checks whether exists if not copies (for --init-site / --configure just
  copies, takes as a re-copy request)

v3: documentation update, command line control of output dir structure
2012-05-28 ralph@amissah.com
3faa85c6
- --output-by-language; --output-by-filetype; --output-by-filename, or
  --by-language; --by-filetype; --by-filename
- sisu_commands.ssi, manpage sisu.1, man2html

v3: options, command line control of output directory structure
2012-05-28 ralph@amissah.com
ba278b92
- --output-by-language; --output-by-filetype; --output-by-filename, or
  --by-language; --by-filetype; --by-filename

v3: options, --init-site, --configure, fix
2012-05-28 ralph@amissah.com
6e6602f0

v3: hub, "requires", fix
2012-05-28 ralph@amissah.com
23a90535

v3: code headers mainly copyright
2012-05-28 ralph@amissah.com
965fe1f6

v3: 3.2.10 version & changelog "opened"
2012-05-28 ralph@amissah.com
8cc2ed96

sha256 (3.2.9)
2012-05-19 ralph@amissah.com
220350d5

v3: options, create manifest touched
2012-05-19 ralph@amissah.com
8754d67b (tag: sisu_3.2.9)

v3: harvest, fix some details
2012-05-19 ralph@amissah.com
b26ce9d5
- harvest by filename output paths
- harvest_topics, add level
- harvest_topics, alternative headings, fix

v3: 3.2.9 version & changelog "opened"
2012-05-19 ralph@amissah.com
bd9d05b9

sha256 (3.2.8)
2012-05-12 ralph@amissah.com
784eb3fd

v3: sisupod make, re-fixed, check again
2012-05-12 ralph@amissah.com
2dee3abf (tag: sisu_3.2.8)

v3: po4a, runs, needs checking
2012-05-12 ralph@amissah.com
35825d22

v3: hub, fixes, still a construction zone
2012-05-12 ralph@amissah.com
64c73059

v3: a few misc fixes
2012-05-12 ralph@amissah.com
5fffe95f
- options, omissions and typo fix
- particulars, fix, check
- shared_metadata, fix

v3: sst_identify_markup, document header SiSU 3.0
2012-05-12 ralph@amissah.com
782e36f0
- pretty much as SiSU 2.0, some header additions
- identification not fully implemented

v3: reporting, composite file names touched
2012-05-12 ralph@amissah.com
5dace955

v3: rescue & error warnings, more touched
2012-05-12 ralph@amissah.com
99965a52

v3: 3.2.8 version & changelog "opened"
2012-05-12 ralph@amissah.com
0832d42c

sha256 (3.2.7)
2012-05-07 ralph@amissah.com
d13ffd55

v3: hub, options, fixes: dbi: pgsql, sqlite
2012-05-06 ralph@amissah.com
6c38bed1 (tag: sisu_3.2.7)

v3: qrcode, fixes
2012-05-06 ralph@amissah.com
da82e36f
- ensure manifest is run
- urls fix

v3: rescue & error warnings, some touched
2012-05-06 ralph@amissah.com
5af7a5e4

v3: 3.2.7 version & changelog "opened"
2012-05-06 ralph@amissah.com
d52bc28d

sha256 (3.2.6)
2012-05-01 ralph@amissah.com
67b15a43

v3: hub (seek finer grained control over what happens when; causes breakage)
2012-05-01 ralph@amissah.com
f297b90d (tag: sisu_3.2.6)
- (primarily) cycle files then options (instead of options then files)
- manifest re-run on (currently generated) translated files if any

v3: misc, minor
2012-05-01 ralph@amissah.com
714a14fc

v3: harvest (metadata, site/document summary) fixes
2012-05-01 ralph@amissah.com
aae35fa1
- harvest_topics, sort fix
- harvest_authors, minor fix
- sst content parsing lang dir
- output file location, currently works for (by?) :language & :filetype

v3: 3.2.6 version & changelog "opened"
2012-05-01 ralph@amissah.com
712054c1

sha256 (3.2.5)
2012-04-22 ralph@amissah.com
93e1767e

v3: shared_html_lite, codeblock fix, affecting sql
2012-04-22 ralph@amissah.com
173a8bec (tag: sisu_3.2.5)
- SELECT ocn,body FROM doc_objects WHERE t_is='code';

v3: 3.2.5 version & changelog "opened"
2012-04-22 ralph@amissah.com
f95eb559

sha256 (3.2.4)
2012-04-21 ralph@amissah.com
554b061d

v3: rescue reporting
2012-04-21 ralph@amissah.com
d810b3f1 (tag: sisu_3.2.4)

v3: sysenv, default processing dir name change
2012-04-21 ralph@amissah.com
5ae11e06
- distinguish sisu branch, add sisu branch to processing directory name
- if constants, 'DEVELOPER[:maintenance] == :true' then additionally add
  sisu version number to processing directory name

v3: db bugfix in maintenance mode (variable name reused)
2012-04-21 ralph@amissah.com
06520be4

v3: 3.2.4 version & changelog "opened"
2012-04-21 ralph@amissah.com
a8b86404

sha256 (3.2.3)
2012-04-15 ralph@amissah.com
93f30fc1

v3: vim syntax highlighting, document header added (@make:) :substitute:
2012-04-15 ralph@amissah.com
8fefa22f (tag: sisu_3.2.3)

v3: param, dal_syntax, document header (simple regex) substitution list
2012-04-15 ralph@amissah.com
0013ec9d
- $ and curly braces are escaped (within sisu) to allow the following:
  @make:\n :substitute: /${linux-distro}/,'Debian' /${stable}/,'Squeeze' \
  /${testing}/,'Wheezy'
- changes are not made within text object types: code-blocks, tables or
  metadata (document headers). Marked up document remains self-referential.
- Note: the substitution list must be written on a single line, without
  line-breaks.
- [Substitutions possibility requested by Debian-live, live-manual (Ben
  Armstrong & Daniel Baumann)]

v3: 3.2.3 version & changelog "opened"
2012-04-15 ralph@amissah.com
0e9a8b0c

sha256 (3.2.2)
2012-04-05 ralph@amissah.com
9de3fc4c

v3: sql creation -v reporting reduced
2012-04-05 ralph@amissah.com
683ca12c (tag: sisu_3.2.2)

v3: urls, reporting, some cleaning
2012-04-05 ralph@amissah.com
6a6c011f

v3: sysenv, path.style (a quick fix, review)
2012-04-05 ralph@amissah.com
19c96080

v3: 3.2.2 version & changelog "opened"
2012-04-05 ralph@amissah.com
b9d03b2c

sha256 (3.2.1)
2012-03-21 ralph@amissah.com
db578f67

v3: documentation sisu_commands, manpage, html (man2html)
2012-03-21 ralph@amissah.com
582f1bbd (tag: sisu_3.2.1)

COPYRIGHT add markup samples "Free as in Freedom"
2012-03-21 ralph@amissah.com
a5873a42

v3: 3.2.1 version & changelog "opened"
2012-03-21 ralph@amissah.com
d8beb2f4

sha256 (3.2.0)
2012-03-19 ralph@amissah.com
9b91ce64

COPYRIGHT, name change using uppercase, format changed
2012-03-19 ralph@amissah.com
6528dc88 (tag: sisu_3.2.0)
- content format influenced by Machine-readable debian/copyright file
  <http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/>

v3: 3.2 branch is main (v3dv --> v3); dev (v3dv) branch directories removed
2012-03-19 ralph@amissah.com
6811ac91
- v3dv (3.2) "merged" into v3 (previously 3.1) (& removed)
 - conf/sisu/v3dv --> conf/sisu/v3
 - data/sisu/v3dv --> data/sisu/v3
 - lib/sisu/v3dv  --> lib/sisu/v3
 - bin/sisu* (v3dv references changed to v3)
 - (--dev modifier (superfluous for the time being) runs main v3 branch)

v3: 3.2.0 version & changelog "opened"
2012-03-19 ralph@amissah.com
349975b7

sha256 (3.1.15-2)
2012-03-13 ralph@amissah.com
356854c1

sha256 (3.1.15)
2012-03-12 ralph@amissah.com
553f6bab

v3dv: documentation sisu_commands, add sqlite3 discreet
2012-03-12 ralph@amissah.com
58bc2e51 (tag: sisu_3.1.15)

v3dv: sqlite3 discreet .sql.db file for each document (possibility added)
2012-03-12 ralph@amissah.com
86b767b0
- in addition to existing possibility of a shared db in sqlite3 or postgresql

v3dv: documentation sisu_commands, rearranged & update with regard to excludes
2012-03-12 ralph@amissah.com
b53d63a6
- sisurc.yml omit list, commented out omit line with single example added

v3dv: vim syntax highlighting, document header added :omit: (under @make)
2012-03-12 ralph@amissah.com
c79ce1e8

v3dv: start using output control hooks
2012-03-12 ralph@amissah.com
756caa5d
- for config file, document headers, & command line
- v3dv: sysenv, ProcessingSettings, start to use hooks to make it possible
  to control (via: the command line; the document markup header, or; the
  configuration file) the likes of: ocn, toc, segsubtoc, minitoc,
  links-to-manifest, search-form, html-navigation, html-navigation-bar,
  html-right-pane, html-top-band; these are switched on by default and may
  be switched off in omit lists within configuration file, the document
  markup header, or command line. The command line takes precedence & may
  switch on or off overriding settings within the document markup header or
  the sisu configuration file.
 - --inc- on by default, but if switched off in doc header or
    configuration, the command line --inc- has precedence; for each possible
    exclude configuration the --inc- switch that overrides configuration
    settings
 - --exc- == --no-; exclude/switch off feature (but --inc- include has
    precedence)
 - document header @build: :omit: [list output features to be omitted]
 - configuration (sisurc.yml) omit:
  exclude output feature, overrides configuration settings (omit --dev
  development branch modifier once merged back to main)
   --exc-ocn,                 html (seg, scroll), epub, xml, pdf
     sisu --dev --exc-ocn --html --epub --xml-sax --xml-dom --xhtml -v \
     filename.sst
   --exc-toc,                 html (scroll), epub, pdf
     sisu --dev --exc-toc --html --epub --pdf -v filename.sst
   --exc-segsubtoc            html (seg), epub
     sisu --dev --exc-segsubtoc --html --epub -v filename.sst
   --exc-minitoc,             html (seg), concordance, manifest
     sisu --dev --exc-minitoc --html --concordance -v filename.sst
   --exc-manifest-minitoc,    manifest
     sisu --dev --exc-manifest-minitoc --html -v filename.sst
   --exc-links_to_manifest, --exc-manifest-links,
                              html (seg, scroll)
     sisu --dev --exc-manifest-links --html -v filename.sst
   --exc-search-form,         html (seg, scroll), manifest
     sisu --dev --exc-search-form --html -v filename.sst
   --exc-html-minitoc,        html (seg), concordance
     sisu --dev --exc-html-minitoc --html --concordance -v filename.sst
   --exc-html-navigation,     html (seg, scroll)?
     sisu --dev --exc-html-navigation --html -v filename.sst
   --exc-html-navigation-bar, html (seg)
     sisu --dev --exc-html-navigation-bar --html -v filename.sst
   --exc-html-search-form,    html (seg, scroll)
     sisu --dev --exc-html-search-form --html -v filename.sst
   --exc-html-right-pane,     html (seg, scroll)
     sisu --dev --exc-html-right-pane --html -v filename.sst
   --exc-html-top-band,       html (seg, scroll), concordance (minitoc is
     forced on to provide seg navigation)
     sisu --dev --exc-html-top-band --html --concordance -v filename.sst

v3dv: sysenv, param, options, output control hooks code modified
2012-03-12 ralph@amissah.com
4cdfa555
- for config file, document headers, & command line
- requiring downstream code changes (in commit that follows)

v3dv: texinfo, fix (break holding back 3.2 merge)
2012-03-12 ralph@amissah.com
231c64ec
- proposed next version starts 3.2, (merge dev branch after 3.1.15)

v3dv: lib, clean trailing whitespace
2012-03-12 ralph@amissah.com
2e1d0030

v3 v3dv: 3.1.15 & 3.2.0~pre version & changelog "opened"
2012-03-12 ralph@amissah.com
dc4c672e

sha256 (3.1.14)
2012-02-14 ralph@amissah.com
8f91f70e

v3dv: control hooks
2012-02-14 ralph@amissah.com
6d898f1e (tag: sisu_3.1.14)
- hooks to make it possible to control (via: the command line; the document
  markup header, or; the command line) the likes of: toc, manifest,
  manifest-links, metadata, html-minitoc, html-navigation, html-navigation-bar;
  these are switched on by default and control takes the form of making it
  possible to switch them off.

v3dv: dal, remove sisu_manifest from document structure & toc
2012-02-14 ralph@amissah.com
f653df16
- html & epub coding affected

v3dv: --redirect (--redirect=dir_path) & --dump (--dump=dir_path) + consequences
2012-02-14 ralph@amissah.com
2b884fb7
- --dump places output in directory specified, if none specified in the current
  directory (pwd).
- --redirect places output in subdirectory under specified directory,
  subdirectory uses the filename (without the suffix). If no output directory is
  specified places the subdirectory under the current directory (pwd).
- html, css incorporated into each file (concordance & manifest included)
- html, xhtml & xmls, css copied into css subdirectory (not used by html as
  embedded)
- html xmls, images copied to output directory
- no links to manifest
- manifest with relative links only
- longer html filenames given to avoid names clashing (e.g. for toc, manifest,
  concordance)
- html, epub, remove manifest toc links
- -j copy images associated with file (images used by html & xmls)
 - automatically invoked by --dump & redirect
- v3 v3dv: document --redirect, --dump, -j update sisu_commands.sst
  [documents not generated until v3.2.0 (when v3dv branch is merged into v3)]

v3dv: sysenv, output_dir_structure, rewritten, affected code modified
2012-02-14 ralph@amissah.com
8138e230

v2: vim syntax highlighting, patch from Thilo Six <T.Six@gmx.de> applied
2012-02-14 ralph@amissah.com
525b4f1a
- Re: <http://thread.gmane.org/gmane.editors.vim.devel/32151> &
  <http://vimdoc.sourceforge.net/htmldoc/options.html#cpo-l>
  [for v3, see sisu_3.1.13 changelog]

v2 v3 v3dv: 3.1.14 & 3.2.0~pre (& 2.9.12) version & changelog "opened"
2012-02-14 ralph@amissah.com
7fbe3413

sha256 (3.1.13)
2012-02-03 ralph@amissah.com
87f10378

v3dv, dal +, use symbols to identify document objects type (is) and group (of)
2012-02-03 ralph@amissah.com
7e3cee57 (tag: sisu_3.1.13)
- (dal & code affected as a result)

v3 v3dv: path & url links, updates for multiple output directory structures
2012-02-03 ralph@amissah.com
145f3092

v3 v3dv: vim syntax highlighting, patch from Thilo Six <T.Six@gmx.de> applied
2012-02-03 ralph@amissah.com
6dd8de87
- Re: <http://thread.gmane.org/gmane.editors.vim.devel/32151> &
  <http://vimdoc.sourceforge.net/htmldoc/options.html#cpo-l>

v3 v3dv: 3.1.13 & 3.2.0~pre version & changelog "opened"
2012-02-03 ralph@amissah.com
071c6dbb

sha256 (3.1.12)
2012-01-23 ralph@amissah.com
527f9054

v3dv: replace use of most ruby exclamation (!) method actions
2012-01-23 ralph@amissah.com
21f5e220 (tag: sisu_3.1.12)

v3dv: call most methods by full name (include associated module & class names)
2012-01-23 ralph@amissah.com
3d6deb1d
- messing with code, merge back now likely to become v3.2

v3dv: sysenv, use "which" instead of "whereis" to locate programs, test
2012-01-23 ralph@amissah.com
45a3eb91
- [suggested by, Timothy Hume, used to get sisu texpdf to work on MacOS]

v3 v3dv: texpdf, tampering with "safe" special character transformations, a fix
2012-01-23 ralph@amissah.com
7e9a59ca
- could introduce new issues, watch
- [reported by Timothy Hume, pdf title bug "&" not represented]

v3 v3dv: urls, odt maintenance path fix
2012-01-23 ralph@amissah.com
0b38bae2

v3 v3dv: 3.1.12 & 3.2.0~pre version & changelog "opened"
2012-01-23 ralph@amissah.com
89bbbb52

sha256 (3.1.11)
2012-01-10 ralph@amissah.com
aa8f0cea

v3dv: SiSU_DAL_ for module names in dal, & module Metadata is SiSU_Metadata
2012-01-10 ralph@amissah.com
16db2c67 (tag: sisu_3.1.11)
- v3dv: modify.rb script (& its artifact) removed (after use) from lib/sisu
  modify.rb script remains available (in generic form) under:
  data/sisu/v3/conf/convert/modify.rb
  data/sisu/v3dv/conf/convert/modify.rb

v3dv: make further changes to module names & test
2012-01-10 ralph@amissah.com
19e69de6

v3dv: class names, use more CamelCase
2012-01-10 ralph@amissah.com
df67ee10

v3dv: class names, remove "SiSU_" (reserve for module names for consistency)
2012-01-10 ralph@amissah.com
732dca2b

v3dv: module names, use more CamelCase
2012-01-10 ralph@amissah.com
51ba2d70

v3dv, add dev branch (use to make some changes to module & class names & test)
2012-01-10 ralph@amissah.com
75e3bf86
- (intended as) short term branch, merge back into v3 once tested
- sisu --dev (to invoke)

v3: date, year 2012, update
2012-01-10 ralph@amissah.com
1677a583

v3: modify.rb, prep script for year update, & changing module & class names
2012-01-10 ralph@amissah.com
a0c28268

v2: modify, sisu markup version script (take from v3)
2012-01-10 ralph@amissah.com
9d687db1

v2 v3: 3.1.11 version & changelog "opened"
2012-01-10 ralph@amissah.com
aef3a251

sha256 (3.1.10)
2011-12-31 ralph@amissah.com
c977c099

v3: html, epub, (& xml) codeblocks, treatment of '<<' & '>>', fix
2011-12-31 ralph@amissah.com
66d81556 (tag: sisu_3.1.10)
- (remove legacy codeblock match rule, watch)

v3: 3.1.10 version & changelog "opened"
2011-12-31 ralph@amissah.com
7c9212ef

sha256 (3.1.9)
2011-12-19 ralph@amissah.com
5712c0bc

v3: html, seg output, index.html fixes
2011-12-19 ralph@amissah.com
d71c116e (tag: sisu_3.1.9)
- place in correct directory and use language code as appropriate
- remove broken index.html from output [note the existing erroneous file is
  not removed by a program run, it has to be removed manually]
- [issue reported by chals (debian live-manual) on irc oftc #sisu]

v3: sysenv, html files in _sisu/home (*.html) copied as home pages
2011-12-19 ralph@amissah.com
9ef4a603

v3: options, --find & --glob, use for general search in base directory
2011-12-19 ralph@amissah.com
598c4fe8
- cannot be limited by sub-directory, error message provided

v3: 3.1.9 version & changelog "opened"
2011-12-19 ralph@amissah.com
a39fede4

sha256 (3.1.8)
2011-12-13 ralph@amissah.com
cfaad12e

v3: texpdf, output_by: filetype, fix, language code part of filename, fix
2011-12-13 ralph@amissah.com
b77338f9 (tag: sisu_3.1.8)
- files previously given same name and written over
- [reported by chals (live-manual) on irc oftc #sisu]
- [output_by language and filename ok]

v3: odf:odt, codeblocks, a match fix, affects e.g. "<<"
2011-12-13 ralph@amissah.com
0607a1bd

v3: 3.1.8 version & changelog "opened"
2011-12-13 ralph@amissah.com
59a52e3d

sha256 (3.1.7)
2011-12-08 ralph@amissah.com
a6aadc4d

v3: documentation, manpage & html (man2html)
2011-12-08 ralph@amissah.com
02607532 (tag: sisu_3.1.7)

v3: documentation, add --configure, use ascii chars for dir tree, correct typos
2011-12-08 ralph@amissah.com
cda92b55

v3: sysenv, only copy external images directory if it exists
2011-12-08 ralph@amissah.com
4c67b33e

v3: texpdf, codeblocks, use listings package (for grey box)
2011-12-08 ralph@amissah.com
595970ff
- (internally retain possibility to use boites package)

v3: epub, css, codeblock, grey box
2011-12-08 ralph@amissah.com
9ea7b7f1

v3: dal, codeblocks, removed identifier tags, changed markup of "<" & ">"
2011-12-08 ralph@amissah.com
9cdd523c

v3: 3.1.7 version & changelog "opened"
2011-12-08 ralph@amissah.com
858fc0bd

sha256 (3.1.6)
2011-12-02 ralph@amissah.com
5989174e

v3: texpdf, use boites for box round codeblocks
2011-12-02 ralph@amissah.com
d5137332 (tag: sisu_3.1.6)
- use and adapt 'boitecoloriee' (found in boites_examples.sty)
- in boitebox as setup normal tex hardspaces at start of line are removed,
  hack required to fix

v3: dal, codeblocks, start flush left (no buffer spaces at start of line)
2011-12-02 ralph@amissah.com
acd2e817
- allows cut & paste of codeblocks (from some output formats)
  [requested by chals irc.oftc]

v3, require iconv (removed), should use String#encode instead, watch
2011-12-02 ralph@amissah.com
83f669a0
- removed iconv, required a number of places without being used, watch

v3: 3.1.6 version & changelog "opened"
2011-12-02 ralph@amissah.com
fc908660

sha256 (3.1.5)
2011-11-21 ralph@amissah.com
a4295e20

v3: odf:odt v1.2
2011-11-21 ralph@amissah.com
2d9e5eca (tag: sisu_3.1.5)
- includes previously unimplemented hanging indents
 - done: dal, plaintext, html, epub, xhtml, xml (sax & dom), odt, pdf, sql;
    not done: man, info

v3: param, sisupod_make, sisu markup embedded symbol images regex, case added
2011-11-21 ralph@amissah.com
b19886a0

v3: sisu manual, sisu markup, e.g. of link shortcut for multiple sisu documents
2011-11-21 ralph@amissah.com
ecd91fe8

v3: dal_expand_insertions, link shortcut for sisu documents, omit codeblocks
2011-11-21 ralph@amissah.com
b5c036a6

v3: 3.1.5 version & changelog "opened"
2011-11-21 ralph@amissah.com
b80f7bea

sha256 (3.1.4)
2011-11-11 ralph@amissah.com
4a239cf6

v3: FileUtils, replace system calls
2011-11-11 ralph@amissah.com
b59529b2 (tag: sisu_3.1.4)

v3: FileUtils, make explicit calls (more verbose, easier to find)
2011-11-11 ralph@amissah.com
d17e7245

v3: 3.1.4 version & changelog "opened"
2011-11-11 ralph@amissah.com
d480a1dc

sha256 (3.1.3)
2011-11-05 ralph@amissah.com
ed249df6

v3: fix necessary, Re: (3.1.2) [da4acc7] header, bold & italic pattern matching
2011-11-05 ralph@amissah.com
f3015990 (tag: sisu_3.1.3)
- header, bold & italic pattern matching, ignore case (possibility reinstated)
  @make: :bold: :italic: /[regex]/i

v3: 3.1.3 version & changelog "opened"
2011-11-05 ralph@amissah.com
6404e3e9

sha256 (3.1.2)
2011-10-31 ralph@amissah.com
daa1082c

v3: header, bold & italic pattern matching, ignore case (possibility reinstated)
2011-10-31 ralph@amissah.com
da4acc73 (tag: sisu_3.1.2)
-  (bold & italic pattern matching) @make: :bold: :italic: /[regex]/i

v3: sysenv, skins, a fix
2011-10-31 ralph@amissah.com
87608df7

v3: conf/convert/modify.rb minor fixes
2011-10-31 ralph@amissah.com
df67ba29

v3: concordance, information to terminal, minor
2011-10-31 ralph@amissah.com
3ba9db64

v3: markup-samples, Free as in Freedom 2.0, made use of old book index
2011-10-31 ralph@amissah.com
c148cfd1
- (made use of old book index) better than none

v3: markup-samples, Free as in Freedom 2.0
2011-10-31 ralph@amissah.com
12ffabde

v3: 3.1.2 version & changelog "opened"
2011-10-31 ralph@amissah.com
9c52c3cc

sha256 (3.1.1)
2011-10-15 ralph@amissah.com
97df42b6

v3: odf:odt, make odt style names more easily recognizable
2011-10-15 ralph@amissah.com
aa06692c (tag: sisu_3.1.1)

v2 v3: odf:odt v1.0: make odt header easier to track; remove binary blob
2011-10-15 ralph@amissah.com
6d462575
- make odt header changes easier to track
  (this commit maintains rough equivalence to sisu-3.1.0 headers)
- sysenv, builds odf:odt directory structure instead of binary blob
- get rid of odf:odt (binary changeset) blob zipfile (containing odf:odt
  directory structure)

v3: manifest, odt url lnk, fix
2011-10-15 ralph@amissah.com
fadbc35f

v2 v3: 3.1.1 version & changelog "opened"
2011-10-15 ralph@amissah.com
a29324fc

sha256 (3.1.0)
2011-10-03 ralph@amissah.com
0dad10b2

v2 v3: documenation, html, man2html (sisu.1)
2011-10-03 ralph@amissah.com
85bd7236 (tag: sisu_3.1.0)

v2 v3: documentation, html, minor (removal of trailing whitespaces)
2011-10-03 ralph@amissah.com
5e53466d

v2 v3: documentation, manpage
2011-10-03 ralph@amissah.com
e9c80fcc

v2 v3: documentation, small update
2011-10-03 ralph@amissah.com
7997984e

v3: sysenv, output_structure_by: filename, fix to output directories created
2011-10-03 ralph@amissah.com
2547d72c

v3: vim syntax, :texpdf_font_mono: added to @make:; proposed header changes
2011-10-03 ralph@amissah.com
c6f5cd15
- sisu_next.vim, track proposed syntax (header) changes

v3: sisrc.yml, texpdf_font (main, mono) Liberation series (main default Sans)
2011-10-03 ralph@amissah.com
53e6d1a3

v3: texpdf, fonts, Liberation series default (main: Sans, mono: Mono)
2011-10-03 ralph@amissah.com
7fb6acc0
- (mono) improved with selection of Liberation Mono as default
- font (main font, mono) configurable in sisurc.yml under
  default: (texpdf_font:|texpdf_font_mono:)
  or within document under @make: (:texpdf_font:|:texpdf_font_mono:)

v3: defaults, (sisu) home page, link to git repo, minor fixes
2011-10-03 ralph@amissah.com
8925b881

v3: sysenv, rc_path adds ./.sisu/ (to existing ./_sisu/ & ~/.sisu/)
2011-10-03 ralph@amissah.com
a8472db6

v2 v3: bin/sisu, default sisu version 3
2011-10-03 ralph@amissah.com
366895d4
- Version 3 is now the default (on running sisu)

v2 v3: 3.1.0 version & changelog "opened"
2011-10-03 ralph@amissah.com
e8daf990

sha256 (3.0.19)
2011-09-24 ralph@amissah.com
02540066

v3: remote, src & sisupod processing, and rsync placement
2011-09-24 ralph@amissah.com
00817305 (tag: sisu_3.0.19, tag: sisu-3.0.19)

v3: qrcode, sisu generated manifest output, treat as such
2011-09-24 ralph@amissah.com
b1d08ced
- place qrcode images in directory under manifest (manifest/qrcode)
- fix remote placement of qrcode images when requested

v3: info files, fix output; remote, include info file & manpage (when selected)
2011-09-24 ralph@amissah.com
344270fa

v3: hub, processing options, remove cruft
2011-09-24 ralph@amissah.com
794c20f3

v3: cosmetic, minor
2011-09-24 ralph@amissah.com
5048519f

v2 v3: param, matching of date, years 1400 - 21\d\d
2011-09-24 ralph@amissah.com
8edbb138

v2: remote, image source url fix
2011-09-24 ralph@amissah.com
18467732

v2 v3: 3.0.19 version & changelog "opened"
2011-09-24 ralph@amissah.com
035c6566

sha256 (3.0.18)
2011-09-13 ralph@amissah.com
5ade3b6c

v3: epub
2011-09-13 ralph@amissah.com
e70f6340 (tag: sisu_3.0.18, tag: sisu-3.0.18)
- fix for different output structures, language codes not used
  internally (within epub)
- adjustment to image paths for image copy

v3: image (relative) paths for different sisu output structures
2011-09-13 ralph@amissah.com
c2163c56
- (re: by_language, by_filetype, by_filename)
- sysenv, set path
- html seg, scroll, manifest (qrcodes), xmls

v3: dal_images, disabled imagemagick configuration permission check
2011-09-13 ralph@amissah.com
403a52d7
- until sisupod reads local sisurc.yml (configuration file)

v3: hub (affecting options +others) sisupod processing (v2 enabled)
2011-09-13 ralph@amissah.com
705ccf77

v3: options, (hub), action (opt.act) modified to increase use possibilities
2011-09-13 ralph@amissah.com
af7543c0

v3: options, match fix for --glob / --find
2011-09-13 ralph@amissah.com
65e4c063

v3: correct sisupod references and path to .txz (replace .zip)
2011-09-13 ralph@amissah.com
2ec7a07f

v3: CHANGELOG_v3, correct .orig.tar.xz name (>=3.0.15)
2011-09-13 ralph@amissah.com
ab8d19c4

v3: 3.0.18 version & changelog "opened"
2011-09-13 ralph@amissah.com
0fdc7c9e

sha256 (3.0.17)
2011-09-05 ralph@amissah.com
0d5cc01a

v3: sisupod_v3 make (build); place (rsync); process (generate sisu output from)
2011-09-05 ralph@amissah.com
22f6ac00 (tag: sisu_3.0.17, tag: sisu-3.0.17)
- sisupod v3
 - modify pod dir structure, place sisu source in dir/[lang_code]/ e.g. dir/en/
 - use tar.xz (.txz)
 - bundle all language version in pod
 - bundle .ssm and all included files for each selected language (rather
      than composited .ssm.sst file)
      (filename pattern) or named in files to be processed string
 - remote placement
 - sisu processing from sisupod v3
- rsync sisupod v3
- sysenv, check that tree is available and use as desired when available

v3: Dir.chdir, remove "system cd" (change directory) use Dir.chdir
2011-09-05 ralph@amissah.com
b5712bc3

v3: unix conditional tests (? :) remove line break markers before : cosmetic
2011-09-05 ralph@amissah.com
7bc559f8

v3: 3.0.17 version & changelog "opened"
2011-09-05 ralph@amissah.com
a0354001

sha256 (3.0.16)
2011-08-19 ralph@amissah.com
0bf06f64

v3: dal, sisu document links (multiple output versions) shortcut
2011-08-18 ralph@amissah.com
cacb0565 (tag: sisu_3.0.16, tag: sisu-3.0.16)
- links to multiple versions internal documents based on shortcut notation,
  e.g.
  { "Viral Spiral", David Bollier [3sS]}viral_spiral.david_bollier.sst
  resulting in all versions of the document that would be generated by
  running the command sisu3 -3sS viral_spiral.david_bollier.sst
- added possibility to specify language where language directory structure
  is used for source documents
  { "Viral Spiral", David Bollier [3sS]}en/viral_spiral.david_bollier.sst

v3: concordance, i18n, start adding alternative language alphabets
2011-08-18 ralph@amissah.com
6bd77e1c
- Danish, Norwegian, Swedish

v3: epub, param, (defaults) epub tuning
2011-08-18 ralph@amissah.com
90ad666b
- include levels A - C as individual sections
  (xhtml file with consistent opf & ncx)
- sync ncx with sisu internal structural logic
  (correct depth, include level A, place sisu toc)

v3: sysenv, cosmetic, code arrangement touch
2011-08-18 ralph@amissah.com
084e7d20

v3: html_format, texinfo_format, minor, html seg presentation fix
2011-08-18 ralph@amissah.com
3ff0378e

v3: 3.0.16 version & changelog "opened"
2011-08-18 ralph@amissah.com
5041a3d9

sha256 (3.0.15)
2011-08-09 ralph@amissah.com
9c24ffc9

v3: epub, constants, experiment with presentation
2011-08-09 ralph@amissah.com
532c0301 (tag: sisu_3.0.15, tag: sisu-3.0.15)
- disable some internal "features"
- make file and directory naming more flexible, now using
  'OEBPS', 'toc.ncx', 'content.opf',
- adjustment of some headers and general tuning
- add opf guide
- clean processing directory between each build
- constants, added constants Ep (for epub)
- constants, added DISABLE (used here with epub)

v3: constants, re-arranged
2011-08-09 ralph@amissah.com
04d33909

v3: texpdf, possibility to translate "Contents" for table of contents
2011-08-09 ralph@amissah.com
7c0a7346

v3: prog_text_translation, add contents, remove some repetition
2011-08-09 ralph@amissah.com
a588b8f5

v3: po4a, make use of base directory (default) language setting
2011-08-08 ralph@amissah.com
c610cd64
- set original language, (instead of assuming English) (per directory or wider)

v3: options, sysenv, sisurc.yml, set/config default language (code)
2011-08-08 ralph@amissah.com
eb474533
- in absence of setting 'en' assumed
- 'en' previously fixed

v3: options, default action on running "sisu3 [filename.sst]", fix
2011-08-08 ralph@amissah.com
bd2ba361

v2 v3: removed objects.txt, cleaning
2011-08-08 ralph@amissah.com
f0da30bc

v3: 3.0.15 version & changelog "opened"
2011-08-08 ralph@amissah.com
07065d9e

sha256 (3.0.14)
2011-07-26 ralph@amissah.com
439b8be4

v2 v3: manpage html (man2html)
2011-07-26 ralph@amissah.com
3c0b56d9 (tag: sisu_3.0.14)
- commands: --qrcode -Q; update shortcut options
- markup.sst: indent update; publisher

v2 v3: manpage
2011-07-26 ralph@amissah.com
520128d4
- commands: --qrcode -Q; update shortcut options
- markup.sst: indent update; publisher

v2 v3: sisu_manual
2011-07-26 ralph@amissah.com
bd65e8ad
- sisu_commands: --qrcode -Q; update shortcut options; line-breaks use \\
- sisu_markup.sst: indent update; publisher

v3: po4a, indent (check for breakage)
2011-07-26 ralph@amissah.com
d613c978

v3: odf, manpage, "new" indent not implemented
2011-07-26 ralph@amissah.com
d9dcd891

v3: sql (pg, sqlite), indent ...
2011-07-26 ralph@amissah.com
e3330f16

v3: texpdf, indent ...
2011-07-26 ralph@amissah.com
dba6d8b3

v3: epub, indent ...
2011-07-26 ralph@amissah.com
727db14c

v3: html, indent ...
2011-07-26 ralph@amissah.com
392f8d5c

v3: xhtml, xml sax & dom, indent (partially implemented) ...
2011-07-26 ralph@amissah.com
1abd2f99

v3: css, indent ...
2011-07-26 ralph@amissah.com
476ee850

v3: plaintext, indent ...
2011-07-26 ralph@amissah.com
051b3216

v3: dal, indent, control of first line of indent & rest of paragraph
2011-07-26 ralph@amissah.com
5e292103
- implements hanging indent, and possibility to set first line step indent
- __[1-9] hanging indent (initial indent 0); paragraph text indent [1-9]
- _[0-9]?_[1-9] initial indent; paragraph text indent
- __[1-9]! bold words \\ part of hanging indent paragraph text

v3: emacs syntax highlighting sisu-mode.el
2011-07-26 ralph@amissah.com
afa76471
- markers for hanging indent added
- line-break

v3: vim sisu syntax highlighting
2011-07-26 ralph@amissah.com
c77953fb
- markers for hanging indent added
- added header for @creator: :editor:
- minor comments added
- deletion of an unused tag

v3: sql db, constants, cgi-sql, structure changed, creator.editor field added
2011-07-26 ralph@amissah.com
399e6eaa

v3: param, manifest, qrcode, epub, added creator.editor field
2011-07-26 ralph@amissah.com
2e6af20c

v3: qrcode, manifest, (++), QR code (metadata) images for manifest
2011-07-26 ralph@amissah.com
f965e590
- generate images using qrencode

v3: epub, opf fixes
2011-07-26 ralph@amissah.com
a44bbf20

v3: texpdf, XeTeX language settings (setmainlanguage setotherlanguage)
2011-07-26 ralph@amissah.com
427c8b29
- get from directory or filename if header @make: :language: not set

v3: xmls (sax, dom, xhtml) use of tidy, correct output location
2011-07-26 ralph@amissah.com
bdc8fb18

v3: param, cleanup setting of auto endotes
2011-07-26 ralph@amissah.com
5eb77a9b

v3: sysenv, cosmetic
2011-07-26 ralph@amissah.com
9c518b45

v3: sysenv, avoid creation of spurious directories in output tree
2011-07-26 ralph@amissah.com
b739f3f1
- an image copy section removed (re-implement correctly later)

v3: urls, --concordance (hyphen added, descriptive)
2011-07-26 ralph@amissah.com
20084391

v3: 3.0.14 version & changelog "opened"
2011-07-26 ralph@amissah.com
9056c5a3

sha256 (3.0.13)
2011-06-26 ralph@amissah.com
45a05d0c

v3: documentation, on additional breaks in document, (remove some old info)
2011-06-26 ralph@amissah.com
1d239f25 (tag: sisu_3.0.13)
- linebreak \\ (previously undocumented <br> kept but depreciated)
  [it is intended that this should close #617298 (post mail)]
- page break (breaks column if column, else breaks page)
- page new (new page, breaks page)
- sisurc.yml set output directory structure by language
- removed section on hyperestraier, too specialised for general manpage
  (also section not checked recently)

v2 v3: sisurc.yml, config settings
2011-06-26 ralph@amissah.com
c5523331

v3: urls (ansi screen reporting), add document language code
2011-06-26 ralph@amissah.com
ae914fdb

v3: manifest, manifest enable additional output & source (if shared)
2011-06-26 ralph@amissah.com
b232545a
- manpage (in fututure have config setting with default false/off)
- info (texinfo) (in fututure have config setting with default false/off)
- hash digests
- locate markup source (if shared)
- sisupod (if shared)

v3: sysenv, fix some output paths (markup source); accommodate manpage
2011-06-26 ralph@amissah.com
f6f89c95
- shared source markup (.sst .ssm & sisupod.zip) fix some paths
 - placement of markup source, output_path.src.dir, fix
 - output_path.src.url, fix
- manifest info
- (epub viewer cosmetic rearrangement)

v3: info (texinfo) (sysenv), move output; line-breaks within object
2011-06-26 ralph@amissah.com
408bf6b6
- backslashes & line-breaks
- place under web server directory
- info tool setting prompt
- sysenv, accommodate info page changes

v3: manpage (sysenv), move output; line-breaks within object
2011-06-26 ralph@amissah.com
def544be
- start to honor line-breaks within objects (revisit)
- show double escape \\ (backslashes) in code blocks
- place under web server directory
- sysenv, accommodate manpage changes

v3: html_tune, reduce loops; deal with angle-brackets
2011-06-26 ralph@amissah.com
b975bd03
- deal with angle brackets in markup (test, could cause breakage)
- reduce loops in code

v3: plaintext, codeblock keep backslashes
2011-06-26 ralph@amissah.com
561b3d6e

v3: constants, a sisupod & an xml related addition
2011-06-26 ralph@amissah.com
3dafcaeb

v3: define latex \newcommands for some special characters (for sisu code)
2011-06-26 ralph@amissah.com
d95f8574
- \newcommands for some special characters to simplify dealing with them
  in sisu code \hardspace \caret \pipe \curlyopen \curlyclose \lt \gt
  \slash \backslash \underscore \exclaim

v2 v3: texpdf, define hardspace & provide backslash
2011-06-26 ralph@amissah.com
7ef0302a
- define \hardspace to simplify placing a hardspace
- provide backslash character in code block

v3: ansi screen reporting include document language code
2011-06-26 ralph@amissah.com
60bd031d

v2 v3: vim, sisu syntax highlighting, linebreak \\ added (<br> kept)
2011-06-26 ralph@amissah.com
8294a1dc

v2 v3: dal_syntax, linebreak in regular text object: ' \\ ' ('<br>' depreciated)
2011-06-26 ralph@amissah.com
83355806
- thanks to Jonas Stein for making me look at this (see bug: #617298 & comments
  in upstream CHANGELOG_v3)
- testing required, downstream outputs affected

v2 v3: vim colors, added cursor line & cursor column
2011-06-26 ralph@amissah.com
533909b0

v2 v3: 2.9.7 & 3.0.13 version & changelog "opened"
2011-06-26 ralph@amissah.com
3ef64329

sha256 (3.0.12)
2011-06-09 ralph@amissah.com
cd0c1c83

v3: cgi, sample search form, force utf-8 character encoding to avoid issues
2011-06-09 ralph@amissah.com
5a1e3ba7 (tag: sisu_3.0.12)

v3: cgi, sample search form reverted to '#!/usr/bin/env ruby'
2011-06-09 ralph@amissah.com
74c346fa
- appears to be a fix in libdbi-ruby1.9.1, see comments in sisu-3.0.8 changelog

v3: harvest, work for alt output structures; for each language
2011-06-09 ralph@amissah.com
a6651eff
- paths to document manifests etc. for the possible output dir structures
- author and topic lists for available documents, by availability in each
  language

v3: sysenv, limit/prevent the creation of spurious language output directories
2011-06-09 ralph@amissah.com
d0fd14ad

v3: param, remove unused class variable '@@symlnk'
2011-06-09 ralph@amissah.com
2aba456f

v3: html, texpdf, syslink to default, adjusted & made similar
2011-06-08 ralph@amissah.com
a011db38

v3: manifest, fix a full name
2011-06-08 ralph@amissah.com
36c4c6ac

v3: --help language, provides list of available languages
2011-06-08 ralph@amissah.com
6a7c87dc
- language (ISO 639-1 code (as varied by po4a) & name)

v3: options, restrict glob rule checks to glob & find; carry lang info
2011-06-08 ralph@amissah.com
7bf74c7f
- restrict glob rule checks to when --glob (-G) or --find (-f) requested
- carry information on document language (from filename and or directory)
- (additional test)

v2 v3: help, s/Bul garian/Bulgarian/ (Closes: #619068)
2011-06-07 ralph@amissah.com
5f4c7037

v2 v3: 2.9.6 & 3.0.12 version & changelog "opened"
2011-06-07 ralph@amissah.com
93d66090

sha256 (3.0.11)
2011-05-29 ralph@amissah.com
21117c49

v3: documentation, minor update, includes --find / --glob
2011-05-29 ralph@amissah.com
0e921ada (tag: sisu_3.0.11)

v3: options --find & --glob (-f -G) added, parses language sub-dirs
2011-05-25 ralph@amissah.com
93cc261e
- options
 - filter out files not matching .ss[tm]
 - with -f -G (--find|--glob) flag glob all .ss[tm] files in dir including
    language sub-directories
      sisu3 -3G live-manual
 - with -f (--find|--glob) flag and find .ss[tm] files that match given
    string in dir including language subdirectories
      sisu3 -3GR

v3: i18n, constants, some language info moved to i18n (from constants)
2011-05-25 ralph@amissah.com
b1648ad6

v3: cgi search form, fixes related to language code
2011-05-24 ralph@amissah.com
4d509289
- filename with language code being required as unique document identifier

v3: sysenv, url webserver link (manifest) fix
2011-05-24 ralph@amissah.com
0df2126e

v3: 3.0.11 version & changelog "opened"
2011-05-24 ralph@amissah.com
57940551

sha256 (3.0.10)
2011-05-24 ralph@amissah.com
f4bb6f72

v3: defaults, fix path to homepage image (more fixes remain...)
2011-05-23 ralph@amissah.com
f18dfa73 (tag: sisu_3.0.10)

v3: sysenv, rsync, embedded: rsync to remote host alt output structures, fix
2011-05-23 ralph@amissah.com
d6f18ae9

v3: options, include markup source "base" path
2011-05-23 ralph@amissah.com
3a07ef3c
- used to parse alternative markup source dir structures

v3: html, close files; syslink index.html to toc.html
2011-05-23 ralph@amissah.com
154fd687
- syslink will need revisit (will only "work" properly with by_language dir
  structure)

v3: texpdf, filenames
2011-05-23 ralph@amissah.com
b5b64d1e

v3: manifest, sysenv, "available outputs" relative paths; available languages
2011-05-23 ralph@amissah.com
eebc0d4f
- relative paths to "available outputs" (for each dir structure), fix
- show language versions published
  (needs 2 runs for manifest, polls output as to whether manifest exists)

v3: param, html, epub, xml, simplify file-naming with language code
2011-05-23 ralph@amissah.com
a11485b8
- language code occurs in fixed location within file-name (could previously do
  so in 1 of 3 configured locations)

v3: prog_text_translation, language class name fix; languge name matching
2011-05-23 ralph@amissah.com
92fb4ace
- Portuguese language class name (missed 't')
- language name matching ('Portuguese Brazil')
- indentation

v3: i18n, added language translation table column to hash/table
2011-05-23 ralph@amissah.com
c11ed8c1
- changelog, version dates touched as well

v3: sysenv, rsync, get rid of annoying nag to terminal (-v reporting Dir.pwd)
2011-05-17 ralph@amissah.com
f7bad422
- prevent attempt to change directory unless different directory requested

v2 v3: 2.9.5 & 3.0.10 version & changelog "opened"; copyright touch
2011-05-17 ralph@amissah.com
3ce63d5a
- copyright, dates for setup.rb

sha256 (3.0.9)
2011-05-17 ralph@amissah.com
e42cb235

v3: po4a re-enabled, related fixes (issues persist)
2011-05-17 ralph@amissah.com
bdd62aba (tag: sisu_3.0.9)

v3: options, expand name of source file for selected language directories
2011-05-17 ralph@amissah.com
d87f4fff
- only use for single file(name) available in multiple languages e.g.
  sisu3 -hv en/free_culture.lawrence_lessig.sst es fr
- english assumed as default language, make default configurable later
- particularly useful for po4a

v3: embedded, source path
2011-05-17 ralph@amissah.com
f464a77b

v3: version & changelog date
2011-05-17 ralph@amissah.com
ea971b88

v3: cgi sample search form, differ depending on output directory structure
2011-05-15 ralph@amissah.com
a09e2e63

v3: sysenv, output_path & place_file, modified, (affects many libraries)
2011-05-15 ralph@amissah.com
b1b2fe8c
- paths for dir, url, relative and rcp that vary with output dir structure
- cope with alterative dir structures
 - manifest url paths, fix
 - dal_expand_insertions, fix
 - rsync, review
- scp disabled

v3: sysenv, options, output_dir_structure.by? (language|filetype|filename)
2011-05-15 ralph@amissah.com
cfa267b4

v3: sysenv, output directory structure check, fix (start testing alternatives)
2011-05-15 ralph@amissah.com
29fcf4ab

v2 v3: vim cterm colorschemes, touch search color
2011-05-15 ralph@amissah.com
62a6bc0b

v2 v3: bin/sisu2 introduced (complement bin/sisu3), currently same as bin/sisu
2011-05-15 ralph@amissah.com
5a3b6028
- later switch bin/sisu to bin/sisu3
- consider using update-alternatives

v2 v3: copyright file update, sisu-mode.el assigned to FSF (GNU EMACS)
2011-05-15 ralph@amissah.com
dbd7dce7

v2 v3: copyright file, softlink, make more visible in tarball
2011-05-15 ralph@amissah.com
91ada8a0

v2 v3: 2.9.4 & 3.0.9 version & changelog "opened"
2011-05-15 ralph@amissah.com
6148816d

sha256 (3.0.8)
2011-05-05 ralph@amissah.com
015d5f04

v3: i18n, sysenv, class variable to prevent unnecessary re-construction of hash
2011-05-05 ralph@amissah.com
8b7a793a (tag: sisu_3.0.8)
- prevent program from becoming as slow as treacle, a fix

v3: date, version, changelog
2011-05-05 ralph@amissah.com
e54612bd

v3: sample search form, revert to generating ruby 1.8.7 sample
2011-05-04 ralph@amissah.com
c7c3ab1b
- sisu3 using ruby >=1.9.2p180 generates search form for ruby 1.8.7, so:
  generate sample form using sisu3 -F (options), then; start webrick using
  ruby 1.8.7 & sisu -W (not sisu3)
- take account of alternative output directory structures [work on, test]

v3: db, review, directory structure changed, database prefix renamed
2011-05-04 ralph@amissah.com
2d79257e
- language_document_char field made larger [consider renaming]
- title, src_filename and language_document_char fields mandatory
  (title, title_main, src_filename, language_document_char)
- review of unique key setting, now based on combination of filename
  and language (filename no longer sufficient with intro of language
  subdirectories)
- [retest sqlite3]

v3: urls, sqlite, a fix
2011-05-04 ralph@amissah.com
5f0bc4a7

v3: i18n, sysenv, options, language setting changes
2011-05-04 ralph@amissah.com
8ece5064
- must be able to set language at options stage from filename or directory
- affects many files
- old i18n more appropriately renamed prog_text_translation

v3: options, language setting, based on directory structure or filename
2011-05-04 ralph@amissah.com
46eebe8b
- affects multiple libraries

v3: concordance, output path, screen info correction
2011-05-04 ralph@amissah.com
9a9c3668

v2 v3: vim colorschemes minor review
2011-05-04 ralph@amissah.com
75e80f2f

v2 v3: bin/ cosmetic
2011-05-04 ralph@amissah.com
6a20d40e

v2 v3: note (CHANGELOG) on ruby DBI bug affecting sisu cgi sample search forms
2011-04-27 ralph@amissah.com
5fa19b62
- see <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596103> however, it
  affects sqlite3 in the same way as pgsql (the driver against which it is
  reported)
- includes possible workarounds (for sisu sample search forms)

v*: manpages escaped hyphens reinstated
2011-04-27 ralph@amissah.com
6b0a64fd

v2 v3: manpage, reinstate escaping of hyphens
2011-04-27 ralph@amissah.com
416d0ec8

v2 v3: bin/ type fix for ruby version check
2011-04-27 ralph@amissah.com
03073b71

v2 v3: vim (8 color cterm) colorschemes, 8, frugal, sparse
2011-04-26 ralph@amissah.com
e2089729
- sparse series uses dark grey on black, on which reverse cursors may
  disappear, usually looks better
- frugal series avoids dark grey
- slate for cterm now incorporates frugal-cterm-sisu

v2 v3: vim, sisu syntax change of a couple of color groups
2011-04-26 ralph@amissah.com
1e84a4d5

v2 v3: sysenv, refer to lowriter, update
2011-04-26 ralph@amissah.com
624f72b8
- v2 lowriter instead of oowriter
- v3 lowriter instead of libreoffice

v2 v3: bin/ improved ruby version check
2011-04-26 ralph@amissah.com
5102422f

v2 v3: 2.9.3 & 3.0.8 version & changelogs "opened"
2011-04-26 ralph@amissah.com
89e5a25a

sha256 (3.0.7)
2011-04-20 ralph@amissah.com
e1e81c7f

v2 v3: sisu-mode.el, header notes copyright assignment to FSF (GNU EMACS)
2011-04-20 ralph@amissah.com
07976599 (tag: sisu_3.0.7)
- assignment to FSF
- header includes url to git repo (when possible track GNU EMACS location)

v2 v3: vim colorschemes, headers touched, url to git repo provided
2011-04-20 ralph@amissah.com
4bc8b769

v3: harvest, sysenv, place with document manifests, variable directory path
2011-04-19 ralph@amissah.com
cc7bc6de
- sysenv, variable directory path fixing (language, filetype, filname), making
  the stub for at least manifest and html available early for processing
  that do not or should not need to process individual markup files
  completely, such as the cgi search form and harvest
- harvest
 - place with document manifests
 - variable directory path fixing (language, filetype, filname)

v3: param, md remove md.cmd and md.mod shortcut methods, use use md.opt
2011-04-19 ralph@amissah.com
44464e28
- affects many files that now use @md.opt.cmd & @md.opt.mod
  (instead of @md.cmd & @md.mod)

v3: options, hub, introduce opt.act booleans, more setting in options
2011-04-19 ralph@amissah.com
17d1555c
- opt.act booleans more flexible than opt.cmd
  (start to favor use of opt.act over opt.cmd)
- move option setting from hub to options where possible
- separate out a few methods

v3: urls, minor fixes
2011-04-19 ralph@amissah.com
dcfbef65
- fix maintenance urls -M (where processing files are kept for examination)
- odf maintenance added

v3: odf:odt processing in separate subdirectories
2011-04-19 ralph@amissah.com
f3309533
- processing in separate subdirectories that can be kept for maintenance
- odt.zip (bin) directory renamed odt from odf
- sysenv, odf:odt paths adjusted for changes in maintenance & odt.zip

v2 v3: options, -M / --maintenance, new alias --keep-processing-files
2011-04-19 ralph@amissah.com
ba819966
- new alias --keep-processing-files (see Bug#622902)
- document "--keep-processing-files" alias for "-M" ("--maintenance")
- minor rearrangement of regex
- (Closes: #622902)

v2 v3: cgi, sample-search-form
2011-04-19 ralph@amissah.com
5b647bdb
- results still not right, (ruby1.9.2 libraries? double check script)
- not yet done variable directory path fixing for result links

v3: screen_text_color (ansi colors) touched, consider reviewing later
2011-04-19 ralph@amissah.com
2dcb16c5

v2 v3: vim cterm colorschemes "8" and "frugal" added
2011-04-19 ralph@amissah.com
ccc33550

v2 v3: vim slate colorscheme, conflicting group colors reviewed
2011-04-19 ralph@amissah.com
a7413a2f

v3: dates - version, changelog; v2: 2.9.2 opened - version, changelog
2011-04-19 ralph@amissah.com
1f360483

v3: urls, reuse/share code, fix -U
2011-04-05 ralph@amissah.com
cc1c6832
- share code between show selected urls and show all urls
- fix -U which has not been properly updated for v3

v3: 3.0.7 version & changelog "opened"
2011-04-05 ralph@amissah.com
2dec1568

sha256 (3.0.6)
2011-03-31 ralph@amissah.com
54b31e16

vim colorscheme slate, rearrange
2011-03-30 ralph@amissah.com
ebd803aa (tag: sisu_3.0.6)

vim colorscheme slate, review console colors
2011-03-30 ralph@amissah.com
6324d3d0

v2, v3: dal_doc_str.rb, table structure issue
2011-03-30 ralph@amissah.com
af4d5210
- ruby1.9.2 transition related
- double spaced empty line creates spurious newline

v2, v3: dal_doc_str, empty line not paragraph object
2011-03-30 ralph@amissah.com
b06c1e8a
- ruby1.9.2 transition related

v2, v3: dal_images, image path setting
2011-03-30 ralph@amissah.com
709e8067
- ruby1.9.2 transition related

v2, v3: cgi, sample-search-form, string output (+ clean unused help text)
2011-03-30 ralph@amissah.com
d5d39d4e
- ruby1.9.2 transition related

v2, v3: sysenv, remove repeated method
2011-03-30 ralph@amissah.com
9542185b

v2: param, nested regex match fix (backport from v3)
2011-03-30 ralph@amissah.com
350efc6d

v2, v3: 3.0.6 version & changelog "opened"
2011-03-30 ralph@amissah.com
b0955dc8

sha256 (3.0.5-3)
2011-03-27 ralph@amissah.com
2d6d4973

sha256 (3.0.5-2)
2011-03-26 ralph@amissah.com
663832e2

sha256 (3.0.5)
2011-03-24 ralph@amissah.com
90bf54da

v2, v3: texpdf bugfix, where map_nametags not found, drop tag, rather than crash
2011-03-24 ralph@amissah.com
e5d3440b (tag: sisu_3.0.5)
- Debian-live, live-manual (Ben Armstrong, chals?, reported new bug in a
  number of translations (that crashed the pdf generator). It turns out
  where map_nametags is not found the document crashes. Fix.

v3, v2: bin/sisu*: v3 development ruby >=1.9.2p180; v2 maintenance ruby >=1.8.7
2011-03-23 ralph@amissah.com
9e82ccef
- bin/sisu* version checks

v2, v3: vim syntax highlighting, fix typo
2011-03-20 ralph@amissah.com
18eefb23

v3: changelog & version 3.0.5
2011-03-20 ralph@amissah.com
21cadb83

sha256 (3.0.4)
2011-03-11 ralph@amissah.com
f577abb1

sisu_manual, sisu_download, remove references to versions of sisu
2011-03-11 ralph@amissah.com
1c052f55 (tag: sisu_3.0.4)

v3: changelog & version 3.0.4
2011-03-11 ralph@amissah.com
e19720cb

sha256 (3.0.3)
2011-03-11 ralph@amissah.com
32f83cb5

v2, v3: changelog git.sisudoc.org tag-points [3.0.3-1]
2011-03-11 ralph@amissah.com
bfa2a017 (tag: sisu_3.0.3)

syntax highlighting updates, emacs, vim
2011-03-11 ralph@amissah.com
61c7438e
- emacs sisu headers updated (subheaders omitted for now) sisu-mode.el
- vim cleaning sisu.vim

param: tidy, remove redundant document header tags
2011-03-11 ralph@amissah.com
d3a09245

manpage: sisu.1 and html regenerated
2011-03-10 ralph@amissah.com
57ad1a1e

documentation more link fixes (remove redundant), remove repeated skin
2011-03-10 ralph@amissah.com
a6042b05

v2, v3: help (markup): correct path to markup-samples
2011-03-10 ralph@amissah.com
e4ca6d04

v3 (v2): manpage, param, urls: manpage output presentation fixes
2011-03-10 ralph@amissah.com
93308a6a
- manpage: lowercase .br; correct newlines before .nf and after .fi; no
  escape of hyphens; remove redundant links; endnotes array requires flatten;
  screen info on output path)
- param: manpage header .br and no escape of hyphens
- urls: correct output path for manpage

v2, v3: dal_doc_str: fix, looks like typo in regex
2011-03-10 ralph@amissah.com
cbcf26cd

v2, v3: dal_substitutions_and_insertions: sisu header matching in codeblock, fix
2011-03-10 ralph@amissah.com
63251bd4

v2, v3: dal_syntax: (internal document) link matching, a fix
2011-03-10 ralph@amissah.com
259351d4
  [Debian-live, live-manual (Jose Luis Zabalza, Ben Armstrong, reported bug in
  Spanish translation markup (that crashed the pdf generator). Bug in markup
  subsequently identified as "versátil,#{iso-hybrid}#, se" which the interpreter
  identified as an internal document link to a comma (instead of as being
  monospace markup), markup should have been "versátil, #{iso-hybrid}#, se" this
  fix prevents that incorrect match, (but the markup remains faulty and the
  monospace markup is not identified as such without the corrected spacing).
  Unfortunate "grave" results for what is a pretty insignificant data entry
  typo (there are no doubt other such situations).]

v2, v3: dal_syntax + downstream output, email regex revised
2011-03-10 ralph@amissah.com
755acef8
- revised pattern match for email address, (removes occasional interference
  with urls having embedded email addresses) (dal_syntax and affected
  downstream output modules)

v2, v3: texpdf, url (regex) pattern match fix
2011-03-10 ralph@amissah.com
78170753

v2, v3: 3.0.3 version & changelog "opened"
2011-03-10 ralph@amissah.com
9dea2a81

sha256 (3.0.2)
2011-03-05 ralph@amissah.com
589d36be

v2, v3: changelog updates
2011-03-05 ralph@amissah.com
6991d5ad (tag: sisu_3.0.2)

documentation, minor tidy
2011-03-05 ralph@amissah.com
02c16699

manpage + html: sylink sisu.1 to sisu3.1
2011-03-05 ralph@amissah.com
5b124911

documentation, remove some files
2011-03-05 ralph@amissah.com
1ffd1da3

html manpages, re-run man2html
2011-03-05 ralph@amissah.com
0c872f4f

sisu.8 manpage & html deleted, needs rewrite, unhelpful
2011-03-05 ralph@amissah.com
f3aefadb

manpages: sisu.1 update; sisu_vim.7 cleaning
2011-03-05 ralph@amissah.com
cce96b70

markup samples, manual, headers: links and other details
2011-03-05 ralph@amissah.com
c9440e39

doc/sisu user_txt, minor update & pruning
2011-03-05 ralph@amissah.com
b9723041

v2, v3: manpage, adjust output (backslash ('\') escapes reduced)
2011-03-05 ralph@amissah.com
a512dfec

v2, v3: defaults, default homepage tidy & update links
2011-03-05 ralph@amissah.com
278c945f

v3: version & changelog, touch date
2011-03-05 ralph@amissah.com
73c312da

conf/skin prune skins * remove less important skins * use syslink to share doc/skin_sisu.rb
2011-03-04 ralph@amissah.com
ceb35acd

CHANGELOG_v{1,2,3}, syslink, avoid duplication * CHANGELOG_v3 updated * CHANGELOG & README locations pruned
2011-03-02 ralph@amissah.com
572064e8

v2, v3: consolidate manual & markup samples
2011-03-02 ralph@amissah.com
59b7f849
- reinstate lang dir structure for manual when v3 becomes default

v3: sysenv, separate out processing_path method plus consequences
2011-03-01 ralph@amissah.com
5abc5721

v3: space between each and opening curly brace e.g. "x.each {|y| p y}"
2011-03-01 ralph@amissah.com
f2ab439c

v3: ruby 1.9 hash symbol syntax adopted
2011-03-01 ralph@amissah.com
05a3fd23

v3: use rb1.9.2 "require_relative" syntax
2011-03-01 ralph@amissah.com
f09f45a1

v3: use "encoding: utf-8" (instead of coding)
2011-03-01 ralph@amissah.com
d4c06757

make sisu: v2 require >=ruby1.8.7; v3 require >=ruby1.9.2
2011-03-01 ralph@amissah.com
0aff0553
- bin/sisu bin/sisu3 modified accordingly
  note: there are issues with sisu and early versions of ruby1.9.2
  ruby1.9.2p0 is known to segfault on a number of operations
  ruby1.9.2p180 does not have these issues
- v3 includes changelog updates
- v2 includes changelog updates and version update 2.8.1

v3: sisu version 3.0.2-beta-rb1.9.2p180
2011-03-01 ralph@amissah.com
af2ffd7f

v3: changelog, open 3.0.2, target ruby1.9.2
2011-03-01 ralph@amissah.com
baa7f205

v3: hub, minor rearrangement
2011-03-01 ralph@amissah.com
abaab645

v3: urls, param, two unrelated regex fixes, check
2011-03-01 ralph@amissah.com
a800c2b6

v2: changelog fix
2011-03-01 ralph@amissah.com
494b0b53

sha256 (3.0.1)
2011-03-01 ralph@amissah.com
a6673bc5

changelogs, gitweb urls: debian release tags
2011-02-16 ralph@amissah.com
596d4cea (tag: sisu_3.0.1)

changelog & version (3.0.1)
2011-02-16 ralph@amissah.com
d6ba607d

css, fix css paths for xhtml, xml dom & xml sax
2011-02-15 ralph@amissah.com
9a2448e9

sysenv, sisurc.yml & elsewhere as affected, output_dir_structure (conf & tests)
2011-02-15 ralph@amissah.com
3a263de6
- (by_language_code; by_filetype; by_filename)

console feedback on selected files being processed, updates & fixes
2011-02-15 ralph@amissah.com
9f4166c7

sysenv & sisurc.yml: libreoffice, default odf reader
2011-02-15 ralph@amissah.com
5ae32a29

sha256 (3.0.0)
2011-02-08 ralph@amissah.com
3582bcf6

update changelogs & version date
2011-02-07 ralph@amissah.com
5b0efc5b (tag: sisu_3.0.0)

documentation & man pages, add sisu3, sisu-po and touches
2011-02-07 ralph@amissah.com
b571083d

REMOVE sisu v1
2011-02-07 ralph@amissah.com
c19e5c61

increment year (2011) for bin and lib/sisu/v3
2011-02-07 ralph@amissah.com
b04b5d4d

v3 po4a, options, shortcut representation for processing, keep working on
2011-02-01 ralph@amissah.com
0491018d
- sisu --po4a en/live-manual.ssm fr
   instead of:
   sisu --po4a en/live-manual.ssm fr/live-manual.ssm
   test:
   sisu --po4a en/live-manual.ssm fr de

v3 introduced as development branch, invoked using "sisu --v3 [instructions]
2011-02-01 ralph@amissah.com
4b51bc00

prepare for v3 branch
2011-02-01 ralph@amissah.com
f26f1b37

remove skin_gutenberg from sisu, unused
2011-02-01 ralph@amissah.com
9e504255

document objects: page break; object separator (introduced & used, adjust later)
2010-12-16 ralph@amissah.com
ff4ceb26
- object separator introduced
  (requested Cory Doctorow, implementation not discussed)
 - dal_syntax, object separator syntax (<:---> or <:ols>)
 - constants, object separator
 - vim syntax highlighting, match object separator
- document objects: page break; object separator
  (introduced & used)
 - dal, page break and object separator objects
 - represent page break and object separator: plaintext, html, epub, odf,
    texpdf (adjust later)

dal_syntax, sisu syntax modification (insist on curly braces)
2010-12-13 ralph@amissah.com
5e3e7429
- enforce use of curly braces in markup, remove single word markup without curly
  braces
  (requested fix, Ben Armstrong (live-manual), problematic for technical
  writing)
- also removed some undocumented alternative markup attributes

open v2.7.10
2010-12-13 ralph@amissah.com
6e066fee

sha256 (2.7.9)
2010-12-09 ralph@amissah.com
1b259aed

changelog, cosmetic
2010-12-09 ralph@amissah.com
74911938 (tag: sisu_2.7.9)

dal, markup syntax (fontface) multi-line match, for line-wrap text
2010-12-09 ralph@amissah.com
5f1bdade

dal, multiline-match to permit line-wrap on bullet text (and headings)
2010-12-08 ralph@amissah.com
ca5f3517
(requested fix, Ben Armstrong (live-manual))

document manifest link (plaintext, odf)
2010-12-07 ralph@amissah.com
67b6edcf
- plaintext, link to "document manifest" fix(links to individual output types
  removed)
- odf, manifest link fix
- html, cosmetic touch

html, link to "document manifest" & search form reviewed (testing required)
2010-12-04 ralph@amissah.com
74f7e0ad

html, link to "document manifest" remains (individual output links removed)
2010-12-03 ralph@amissah.com
f0f647e3

texpdf: toc now contains level 3~ consistent with other output formats
2010-11-29 ralph@amissah.com
b4566320
(requested fix, Ben Armstrong (live-manual))

epub: ocn (object numbers) now link to themselves
2010-11-29 ralph@amissah.com
371dfc5c
- jumps to top of viewer

html & css: ocn (object numbers) now link to themselves
2010-11-29 ralph@amissah.com
e54d00b5
- jumps to top of browser
- provides link url
(requested, Ben Armstrong (live-manual))

texpdf, use of monospace in headings causes table of contents breakage, fix
2010-11-11 ralph@amissah.com
a64f0c80
(requested fix, Ben Armstrong)

open v2.7.9
2010-11-11 ralph@amissah.com
d6d33ae4

sha256 (2.7.8)
2010-10-31 ralph@amissah.com
8bac1a74

texpdf_format, i18n, set tex document header language (polyglossia)
2010-10-25 ralph@amissah.com
0da0a262 (tag: sisu_2.7.8)
- i18n, introduce header @make: :language: internationalization using codes
  from http://www.debian.org/international/l10n/po/ at this time for texpdf,
  (able to satify needs of polyglossia for the likes of Brazilian Portugues)
  and in future for po files, where iso:639 for this purpose appears to have
  use limitations http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
 - i18n, add code list and associated language (as listed by polyglossia)
 - texpdf_format, use param (@make: :language: (default english)), to set
    tex document language header (previously used file naming convention)

i18n, introduce header @make: :language:
2010-10-25 ralph@amissah.com
70e74b82
- internationalization using codes from
  http://www.debian.org/international/l10n/po/
- param, extract @make: :language: information if provided, default "english"
- sisu.vim recognize @make: :language:
  (also elsewhere shortened :lang_code: from :language_code:)

version date
2010-10-25 ralph@amissah.com
96f80566

html, quick ref links_guide configurable, boolean
2010-10-24 ralph@amissah.com
ed1a1041
- true/false (config.yml commented out, default false)
(requested off option, Daniel Baumann)

html segments, title banner (including "copy @" mark) configurable, boolean
2010-10-24 ralph@amissah.com
f0776648
- true/false (config.yml commented out, default false)
(requested off option, Daniel Baumann)

html, remove "copy @" mark
2010-10-24 ralph@amissah.com
8b2317a5
(requested, Daniel Baumann)

version date
2010-10-24 ralph@amissah.com
368f63c5

internal links, punctuation & parentheses issue, refix
2010-10-23 ralph@amissah.com
0528ba40

internal links, punctuation & parentheses issue, fix
2010-10-23 ralph@amissah.com
07fcd016
- dal, exclude parentheses and square brackets from matching
  (requested fix, Ben Armstrong)
- html, remove space between link & following punctuation, parentheses &/or
  square brackets
  (requested fix, Ben Armstrong)
- epub, remove space between link & following punctuation, parentheses &/or
  square brackets

version date
2010-10-23 ralph@amissah.com
aaffb848

epub, internal link: remove space between link & parentheses or square brackets
2010-10-22 ralph@amissah.com
b2918451

html, internal link: remove space between link & parentheses or square brackets
2010-10-22 ralph@amissah.com
6632e435

dal, internal link: exclude parentheses and square brackets from matching
2010-10-22 ralph@amissah.com
fda25aa0
(requested fix, Ben Armstrong)

version date
2010-10-22 ralph@amissah.com
73f43c42

epub, internal link: remove space between link & following punctuation
2010-10-21 ralph@amissah.com
7da9ff24

html, internal link: remove space between link & following punctuation
2010-10-21 ralph@amissah.com
41b812e5
(requested fix, Ben Armstrong)

open v2.7.8
2010-10-21 ralph@amissah.com
db2ec9ee

sha256 (2.7.7)
2010-10-17 ralph@amissah.com
3425ce01

version date
2010-10-17 ralph@amissah.com
bf16d31b (tag: sisu_2.7.7)

CHANGELOG update requested by
2010-10-17 ralph@amissah.com
8f9ef031

texpdf, codeblocks do not permit empty lines, fix
2010-10-15 ralph@amissah.com
505c66ab

sisu_markup, date typo fix
2010-10-15 ralph@amissah.com
a258d50c

texpdf, bullet text, hanging indent, fix (works for regular text (not grouped text)
2010-10-14 ralph@amissah.com
1f20600f
(requested fix, Ben Armstrong)

codeblocks, numbered markup option, fix
2010-10-14 ralph@amissah.com
9a32a074
(requested fix needed by debian-live:live-manual,
Ben Armstrong & Mark Schneider)
- numbered codeblocks, , where codeblock opens with code{#
 - dal changes as required, flag markup request and number
 - constants, provide vertical line symbol, use to separate numbered
    codeblock from code
 - texpdf substitute \vline for numbered codeblock line separator

documentation related minor updates and fixes
2010-10-14 ralph@amissah.com
dc6f4fba

dal_endnotes, cosmetic code arrangement
2010-10-14 ralph@amissah.com
2956c8fa

version 2.7.7
2010-10-14 ralph@amissah.com
93597e61

texpdf, first space following a bullet should be fixed width (also), fix
2010-10-13 ralph@amissah.com
9314a7a3

texpdf, first space following a bullet should be fixed width, fix
2010-10-13 ralph@amissah.com
406eed70
(requested fix and suggested solution, Ben Armstrong)

CHANGELOG v2, on requested changes & open 2.7.7
2010-10-13 ralph@amissah.com
45b2c50b

sha256 (2.7.6)
2010-10-11 ralph@amissah.com
0fe4c7cb

update version (2.7.6)
2010-10-11 ralph@amissah.com
b55b1ef4 (tag: sisu_2.7.6)

texpdf, codeblocks, code-line continuation backslash dropped, fix
2010-10-11 ralph@amissah.com
d9d0054e
(requested fix, Ben Armstrong)

shared_metadata, odf, url characters to not match
2010-10-11 ralph@amissah.com
4f2d1d3f

sisu_convert, basic conversion script, preliminary fix
2010-10-11 ralph@amissah.com
3ca7f281

CHANGELOG v2, recount where some requests came from
2010-10-11 ralph@amissah.com
6cc08786
- some of this information is already provided in debian/changelogs

sha256 (2.7.5) also date
2010-10-09 ralph@amissah.com
f3bf535d

version date
2010-10-09 ralph@amissah.com
41902ef3 (tag: sisu_2.7.5)

update version (2.7.5)
2010-10-09 ralph@amissah.com
10b211ff

param, metadata rights, keep colon separator from interfering with urls (+changelog)
2010-10-09 ralph@amissah.com
fb20770a

odt fix cornercase breakage matching and representing "&nbsp", "&" and urls (+changelog)
2010-10-09 ralph@amissah.com
7010772e
- odf, "&nbsp" and "&"
 (prior to this fix, odt for viral_spiral is broken in sisu-markup-samples)
- shared_metadata, "&nbsp", "&" and urls in metadata
more consistent open document text results

sha256 (2.7.4)
2010-10-08 ralph@amissah.com
1c84bbb8

update version (2.7.4)
2010-10-08 ralph@amissah.com
2f0b6b28 (tag: sisu_2.7.4)

epub (epub_tune) scaling of images, fix (+changelog)
2010-10-08 ralph@amissah.com
50137a3a
(requested fix)

html (html_tune) scaling of images, fix (+changelog)
2010-10-08 ralph@amissah.com
bbcd934b
(requested fix)

odf:odt, incorporation and scaling of images, fix (+changelog)
2010-10-08 ralph@amissah.com
20d511b8
(requested fix)

texpdf, scaling of images (below the set max size), fix (+changelog)
2010-10-08 ralph@amissah.com
c7f4ff94
(requested fix)

sha256 (2.7.3)
2010-10-07 ralph@amissah.com
79ef5fd0

sisu_markup.sst, document a fix (v1 & 2)
2010-10-06 ralph@amissah.com
6bd30f0b (tag: sisu_2.7.3)

dal_images, where image dimensions are set in an object, use those (+changelog & version date)
2010-10-06 ralph@amissah.com
c7bd43fb

version & changelog 2.7.3 (squeeze freeze, fixes)
2010-10-03 ralph@amissah.com
6c5d44da

hub, fix breakage when -y (manifest) is run without -m
2010-10-03 ralph@amissah.com
daf29aa2
- hub, fix sisu breakage when -y (manifest) is run without the explicit or
  implicit calling of -m (creation of document abstraction for processing),
  (e.g. when --source or --sisupod is called on its own).

urls, cleaning
2010-10-03 ralph@amissah.com
3eaa952a

a few aliases added (long options)
2010-10-03 ralph@amissah.com
86c848ac

sha256 (2.7.2)
2010-10-01 ralph@amissah.com
f019e7fa

version & changelog 2.7.2 (squeeze freeze, fixes)
2010-10-01 ralph@amissah.com
41bb8b5b (tag: sisu_2.7.2)

hub, test whether user name set, fix
2010-10-01 ralph@amissah.com
13b9e561
(requested fix)

epub, fix breakage where angle brackets used in used metadata header
2010-10-01 ralph@amissah.com
1d30e1a8

texpdf_format, remove a few commented out lines
2010-10-01 ralph@amissah.com
a8dbd882

sha256 (2.7.1)
2010-10-01 ralph@amissah.com
f0336c13

version & changelog 2.7.1 (squeeze freeze, bugfix)
2010-10-01 ralph@amissah.com
b2b581db (tag: sisu_2.7.1)

shared_metadata, odt fix breakage where angle brackets used in metadata headers; & a typo fix
2010-10-01 ralph@amissah.com
fa305361
- odt protect against breakage from angle brackets in metadata headers
  (requested fix)

manifest, typo fix
2010-10-01 ralph@amissah.com
ff6ec4b4

param, a few fixes (checks, aliases, typo)
2010-10-01 ralph@amissah.com
2fa09eb0

hub, removed commented out option (git), (already enabled elsewhere)
2010-10-01 ralph@amissah.com
0addde55

share_src, remove repetition, redundancy
2010-10-01 ralph@amissah.com
af86517f

texpdf, a5, increase headheight (+changelog)
2010-09-27 ralph@amissah.com
5b92d55a

texpdf, provide line-break-points for long directory names (+changelog)
2010-09-27 ralph@amissah.com
bbc1ea81
(requested fix)

texinfo, urls cleaned & with angle bracket decoration (+changelog)
2010-09-25 ralph@amissah.com
6132f2f2

texinfo ocn decoration a hash (instead of angle braces) (+changelog)
2010-09-25 ralph@amissah.com
a6917413

version update 2.7.1
2010-09-25 ralph@amissah.com
674c34ef

changelog 2.7.1 (squeeze freeze, bugfix)
2010-09-25 ralph@amissah.com
03247947

texinfo_format, texinfo output broken, fix (Closes #598063)
2010-09-25 ralph@amissah.com
3bf42456

sha256 (2.7.0)
2010-09-25 ralph@amissah.com
a2218b6f

version & changelog sisu-2.7.0
2010-09-21 ralph@amissah.com
3c5d60e2 (tag: sisu_2.7.0)
- Debian Squeeze equivalent (2.6.3-6 ported upstream)

[sha256 (2.6.3-6) debian package rebuilt]
2010-09-20 ralph@amissah.com
769442ea

changelog 2.6.3-6 [debian package rebuilt (squeeze freeze)]
2010-09-20 ralph@amissah.com
db3e84c4

html, v2 update (including --long-options) (manpage sync adds files)
2010-09-20 ralph@amissah.com
5e506682

manpage, v2 update (including --long-options)
2010-09-20 ralph@amissah.com
1b271cac

sisu_commands.sst v2 update (including --long-options)
2010-09-20 ralph@amissah.com
36e2f004

help, minor update, revisit  (includes minor fixes)
2010-09-20 ralph@amissah.com
08c8a523

identify markup, update ... revisit
2010-09-20 ralph@amissah.com
094fefb9

urls, sysenv, set manpage viewer to "man"
2010-09-18 ralph@amissah.com
244f9e96

options, bullet proof matches for --long-options (effects minor fix)
2010-09-18 ralph@amissah.com
a6867468
- fixes issue noted with --sample-search-form (-F) (in the selection of
  webrick (--webserv-webrick))

epub, fix xhtml line-break in rights metadata, results in unreadable epub (Closes: #596736)
2010-09-13 ralph@amissah.com
8fb333ce
- epub output not readable by all epub-reader software (Closes: #596736)
  (else epub output can be viewed in calibre, but not in fbreader or okular)

options, add expressive options --[name] as alternative to flags -[x]
2010-09-13 ralph@amissah.com
95a44653

changelog 2.6.3-4 [debian package rebuilt (squeeze freeze)]
2010-09-09 ralph@amissah.com
fd2a8474

param, remove redundancy in fix
2010-08-31 ralph@amissah.com
59134324

html headers do not include the "title" field, fix (Closes: #594949)
2010-08-31 ralph@amissah.com
ad8c8b5c
- param, variable not set (presumably since change from v1 to v2)

yml metadata, add subheading for a title
2010-08-31 ralph@amissah.com
b3d4d3c6

html_format, xml_format, reduce visibility of sisu in output
2010-08-25 ralph@amissah.com
a56e6cd2

changelog 2.6.3-3
2010-08-22 ralph@amissah.com
be94ecb2

markup sample (headers & yaml), links added/updated
2010-08-22 ralph@amissah.com
9b9d977a

markup sample, minor book index fix
2010-08-22 ralph@amissah.com
2d0b8265

markup sample, cleaning of headers
2010-08-22 ralph@amissah.com
b11e4b81

[debian package rebuilt, sha256 (2.6.3-2)]
2010-07-29 ralph@amissah.com
6b159722

[debian package rebuilt, sha256 (2.6.3-3)]
2010-08-24 ralph@amissah.com
7b86e7a6

[debian package rebuilt, sha256 (2.6.3-2)]
2010-07-29 ralph@amissah.com
941845e7

options, minor code shuffling
2010-07-29 ralph@amissah.com
3946a7b8

sha256 (2.6.3)
2010-07-28 ralph@amissah.com
44ccd0a8

sisu-2.6.3 changelog, date, version
2010-07-28 ralph@amissah.com
0cf9b6b1 (tag: sisu_2.6.3)

odf, footnotes, asterisk series (**) fix
2010-07-28 ralph@amissah.com
3d092a1c

html_format, epub_format: subtoc, footnote content bug (fix)
2010-07-27 ralph@amissah.com
248be7a7

odf: lt (<), gt (>) fix for codeblocks; &amp fix, messy
2010-07-27 ralph@amissah.com
f5d98e3f

epub_format, removed some title & author info, check
2010-07-27 ralph@amissah.com
5d2db4bd

epub_tune, <br /> (from <br>)
2010-07-27 ralph@amissah.com
c13a288d

epub_format, within head, title & author
2010-07-27 ralph@amissah.com
2f171cf0

epub, toc copyat link removed
2010-07-27 ralph@amissah.com
d774b0db

manifest, defaults, minimal sisu footer
2010-07-27 ralph@amissah.com
9cc6657b

hub, add metaverse run for git (composite files)
2010-07-27 ralph@amissah.com
c5734e63

git, param, refine filename regex for composite files
2010-07-27 ralph@amissah.com
738c59b6

sysenv, cosmetic
2010-07-27 ralph@amissah.com
d80c096e

git sisu directory structure, lang dir beneath txt
2010-07-26 ralph@amissah.com
de4b7d3e
- git sisu directory structure becomes more complicated

html, links to output formats, remove icons
2010-07-26 ralph@amissah.com
e4e85022

manifest, minitoc configurable (true/false)
2010-07-26 ralph@amissah.com
61d3ba34

start moving homepage links, add listserv, update hompage (further updates required)
2010-07-21 ralph@amissah.com
725ec226

[debian package rebuilt, sha256 (2.6.2-2)]
2010-07-17 ralph@amissah.com
5a76ccd6

sha256 (2.6.2)
2010-07-15 ralph@amissah.com
b8de42c9

sisu-2.6.2 changelog, date, version
2010-07-15 ralph@amissah.com
05946d15 (tag: sisu_2.6.2)

html_segments, line space between end of text and section bottom navigation bar
2010-07-13 ralph@amissah.com
6b2b8965

texpdf, codeblocks, left margin flush
2010-07-13 ralph@amissah.com
2b27e5ae

sisu-harvest, alias for sisu --harvest (with man page)
2010-07-12 ralph@amissah.com
4d6f0440

texpdf, if no "copy @" info remove; rename left footer; asterisk issue
2010-07-12 ralph@amissah.com
59a86332

param, rights (all) add line breaks between copyright, license and other rights
2010-07-12 ralph@amissah.com
88909db5

vim syntax, in bulleted and indented text recognize bold
2010-07-12 ralph@amissah.com
51e263dc

param, header reading more robust (re: commented out parts)
2010-07-10 ralph@amissah.com
063a3a50

sha256 (2.6.1)
2010-07-09 ralph@amissah.com
4392e22c

changelog update
2010-07-09 ralph@amissah.com
b1c9cbe9 (tag: sisu_2.6.1)

texpdf, monospace fix
2010-07-09 ralph@amissah.com
628f1f2b

monospace (avoid url match false positive)
2010-07-09 ralph@amissah.com
07db6874

sysenv default output path fix
2010-07-09 ralph@amissah.com
0e550ce0

html_scroll, deals with index & endnotes
2010-07-09 ralph@amissah.com
788e0a8b

dal, manifest & metadata headings, non-substantive, ocn removed
2010-07-09 ralph@amissah.com
b00b98bb

sisu_manual, minor cleaning
2010-07-09 ralph@amissah.com
a62893a7

markup-samples, remove content, non-modifiable etc.
2010-07-08 ralph@amissah.com
b26a3f5c
- move to sisu-markup-samples in non-free

moved markup samples
2010-07-08 ralph@amissah.com
2f28c5c8
to data/doc/sisu/v2/markup-samples from data/doc/sisu/v2/sisu_markup_samples

sha256 (2.6.0)
2010-07-08 ralph@amissah.com
4056a5a2

manpage for sisu-concordance alias
2010-07-08 ralph@amissah.com
c4256937 (tag: sisu_2.6.0)

manpages, (also html)
2010-07-07 ralph@amissah.com
8498a120

Adding manpages for newly added sisu aliases.
2010-07-08 daniel@debian.org
cf845378

some cleaning of default outputs, ongoing
2010-07-07 ralph@amissah.com
fd20f4a7

provide alternative sisu command names sisu-pg & sisu-sqlite
2010-07-07 ralph@amissah.com
a058f50d

sisu version & changelog
2010-07-07 ralph@amissah.com
3b080ad4

sisu.vim sisu version & date
2010-07-07 ralph@amissah.com
dd6b763d

documentation, minor updates
2010-07-07 ralph@amissah.com
74849f94

manpage, remove monospace tag
2010-07-07 ralph@amissah.com
75e7a1c2

sysenv, version.yml moved to /usr/share/sisu (from /etc/sisu)
2010-07-07 ralph@amissah.com
ce3eec09

shared_xml, monospace marker for monospace tag
2010-07-06 ralph@amissah.com
e395e6f7

shared_html_lite, db_import, monospace font (codeblock & monospace tag)
2010-07-06 ralph@amissah.com
1866f5d2

db_import, remove monospace tag
2010-07-06 ralph@amissah.com
401aefb2

plaintext, remove monospace tag
2010-07-06 ralph@amissah.com
61f8426e

texpdf, monospace font (codeblock & monospace tag)
2010-07-06 ralph@amissah.com
69cb98f9

odf, monospace font (codeblock & monospace tag)
2010-07-06 ralph@amissah.com
d714ab1d

epub, monospace font (codeblock & monospace tag)
2010-07-06 ralph@amissah.com
839fa947

html, monospace font (codeblock & monospace tag)
2010-07-06 ralph@amissah.com
07e97b04

vim syntax, recognize #{ monospace }# tag
2010-07-06 ralph@amissah.com
b3597e94

dal_syntax, constants, introduce #{ monospace }# tag
2010-07-06 ralph@amissah.com
57c41630

urls, output info -t produces plaintext output
2010-07-06 ralph@amissah.com
267ba4e0

texpdf_format, output special characters, special circumstance fix
2010-07-06 ralph@amissah.com
896caee8

sysenv, make output directory if needed (if possible)
2010-07-02 ralph@amissah.com
1b62b854

Removing useless whitespaces from upstream files at EOL.
2010-06-29 daniel@debian.org
77d84aaf

provide alternatives for producing single output types
2010-07-02 ralph@amissah.com
ee5b20c8

hub, make -t produce plaintext output, (documentation needs update)
2010-07-02 ralph@amissah.com
7799148a

Free as in Freedom, add oclc (Online Computer Library Center) number and isbn
2010-06-29 ralph@amissah.com
aff29263

sha256 (2.5.1)
2010-06-12 ralph@amissah.com
80e3cbf9

update: changelog, version (2.5.1)
2010-06-12 ralph@amissah.com
8f2b1145 (tag: sisu_2.5.1)

texpdf, ensure default font is set (Liberation Sans)
2010-06-12 ralph@amissah.com
906976cf
- a fix, (before this unless configured breaks)

sha256 (2.5.0)
2010-06-11 ralph@amissah.com
f136873c

debian/changelog (2.5.0-1)
2010-06-11 ralph@amissah.com
85415176 (tag: sisu_2.5.0)

sisurc.yml, mention alternative ebook-viewers
2010-06-11 ralph@amissah.com
f55634c0

table, (xhtml, odf): empty cell (single tilde to indicate); allow line breaks
2010-06-11 ralph@amissah.com
2da35997

texpdf_format: add fontface to tables
2010-06-11 ralph@amissah.com
cb4968be
- tables add fontfaces (e.g. bold, italics, superscript)

dal_syntax, apply fontfaces also to tables
2010-06-11 ralph@amissah.com
ba7bc578
- bold, italics, superscript etc.

vim syntax, highlight header @make: :texpdf_font:
2010-06-11 ralph@amissah.com
fdb1d0a3

texpdf set/select font, default "Liberation Sans"
2010-06-11 ralph@amissah.com
4ceb5eca
- requires that Liberation fonts be installed, hence version bump
- set font in:
  sisurc.yml under default: texpdf_font:
  marked up document under @make: :texpdf_font:
  default if nothing set "Liberation Sans"

param, fix breakage on malformed sisu identifier (top header line)
2010-06-11 ralph@amissah.com
4e298b68
'% SiSU ...' [where badly formed]

minor (cosmetic, & info retention)
2010-06-11 ralph@amissah.com
15a3a15a

css (for html), right pane dark, distinguish from selected content
2010-06-11 ralph@amissah.com
bcbbdf4b

sha256 (2.4.3)
2010-06-05 ralph@amissah.com
dd2989e9

update: changelog, version (2.4.3)
2010-06-05 ralph@amissah.com
1c921cbd (tag: sisu_2.4.3)

vim/ftplugin/sisu.vim, make less intrusive
2010-06-05 ralph@amissah.com
7367105c
includes:
- <leader>ls  dir files placed in vertically split window (also <leader>dir)
- <leader>rd  search and replace down (in file)
- <leader>rg  search and replace globally (in file)
- <leader>rr  search and replace using ruby gsub (global search and replace)
Note: <leader>rf not used, ambiguous (replace forward or replace in file?)
- remove language and spelling american english, can't have a fixed default
- remove <CTRL>G (search and replace) binding
- remove <CTRL>F for fold file removed, use still available :F instead

sha256 (2.4.2)
2010-06-01 ralph@amissah.com
35bd9574

update: changelog, version (2.4.2)
2010-06-01 ralph@amissah.com
6691e567 (tag: sisu_2.4.2)

documentation, text, much todo
2010-06-01 ralph@amissah.com
2432349f

remote file processing fix (url instead of local file), minor fix
2010-06-01 ralph@amissah.com
506bdded
(related to reporting "http" file not found)

texpdf, start using polyglossia (xelatex) (instead of babel)
2010-06-01 ralph@amissah.com
236a63e8

sha256 (2.4.1)
2010-05-26 ralph@amissah.com
2bb04d2d

update: changelog, version (2.4.1)
2010-05-26 ralph@amissah.com
da2cd465 (tag: sisu_2.4.1)

general extension of regex matches for http: to include https:
2010-05-26 ralph@amissah.com
752cfd30

dal syntax, doc_str, http: matches to include https:
2010-05-26 ralph@amissah.com
1084e675
also dal_syntax fix, no auto-bold or italics on relative or internal links

texpdf_format, https: url match with tilde, fix
2010-05-26 ralph@amissah.com
2f5a240e

epub & odf, regex matches for http: to include https:
2010-05-26 ralph@amissah.com
4aff107c

sha256 (2.4.0)
2010-05-26 ralph@amissah.com
84e6d09e

update: changelog, version (2.4.0)
2010-05-26 ralph@amissah.com
9fab84fc (tag: sisu_2.4.0)

sisu documentation related mostly on markup
2010-05-26 ralph@amissah.com
fc32ec3c

output formats internal document (and relative) linking as possible
2010-05-26 ralph@amissah.com
fec639c5

sysenv, require constants, (issue with webrick)
2010-05-26 ralph@amissah.com
bf068fde

dal (syntax, doc_str, numbering) add internal document link to tagged point (including ocn)
2010-05-26 ralph@amissah.com
a2130055

vim syntax highlighter, added tag for internal document link to tagged point (including ocn) also new link markup to other documents in same collection directory
2010-05-26 ralph@amissah.com
f964fd1f
{ Linked text }#tagname
 new link markup to other documents in same collection directory:
{ Linked text }:relative/link.html#23
is the preferred equivalent of:
{ Linked text }../relative/link.html#23

sisurc.yml minor update and cleaning
2010-05-26 ralph@amissah.com
a3d0e86f

sha256 (2.3.5)
2010-05-19 ralph@amissah.com
16e4ef02

update: changelog, version (2.3.5)
2010-05-18 ralph@amissah.com
503ba0d6 (tag: sisu_2.3.5)

dal_doc_str, name tags fix
2010-05-18 ralph@amissah.com
176af370

dal_syntax, url match fix
2010-05-18 ralph@amissah.com
7c10db58

data/sisu/v2/conf/editor-syntax-etc/vim/templates .sst .ssm .ssi added
2010-05-16 ralph@amissah.com
bd36e13b

sisu_markup.sst, documentation update *{emphasis}* !{bold text}!
2010-05-14 ralph@amissah.com
0d136555

sha256 (2.3.4)
2010-05-13 ralph@amissah.com
36e60044

urls, screen output control
2010-05-13 ralph@amissah.com
a7e63d14 (tag: sisu_2.3.4)

update: changelog, version (2.3.4)
2010-05-12 ralph@amissah.com
38d6d813

sysenv, switch default hash digest fingerprints to sha256 (rather than md5)
2010-05-12 ralph@amissah.com
c50a51d5

dal_syntax, italics match fix
2010-05-12 ralph@amissah.com
fe748bd9

urls, screen output control
2010-05-12 ralph@amissah.com
2f70bd46

sha256 (2.3.3)
2010-05-05 ralph@amissah.com
2ed17e16

update: changelog, version (2.3.3)
2010-05-05 ralph@amissah.com
36982593

texpdf, special word optional break point detail
2010-05-05 ralph@amissah.com
2e5503eb (tag: sisu_2.3.3)

defaults, reduce image sizes to fit landscape pdfs, (however, also used in equivalent portrait)
2010-05-05 ralph@amissah.com
4c3fbdc6

shared_metadata, texpdf, reduce text display size of digests
2010-05-05 ralph@amissah.com
bc114034

texpdf, url braces, (add, fix)
2010-05-05 ralph@amissah.com
70fdec5b

texpdf, special word and number optional break points
2010-05-05 ralph@amissah.com
221cc959

sysenv, sisurc.yml, default shortform command flags
2010-05-05 ralph@amissah.com
f9dc0ff6
- mostly taking out verbose as default, add -v when needed, e.g.:
sisu -3v filename.sst

ansi, urls screen info, minor
2010-05-05 ralph@amissah.com
211ea9a9

sha256 (2.3.2)
2010-05-03 ralph@amissah.com
c4981256

update: changelog, version (2.3.2)
2010-05-03 ralph@amissah.com
39988018 (tag: sisu_2.3.2)

ansi, screen info related, arranging
2010-05-03 ralph@amissah.com
67e49a2b

dal_numbering, heading auto-numbering, a fix
2010-05-03 ralph@amissah.com
19b72494

shared_txt, text wrap, <br> related, revert, issues when indented, revisit
2010-05-03 ralph@amissah.com
78e75a4c

screen output, & minor arranging
2010-05-02 ralph@amissah.com
003c1fac

share source and sisupod make, control screen output
2010-05-01 ralph@amissah.com
d5a35a0e

sisurc.yml, default: text_wrap: (78) & emphasis: (bold|italics|underscore)
2010-05-01 ralph@amissah.com
069631da

urls, screen info control tuning
2010-05-01 ralph@amissah.com
24469afb

-{emphasis}* display configurable as being bold, italics or underscore
2010-05-01 ralph@amissah.com
2708d32e
 - markup for *{emphasis}* configurable as being displayed as bold, italics or
   underscore, the default is that emphasis output is in bold so there is no
   change unless configured, either in sisurc.yml (default: emphasis: 'bold'), or
   the markup source document header @make: :emphasis: 'bold'

reduce screen output unless some verbose flag (such as -v) is used
2010-05-01 ralph@amissah.com
d9763aeb

param_identify_markup, identify version 2 markup
2010-04-30 ralph@amissah.com
90c65af1

texpdf, tell file being processed
2010-04-30 ralph@amissah.com
50c13fdb

shared_txt, text wrap, deal with <br> markers where they occur
2010-04-30 ralph@amissah.com
719627cb

manifest, expand on description of book indexes in manifest
2010-04-30 ralph@amissah.com
fbbae1ca

vim syntax highlighter adds configuration of emphasis and plaintext_wrap to @make:
2010-04-30 ralph@amissah.com
890b8758
- plaintext_wrap (@make: :plaintext_wrap:)
- emphasis (@make: :emphasis:)

emphasis display and plaintext line wrap configurable in document or sis
2010-04-30 ralph@amissah.com
88029687
- markup for *{emphasis}* configurable as being displayed either bold or
  italics, the default is that emphasis output is in bold so there is no
  at present unless configured, either in sisurc.yml (default: emphasis:
  'italics'), or the markup source document header @make: :emphasis: 'it
  [requested]
- plaintext, wrap width configurable between 20 to 200 characters, the
  default width being 78, configuration eithe rin sisurc.yml (default: t
  78), or the markup source document header (@make: :plaintext_wrap: 78)

markup for *{emphasis}* configurable as being either bold or italics
2010-04-29 ralph@amissah.com
72180b72
- the default is that emphasis output is in bold so there is no change at
  present unless sisurc.yml is configured (markup: emphasis: 'italics')
  [requested]

dal, markup, auto-level 1~ conversion of hash to number
2010-04-28 ralph@amissah.com
c11185f9
In cases where the line is interpreted as level 1~ (either by explicit 1~ tag
or @make: :heading:) a hash (#) [octothorpe] will be auto-incremented, markup
e.g. "1~ Chapter #: My Way".

sha256 (2.3.1)
2010-04-28 ralph@amissah.com
512fb10b

update: changelog, version (2.3.1)
2010-04-28 ralph@amissah.com
0b74735c (tag: sisu_2.3.1)

param, for topic_register, an additional check required, bug fix, repost
2010-04-27 ralph@amissah.com
15e863ad

sha256 (2.3.0)
2010-04-27 ralph@amissah.com
efb456ab

update: changelog, version (2.3.0)
2010-04-27 ralph@amissah.com
fbd6fdfd (tag: sisu_2.3.0)

i18n, mark OCLC number for translation
2010-04-27 ralph@amissah.com
74e7af80

switch markup for bold and emphasis, now !{bold}! and *{emphasis}*
2010-04-27 ralph@amissah.com
39943bc9
(emphais output defaults to bold, later make it possible to configure emphasis
output optionally as being represented by italics)

plaintext, clean up bulleted grouped text output (still not line-wrapped though)
2010-04-27 ralph@amissah.com
02afaef5

update: changelog, version (2.3.0) still under review
2010-04-26 ralph@amissah.com
bc4e077e

vim syntax highlighter adds oclc to classify
2010-04-26 ralph@amissah.com
fae1f62c

metadata, db sql (table structure), adds OCLC number, and; html metadata, renables showing of topic_register
2010-04-26 ralph@amissah.com
361032d4
- db (sql)  add oclc (Online Computer Library Center) number, affects table
  structure, (hence breakage & version bump)
 - new db name prefix "sisu_v2c_"; new pgsql db name prefix "SiSUv2c_"
- OCLC == Online Computer Library Center

git, start experimenting with an alternative/parallel git based sisu document structure
2010-04-26 ralph@amissah.com
8b3f9e83
- git, start to experiment with file structure to replace sisupod -g and will
  be in configure options, to track changes to document, enable creation of
  "pods" (zipped content) and allow for remote versioned (or unversioned)
  placement of content source; ideally would end up with two co-existing,
  distinct parse-able structures whether local or remote, the existing directory
  structure with multiple documents and document images etc. and git directories
  with all content associated with a single document (including other language
  versions of it); cannot guarantee at this stage that the file structure will be
  retained, which may mean recreating any directory started and defeat the
  purpose of using it, though it is in a version control repo, so perhaps not ...
  best left alone (unused) for now

sisupod_make, take new markup into account, done for :skin:
2010-04-23 ralph@amissah.com
4cff73e6
- not perfect, improve  upon, should probably match @make: then :skin:

defaults, for default home search form, always point to latest db version
2010-04-23 ralph@amissah.com
59fda008

constants, reduce max limit for SQL VARCHAR to 2500 to be within default postgresql range
2010-04-21 ralph@amissah.com
0bb8889d

defaults, default sisu home, correct links to document examples and to summary
2010-04-21 ralph@amissah.com
9800f4b2

sisu_download.ssi link to breakage info not of current interest
2010-04-21 ralph@amissah.com
e2a4d3ff

sha256 (2.2.0)
2010-04-20 ralph@amissah.com
4bc96b7b

reverts unique words list column and indexes; fix for drop indexes; changelog & version update
2010-04-20 ralph@amissah.com
d348ae93 (tag: sisu_2.2.0)
- reverts unique word list column on doc_objects and endnotes and associated
  indexes, may reintroduce at a later time
- db_drop, drop TEXT indexes for sqlite only
- update: changelog, version date

update: changelog, version (2.2.0), review
2010-04-20 ralph@amissah.com
64ad02a5

cgi take account of db name prefix change SiSUv2b_ and changed column names
2010-04-20 ralph@amissah.com
7d5cf5f3

db name, tables, columns, indexes changes, review (need another version bump 2.2.0)
2010-04-20 ralph@amissah.com
63c5a3ce
- db (sql) table structure, further review and changes (hence breakage & version bump)
 - new pgsql db name prefix "sisu_v2b_"
 - new table column words in doc_objects & endnotes, VARCHAR 3000 to contain
    list of unique sorted words in object
 - increase use of VARCHAR
 - constants takes on related additions
- param, extensive db column size checks for metadata

dal, minor cosmetic re-arrangement
2010-04-20 ralph@amissah.com
7fc56d1d

update: changelog, version (2.1.1)
2010-04-19 ralph@amissah.com
66d4fb55 (tag: sisu_2.1.1)

shared_html_lite, markup heading objects
2010-04-19 ralph@amissah.com
9d34c408

db_select, check for whether db exists before attempting certain actions (note this does not check whether tables have been created)
2010-04-17 ralph@amissah.com
d1eeab54

db_import sqlite, prevent multiple import of file with same filename(.sst) (cgi form should work correctly, without multiple entries)
2010-04-17 ralph@amissah.com
9f5b2818
db_import, db_remove:
- wrap some sqlite actions in sqlite check;
- cosmetic code arrangement

db_create, on processing screen output appropriate display for pgsql & sqlite, minor fix
2010-04-17 ralph@amissah.com
85eb3805
- previously reported pgsql info for sqlite processing

db_sqltxt, issue with: escaping backslashes (that works for both pgsql & sqlite); missing author and/or title (where called in first heading)
2010-04-17 ralph@amissah.com
3ae376c8

db_dbi, cosmetic
2010-04-17 ralph@amissah.com
fb823467

cgi_sql_common, sample search form, on navigation of matched results
2010-04-17 ralph@amissah.com
fc01f2cd

param, information on missing author, title, or copyright
2010-04-17 ralph@amissah.com
178ce66b

shared_metadata, fix wrong reference to md.gutenberg instead of md.pg prevents building of latex/pdf in affected cases
2010-04-17 ralph@amissah.com
1ec06b89

dal, on processing screen output display, minor
2010-04-17 ralph@amissah.com
35e8a112

sha256 (2.1.0)
2010-04-16 ralph@amissah.com
df791cb9

update: changelog, version (2.1.0) (version bump for sql db structural changes)
2010-04-16 ralph@amissah.com
a99b58f9 (tag: sisu_2.1.0)

cgi sample search form (cgi_sql_common): take account of db structure changes; match limit options
2010-04-16 ralph@amissah.com
c9d42a44
- update to work with database structure changes
- add radio buttons to set increased match limit

db, sysenv, sisurc.yml determine whether to share sisu markup source in db
2010-04-16 ralph@amissah.com
221cfa40

param checks metadata string lengths against set db column sizes
2010-04-16 ralph@amissah.com
dbc227d7
- param, checks metadata string lengths against set db column sizes, drops
  entries that are too long with warning
- param, classify "populated" a fix

db sql table and column structure changes, name prefix "sisu_v2a_" resulting sisu version bump 2.1.0, plus other lesser fixes [Note: it is necessary to create new database and tables and to populate them]
2010-04-16 ralph@amissah.com
aa47d1db
- db (sql) database table name and column structure changes, new pgsql db name
  prefix "sisu_v2a_" (version bump), continue to review
  (db_columns, db_create, db_import, db_sqltxt)
- db remove and update fix, match filename for removal with = (not LIKE or ~)
- db sqlite, issue with --recreate, bugfix
  (db_drop)

db, shared_html_lite, link back to footnote/endnote reference, fix
2010-04-16 ralph@amissah.com
12479b34

vim syntax highlighting, minor
2010-04-16 ralph@amissah.com
787b5d9c

sha256 (2.0.5)
2010-03-31 ralph@amissah.com
aba8f88a

update: changelog, version (2.0.5)
2010-03-31 ralph@amissah.com
ab4974ca (tag: sisu_2.0.5)

db_create, comments causing issues for sqlite, fix
2010-03-31 ralph@amissah.com
8dec9def

cgi sql search form: comparison bug fix; clearer information when results exceed match limit set
2010-03-27 ralph@amissah.com
e4cc7091
v2 and ino on limit set backported to v1

sysenv, search_widget, small adjustments
2010-03-27 ralph@amissah.com
9996dab2

harvest (v2): add search widgets; fixes bug in harvest_topics; other minor
2010-03-27 ralph@amissah.com
5ac46db4

sha256 (2.0.4)
2010-03-23 ralph@amissah.com
e603e6c3

update: changelog, version (2.0.4)
2010-03-23 ralph@amissah.com
f43fcebe (tag: sisu_2.0.4)

free_as_in_freedom, link, additional material, minor
2010-03-23 ralph@amissah.com
fa5c94eb

correct method call for md.title.full a number of places
2010-03-23 ralph@amissah.com
f5ea5dbe
- [in db_import, results in failure of  doc import when called]

sha256 (2.0.3)
2010-03-22 ralph@amissah.com
e5be411e

update: changelog, version (2.0.3)
2010-03-22 ralph@amissah.com
77c941a6 (tag: sisu_2.0.3)

xml_dom, behavior fixes
2010-03-22 ralph@amissah.com
fc14d487

shared_matadata, odf metadata use <br /> [prevent <br> breakage]
2010-03-22 ralph@amissah.com
f2e312f5

odf, shared_xml, texpdf: grouped bulleted text
2010-03-22 ralph@amissah.com
804d1054

sha256 for 2.0.2
2010-03-21 ralph@amissah.com
15781333

update: changelog, version
2010-03-21 ralph@amissah.com
fd47fd06 (tag: sisu_2.0.2)

db_import, special character escape special endnote content
2010-03-21 ralph@amissah.com
7259fa99
- e.g. ~[* such an endnote]~
db_import (unrelated), remove condition (if @opt.cmd !~/e/),
minor, watch

param, recommended links (reinstated)
2010-03-21 ralph@amissah.com
94a1eef9

sisu v1 vim syntax highlighter version and date
2010-03-21 ralph@amissah.com
77989d9d

sisu v2 vim syntax highlighter version and date updated/corrected
2010-03-18 ralph@amissah.com
7acacafa

sha256 for 2.0.1
2010-03-17 ralph@amissah.com
59653d44

update version 2.0.1
2010-03-17 ralph@amissah.com
4c4f8cf4 (tag: sisu_2.0.1)

plaintext docoration (more flexible markings)
2010-03-17 ralph@amissah.com
f7a5bfcd

param, adjustment for manpage synopsis
2010-03-17 ralph@amissah.com
0350589f

documentation minor update, add epub, modify some dir paths
2010-03-17 ralph@amissah.com
fcad39c0

html tables fix (in html_segments, an erroneous assignment where there should have been comparison)
2010-03-12 ralph@amissah.com
93817753

vim syntax highlight, minor addition
2010-03-12 ralph@amissah.com
d8f4db00

sysenv, html_promo, db name prefix from constants (now SiSUv2_)
2010-03-10 ralph@amissah.com
438f9863

texpdf_format, where image missing, escape image markup loop
2010-03-10 ralph@amissah.com
750ea614

epub, html: make robust where missing param values
2010-03-10 ralph@amissah.com
c36e976c

sha256 for 2.0.0 in other changelog
2010-03-10 ralph@amissah.com
5ad00611

sha256 for 2.0.0
2010-03-06 ralph@amissah.com
a1838881

introducing version 2, major patch, (version 1 libraries retained)
2010-03-06 ralph@amissah.com
306aed5b (tag: sisu_2.0.0)

skin_sisu utf-8 marker
2010-02-28 ralph@amissah.com
28cb7f91

sha256 for 1.0.3
2010-02-17 ralph@amissah.com
d9009430

changelog & version update
2010-02-17 ralph@amissah.com
afd5812f (tag: sisu_1.0.3)

document sample skins specify utf-8 (in some cases required by ruby 1.9.1)
2010-02-17 ralph@amissah.com
2b1c6be1

plaintext fix for footnotes/endnotes
2010-02-17 ralph@amissah.com
d88d970f
footnotes to occur immediately after paragraph that contains them
(unless endnotes selected instead)

sha256 for 1.0.2
2010-02-10 ralph@amissah.com
941c90aa

markup samples minor adjustment
2010-02-10 ralph@amissah.com
d7c6cd9c (tag: sisu_1.0.2)

Free as in Freedom (on RMS), by Sam Williams, sample markup, markup variation, affects document numbering
2010-02-10 ralph@amissah.com
d6650243

sha256 for 1.0.1
2010-02-09 ralph@amissah.com
a96a43ec

changelog, detail
2010-02-08 ralph@amissah.com
fdbcfb8a (tag: sisu_1.0.1)

version
2010-02-08 ralph@amissah.com
d7ab2918

version, changelog, readme, touches
2010-02-08 ralph@amissah.com
e4d06fa6

param, sysenv, minor adjustments
2010-02-08 ralph@amissah.com
a2993b08

html grouped text that is bulleted
2010-02-08 ralph@amissah.com
0fae8cd0

data/doc/sisu/v1/sisu_markup_samples/samples, renaming of dfsg sub-dir
2010-02-05 ralph@amissah.com
c3abb9fa

cosmetic
2010-02-04 ralph@amissah.com
83216775

CHANGELOG & README ...
2010-02-04 ralph@amissah.com
ff555f6a

 blob update, odt.zip fixes heading bug in odt representations
2010-02-04 ralph@amissah.com
31ec14a4

sha256 for 1.0.0
2009-12-21 ralph@amissah.com
36560607

documentation get paths to reflect directory structure changes
2009-12-21 ralph@amissah.com
7145a299 (tag: sisu_1.0.0)

data/doc/sisu some files moved to v1 dir
2009-12-20 ralph@amissah.com
746a74a4

documentation, small changes to description of -m & -n processing flags (closing debian bug #555496)
2009-12-19 ralph@amissah.com
9a29fdc4

changelog, & version number updates
2009-12-19 ralph@amissah.com
1f7535d1

cgi_sql_common, minor style related, (mostly enclosing of used variables in curly braces)
2009-12-19 ralph@amissah.com
cbd35cfd

manpage, fix
2009-12-19 ralph@amissah.com
2c1c6e72

param & dal, includes removal of older header markup, simplification to allow cleaner v1 & v2
2009-12-19 ralph@amissah.com
c55796e3

minor code adjustments
2009-12-19 ralph@amissah.com
31d9927f

document samples, v1 minor fixes
2009-12-19 ralph@amissah.com
41fe06f7

directory structure changes to accommodate the introduction of sisu v2
2009-12-19 ralph@amissah.com
51e583aa

sisu.vim adjustments
2009-11-27 ralph@amissah.com
3151b3be

 harvest_authors, minor fix
2009-11-27 ralph@amissah.com
9866f881

cgi search, cosmetic
2009-08-31 ralph@amissah.com
0f69b7cd

sha256 for 0.71.4
2009-08-30 ralph@amissah.com
02236448

sql, fix, different solutions for postgresql and sqlite to populate database using ruby-dbi
2009-08-29 ralph@amissah.com
1c07669d (tag: sisu_0.71.4)

sha256 for 0.71.3
2009-08-28 ralph@amissah.com
617b72c5

dal images, where rmagick cannot be loaded use imagemagick directly if available
2009-08-28 ralph@amissah.com
a3e1f8bf (tag: sisu_0.71.3)

sha256 for 0.71.2
2009-08-02 ralph@amissah.com
b87c8735

sysenv sha256 fix, set pwd
2009-07-31 ralph@amissah.com
10cf38d0 (tag: sisu_0.71.2)

html book index, batch processing fix, re-initialize variable after use
2009-07-28 ralph@amissah.com
6b436cd5

sha256 for 0.71.1
2009-07-24 ralph@amissah.com
4ed6b9fc

html seg, navigation band button placement
2009-07-24 ralph@amissah.com
20a2f636 (tag: sisu_0.71.1)

dal images, if no rmagick, system call imagemagick directly if available
2009-07-24 ralph@amissah.com
39e72afa

manifest, include book index if available
2009-07-23 ralph@amissah.com
0a0b3e17
(after all, is usually more interesting than concordance file)

html scroll left margin
2009-07-23 ralph@amissah.com
abfd15ad

interim version number 0.71.1-pre
2009-07-23 ralph@amissah.com
2d98793e

sha256 for 0.71.0
2009-07-09 ralph@amissah.com
dfcc58f0

date for changelog and version
2009-07-09 ralph@amissah.com
62235748 (tag: sisu_0.71.0)

duplicate changelog updated
2009-07-05 ralph@amissah.com
2052117d

move lib to version 1 directory, (lib/sisu/v1) and make related changes
2009-07-04 ralph@amissah.com
7372f560

changelog, update
2009-07-04 ralph@amissah.com
7e99b8b5

xml related minor touches
2009-07-04 ralph@amissah.com
387104a1

texpdf mostly minor cleaning
2009-07-04 ralph@amissah.com
e3286ac4

html various minor: use suffix provided in constants; module SiSU_HTML_Tune; html promo
2009-07-04 ralph@amissah.com
4e4ce5d3
html promo, possibility of use of adsense, or other

dal_numbering, minor regex reduction
2009-07-04 ralph@amissah.com
9cbb974b

dal_idx, book_idx_html, match sysenv
2009-07-04 ralph@amissah.com
a7774c04

make sisu and ruby version info ruby instance methods
2009-07-04 ralph@amissah.com
53a4ec45

version number +
2009-07-04 ralph@amissah.com
56c64ee2

bin file permissions set to 644 in repo
2009-07-03 ralph@amissah.com
41ab0aaf

copyright date update and removed some white space
2009-07-02 ralph@amissah.com
627afc99

sha256 for 0.70.6
2009-07-01 ralph@amissah.com
db97e85f

changelog & version update
2009-07-01 ralph@amissah.com
e00c5485 (tag: sisu_0.70.6)

cgi generated sample search form, fix
2009-07-01 ralph@amissah.com
1f70e711

db dbi, interfaces to sqlite and pgsql, fixes, pass individual sql statements
2009-07-01 ralph@amissah.com
0cdd579c

minor fixes and touches
2009-07-01 ralph@amissah.com
643cc5c5

sha256 for 0.70.5
2009-01-18 ralph@amissah.com
d372eb61

copyright presentation changed, remains substantively the same; minor sisu version bump
2009-01-18 ralph@amissah.com
a9891476 (tag: sisu_0.70.5)
copyright file uses (debian) machine parsable format
use:
 - Copyright: (C) 1997 - 2009 Ralph Amissah All Rights Reserved.
to mean:
 - Copyright: (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
    2007, 2008, 2009 Ralph Amissah All Rights Reserved.
CHANGELOG updated and minor version bump 0.70.5

harvest, other language filenames
2009-01-01 ralph@amissah.com
c0f25024

year rollover
2009-01-01 ralph@amissah.com
013140d9

sha256 for 0.70.4
2008-12-31 ralph@amissah.com
80a5b14f

changelog and version updated
2008-12-31 ralph@amissah.com
3e1a65d5 (tag: sisu_0.70.4)

latex/pdf tilde mark (bug in texlive, missing (at this instant) provide workaround)
2008-12-31 ralph@amissah.com
7d42c7a0

sha256 for 0.70.3
2008-12-24 ralph@amissah.com
0351a192

changelog and version updated
2008-12-24 ralph@amissah.com
73ce7354 (tag: sisu_0.70.3)

sqlite3 fix, populate do using rb sqlite3 driver directly (rb dbi problematic at present)
2008-12-22 ralph@amissah.com
71223cf6
sqlite fix, change ruby driver used to populate sisu sqlite3 db to rb sqlite3
for the time being. Use rb sqlite3 driver directly rather (than more convenient
when working) rb dbi interface to populate content. Used to bypass problems
with rb dbi sqlite3 interface noted in sisu 0.66.2 (2008-04-25) and 0.66.3
(2008-05-11) that have have persisted (apparently worked at end 2007 (v.0.62.4)
and start of 2008 (v.0.64.0)
- sqlite dropall, fix
- fix to auto-generated sqlite cgi script sample, only works if at least one
existing populated sisu sqlite database is found during the generation process

SiSU's sqlite module still broken for the time being: inconsistent ruby dbi api for sqlite3, (unable to begin and commit transaction) provide explicit message
2008-12-17 ralph@amissah.com
2f97cf3f
problem noted already in v.0.66.2 (2008-04) and last in v.0.66.3 (2008-05)
module (& rb dbi) apparently worked at end 2007 (v.0.62.4) and start of 2008
(v.0.64.0) ... (did not expect broken state to last, sorry)
include maintenance mode info with -M flag

html & css cosmetic changes (index & concordance), run "sisu -CC"; changelog
2008-12-16 ralph@amissah.com
b2d26ed3

close html <p> tag for "letter" class
2008-12-16 ralph@amissah.com
0c4c1608

sha256 for 0.70.2
2008-12-16 ralph@amissah.com
8b4d8117

changelog and version updated
2008-12-16 ralph@amissah.com
86be8ced (tag: sisu_0.70.2)

changelog, now build
2008-12-16 ralph@amissah.com
7f0e4fd4

harvest_authors, sort authors works
2008-12-16 ralph@amissah.com
ea4fafff

i18n, fix related to variable renaming
2008-12-16 ralph@amissah.com
8f87662e
likely bug introduced: fb1e1bf0cb8a2202eda1ab254b01b997df60a6db
(with comment: metadata, variable renaming (requires testing))

minor touches
2008-12-16 ralph@amissah.com
8f66f086

manpage, help include: sisu --harvest *.ss[tm]
2008-12-16 ralph@amissah.com
d5841faf

sha256 for 0.70.1
2008-12-14 ralph@amissah.com
ac1dacca

changelog and version updated
2008-12-14 ralph@amissah.com
0107793f (tag: sisu_0.70.1)

changelog synced and man pages, minor updates
2008-12-14 ralph@amissah.com
1deffbef

emacs syntax highlighting, updated metadata fields
2008-12-14 ralph@amissah.com
1784bcc4

param & dal, cosmetic, text placement
2008-12-14 ralph@amissah.com
c27f4dff

markup samples, minor updates
2008-12-14 ralph@amissah.com
38275568

metadata, variable renaming (requires testing)
2008-12-13 ralph@amissah.com
fb1e1bf0
metadata, variable renaming (dropped use of dc_ to signify dublin core metadata
as is subset of what is used and cumbersome to identify) - testing required
manpage minor touch

mostly additional metadata fields
2008-12-13 ralph@amissah.com
f20476d3
additional metadata fields
css minor touch
help minor info touch

help and changelog update
2008-12-11 ralph@amissah.com
4a660c92

sysenv, cosmetic touch
2008-12-11 ralph@amissah.com
a2d74ab5

html tables, fix to structure and for (specified) column widths
2008-12-11 ralph@amissah.com
6149eecb

tex/pdf, bullet mark, workaround current absence from tex-live)
2008-12-11 ralph@amissah.com
5948a4e5
bug in tex-live, no doubt temporary

param, enfoorce name formatting rule (recently introduced) across name fields
2008-12-11 ralph@amissah.com
54d88760

harvest, better integrated into sisu
2008-12-11 ralph@amissah.com
1b8c2dbf
[note sql module not yet updated to include topic_register, as requires
recreation of all sisu db(s)]

odf_format, copyright notice consistency
2008-12-11 ralph@amissah.com
0fa51361

sha256 for 0.70.0
2008-12-03 ralph@amissah.com
f6dbb690

changelog and version updated
2008-12-03 ralph@amissah.com
b3d3b3f8 (tag: sisu_0.70.0)

sisu harvest, introduce module along with header syntax addition & modification
2008-12-02 ralph@amissah.com
0e6fc15a
- sisu markup, additional header and new format rule:
 - @creator: / @author: header field, introduced author name format rules
    for more usable metadata harvesting: surname comma other names, additional
    authors separated by semi-colon
 - param added meta-tag, @topic_register: formatting topic levels are
    separated from sub-levels by a colon, a semi-colon separates main topics
    if there are multiple topics at lowest sub-level, a pipe can be used to
    create multiple headings
- harvest module, harvests metadata from document set currently extracts: (i)
  authors and their writings from document set; (ii) topics and associated
  writings from document set (topics use topic_register header). harvest
  (when run against documents common to a directory of a site) extracts
  metadata and organises the documents on a site by author and topic
  information provided (there is a new "topic_register" header, with
  formatting rules similar to those of the book index), results are placed in
  [output_path]/sisu_site_metadata.
    sisu --harvest *.sst
 - by author (see change in param @creator: / @author: header field)
 - by topic / subject index (see addition in param of @topic_register:
    header field)
  initially there should be an example samples here:
    http://www.jus.uio.no/sisu/sisu_site_metadata/harvest_authors.html
    http://www.jus.uio.no/sisu/sisu_site_metadata/harvest_topics.html
  together with update markup source files
  The authors and their writings list will be made to take on a more
  biblographical form, with the use of additional fields as required.
  (concept example, suitable for medium sized sites [to remove size
  constraint: implement SQL equivalent]) make feature more robust
- css, for harvest output added
- remote placement of sisu_site_metadata (output produced by metadata harvest)
- sisu markup, update document samples accordingly
- tidy copyright marks in program headers, remove repetition of dates
[version bump because formatting rule introduced to author / creator header -
where new site metadata harvest feature is used, (at present changes changes
should not be noticed except when using metadata harvest)]

sha256 for 0.69.4
2008-11-03 ralph@amissah.com
51413fd9

changelog and version updated
2008-11-03 ralph@amissah.com
edc7d97f (tag: sisu_0.69.4)

sisu-mode.el make version number match this sisu version where introduced
2008-11-03 ralph@amissah.com
917b58bb

changelog updated
2008-11-03 ralph@amissah.com
6e5c6c22

ruby1.9 some testing minor changes
2008-11-03 ralph@amissah.com
868478a6
opened to run with ruby1.9, (however not all used libraries ported on system)
continue to use ruby1.8 series >= ruby1.8.4

regex match refinement
2008-11-03 ralph@amissah.com
c662fb09

dal and param various changes (some affecting other files)
2008-11-03 ralph@amissah.com
9458eedd
dal, minor changes including
related to bold line instruction and,
variable name change affecting other files
param, header tag for document index, create site index of documents
use, add info on document content, harvest info provided from document set for
metadata to create site index of documents (similar sub-sytax to book index)
also variable name
others variable name change, made earlier in dal and param

software libré, accent
2008-11-03 ralph@amissah.com
454d3b84

diakonos editor syntax highilighting, updated conf file from v0.8.6
2008-11-03 ralph@amissah.com
27d38e54

sisu-mode.el, emacs syntax highlighting contributed by Ambrose Kofi Laing
2008-11-03 ralph@amissah.com
c523a513
based on work by Tong Sun (doc-mode.el) and included with his kind permission

vim syntax, header, version number updated
2008-10-14 ralph@amissah.com
33016270

sha256 for 0.69.3
2008-10-10 ralph@amissah.com
5744266c

changelog and version updated
2008-10-10 ralph@amissah.com
bf4d928f (tag: sisu_0.69.3)

date touch
2008-10-10 ralph@amissah.com
3642ce76

book code, minor adjustment; and fix to manifest reporting of the creation of sisupod (zip)
2008-10-10 ralph@amissah.com
bf2a99e8

sha256 for 0.69.2
2008-09-19 ralph@amissah.com
07834082

changelog and version updated
2008-09-19 ralph@amissah.com
13e1b36c (tag: sisu_0.69.2)

sample sisu markup "Free as in Freedom": book index markers included, and; identify markup helpers updated * sample sisu markup "Free as in Freedom": book index markers included * identify markup helpers updated
2008-09-19 ralph@amissah.com
452f2c20

sha256 for 0.69.1
2008-09-17 ralph@amissah.com
a82216e1

changelog and version updated
2008-09-17 ralph@amissah.com
7681e3d5 (tag: sisu_0.69.1)

dal fix, dal_substitutions_and_insertions get skin info
2008-09-17 ralph@amissah.com
cb4f9d5b

sha256 for 0.69.0 & note on addition to vim syntax included in version
2008-09-16 ralph@amissah.com
8c5ab6b4

changelog and version updated
2008-09-16 ralph@amissah.com
b6654602 (tag: sisu_0.69.0)

fixes: alphabet list (concordance, dal_idx), and file types (dal_expand_insertions)
2008-09-16 ralph@amissah.com
f555e077

changelog date, touch
2008-09-15 ralph@amissah.com
a4bc8604

various small fixes * html segments, name more accurately * rough description of how book index markup works * clean out book index from these outputs * book markup sample, free as in freedom, start doing book index, only letter "A" done so far * texpdf, url matching, special characters * # Please enter the commit message for your changes.
2008-09-15 ralph@amissah.com
87a7cfcd

dal_idx, and concordance, letter list for navigation
2008-09-13 ralph@amissah.com
dbde53fb

dal_idx: capitalize first letter of index lev1 for sort; provide letter a-z navigation
2008-09-13 ralph@amissah.com
b3f2c67f

dal_idx: strip before sort; fix bug where first lev is range
2008-09-12 ralph@amissah.com
bb1e2142

primarily on book index where (markup) provided * book index, html, tex/pdf, xml * texpdf no ocn if ocn is 0 * odf, plaintext, if book index? remove ... do other outputs for which not relevant * concordance, better matches * constants, dal special character for hardspace changed as (ruby) regx bug in replacing it in xml, odd but move on Note: to fix html seg headers for endnotes and for index
2008-09-10 ralph@amissah.com
291080c0

book index, sample html file and to screen sisu markup sample added (-M flag)
2008-09-08 ralph@amissah.com
1529e474

dal, several modules split into separate files
2008-09-08 ralph@amissah.com
798d710d

book index (markup adjustment, dal module); dal numbering moved to separate module; version date
2008-09-07 ralph@amissah.com
36559403

minor unicode for a type of cross
2008-09-07 ralph@amissah.com
e4626408

character given to represent non-break space in internal code (dal, constants and affected downstream code)
2008-09-05 ralph@amissah.com
9432d034

dal, bullet footnotes fix (check numbered bullets, should also be ok)
2008-09-05 ralph@amissah.com
7c96df7f

dal, left and right quotes (single & double) kept; previously converted to ordinary quotes (watch)
2008-09-03 ralph@amissah.com
fc826abe

xml character encoding adjusted; xml image match; odf issue with '@' symbol in url
2008-09-03 ralph@amissah.com
2a738f52

html segments; sql db field lengths increased
2008-09-02 ralph@amissah.com
b2ef4107

texpdf: paper use dimensions, tolerance, url matching; removal of dummy headings when not used; manifest presentation * texpdf:   paper use dimensions,   tolerance,   url matching; * removal of dummy headings when not used (html scroll, latex/pdf, odf) * manifest presentation
2008-08-29 ralph@amissah.com
749e0d84

texpdf: removed space at beginning of paragraph; grouped text url fix
2008-08-28 ralph@amissah.com
a0012a41

texpdf, footnotes align left (ragged), footnote numbers removed from margin
2008-08-27 ralph@amissah.com
c01a2c64

texpdf: landscape tables in two column text fixed; footnote margin increased
2008-08-27 ralph@amissah.com
602a7b49

texpdf:    paper use dimensions    url and urlbreaks    removal of a maths package gives back typeface changes like bold    better representation of tilde changelog update
2008-08-27 ralph@amissah.com
c6d41d93

minitoc added, used by manifest and concordance; html css div sorting
2008-08-24 ralph@amissah.com
f1fe4547
a earlier commit relies on minitoc prior to its addition, this fixes that issue
html css divs, need to be watched across different html output

minitoc added to concordance and manifest; dal, precision in endnote matching
2008-08-23 ralph@amissah.com
2a93f7b9

pass Hash to Format classes; some match tuning in dal
2008-08-23 ralph@amissah.com
08c69d07

a bit of a cleanup, and change reference to null to ordinary
2008-08-18 ralph@amissah.com
5787bd8e

rsync, replace --delete-after with --delete apparently not all versions of rsync accept more specific option
2008-08-17 ralph@amissah.com
d74651a9

html document structure, div markers, watch
2008-08-17 ralph@amissah.com
0c15db87

html segments structure and info provided (a bit verbose), and css
2008-08-17 ralph@amissah.com
0ec26776

html segments, links to concordance file only if made, fix
2008-08-16 ralph@amissah.com
89d5ace0

html css and div related
2008-08-16 ralph@amissah.com
afb83150

texpdf, fix: image dimension match (for post 0.68.0 changed middle layer representation)
2008-08-14 ralph@amissah.com
e2fb7c37

html format, consolidate html_format file, prune later; version number bumped version number bump: is necessary to re-initialize using new css for html presentation   sisu -CC
2008-08-14 ralph@amissah.com
6759751b

html, css and related markup, touch
2008-08-14 ralph@amissah.com
f42c740c

html, css and related markup
2008-08-14 ralph@amissah.com
e2533559

interim version info
2008-08-12 ralph@amissah.com
d2121e12

html increased use of css; dal, middle layer, url representation, interim commit
2008-08-12 ralph@amissah.com
d43865fb

sisu-0.68.0 + sha256
2008-07-22 ralph@amissah.com
c9ab55b6

changelog and version updated
2008-07-22 ralph@amissah.com
a9aba79c (tag: sisu_0.68.0)

sisu-0.68.0 proposed * middle layer document representation changed, (accounting for substantial patch) * texpdf multiple document sizes as specified in config * numerous small fixes [should on the whole be easier to maintain]
2008-07-22 ralph@amissah.com
d29a3e54

action response query fix
2008-07-19 ralph@amissah.com
839d4f18

texpdf papersize adjustments primarily for portrait sizes a5 & b5
2008-07-13 ralph@amissah.com
677885e5

sisu-0.67.5 + sha256
2008-07-12 ralph@amissah.com
59e154d5

changelog and version updated
2008-07-12 ralph@amissah.com
d1985f50 (tag: sisu_0.67.5)

texpdf fixes, xetex and xelatex processing commands, and fix for a5 landscape pdf
2008-07-12 ralph@amissah.com
d7ec8e17

sisu-0.67.4 + sha256
2008-07-12 ralph@amissah.com
22cd1d4e

changelog and version updated
2008-07-12 ralph@amissah.com
7ffd3583 (tag: sisu_0.67.4)

minor fixes: remote sourcefile; processing directory; manifest info
2008-07-12 ralph@amissah.com
14d7b8a5

sisu-0.67.3 + sha256 packaged urgency="medium"
2008-07-03 ralph@amissah.com
bcf3cef6

changelog and version updated
2008-07-03 ralph@amissah.com
c1103fcf (tag: sisu_0.67.3)

rebuild, "sisu --help env" fix and texpdf papersize re-fixed
2008-07-03 ralph@amissah.com
c28c5943

changelog and version updated
2008-07-02 ralph@amissah.com
189c8f05 (tag: sisu_0.67.2)

sysenv/texpdf, xetex landscape pdf fix
2008-07-02 ralph@amissah.com
f0bfa230

sysenv/texpdf, fix required for xetex landscape pdfs
2008-07-02 ralph@amissah.com
36bead6d

changelog and version updated
2008-06-22 ralph@amissah.com
6fdd6406

sisu-0.67.1 + sha2s
2008-05-27 ralph@amissah.com
f0083bff

changelog and version updated
2008-05-27 ralph@amissah.com
0f9b3024 (tag: sisu_0.67.1)

syntax highlighting minor adjustments
2008-05-27 ralph@amissah.com
f6bfcead

update to kate syntax highlighter
2008-05-25 ralph@amissah.com
094a67c6

sisu-0.67.0 + sha256
2008-05-23 ralph@amissah.com
24a4716f

sisu-0.67.0 + md5s
2008-05-22 ralph@amissah.com
53f876ac

changelog and version updated
2008-05-22 ralph@amissah.com
c689f2d0 (tag: sisu_0.67.0)

version update in documentation
2008-05-22 ralph@amissah.com
e1aea639

update man pages and version
2008-05-22 ralph@amissah.com
5a62d708

simplify syntax for import of external files, e.g.:
2008-05-22 ralph@amissah.com
4cd184d2
<< filename.sst
minor related syntax changes, automatic version bump
make appropriate additions to vim-syntax
consider use of vim-addon manager

sisu-0.66.3 + md5s
2008-05-11 ralph@amissah.com
f8e79d11

changelog and version updated
2008-05-11 ralph@amissah.com
16727b04 (tag: sisu_0.66.3)

minor sync
2008-05-11 ralph@amissah.com
6c62ebc7

retained existing homepage
2008-05-10 ralph@amissah.com
b470801d

update changelog
2008-05-10 ralph@amissah.com
654d12a3

introduced particulars (rename later) for commonly used document and environment details, and cleaned up some requires
2008-05-10 ralph@amissah.com
34cee014

syenv updates, mostly sql related
2008-05-10 ralph@amissah.com
738c2473

some re-arrangement related to sqlite3 testing (including a rudimentary sql import file, dbi by-pass)
2008-05-10 ralph@amissah.com
d004875c

addition of a couple of multiline search tags, and minor rearrangement
2008-05-10 ralph@amissah.com
dc0648fe

sisu-0.66.2 + md5s
2008-04-25 ralph@amissah.com
29d6ad93

changelog and version updated
2008-04-25 ralph@amissah.com
e373b94f (tag: sisu_0.66.2)

update changelog
2008-04-25 ralph@amissah.com
303107cd

sqlite3 complete transaction issue not yet resolved
2008-04-24 ralph@amissah.com
a8c78d0c

move to sqlite3, an issue with finalising transactions (commit, close...)
2008-04-24 ralph@amissah.com
ebda41b0

sisu-0.66.1 + md5s
2008-03-30 ralph@amissah.com
16b42d24

changelog and version updated
2008-03-30 ralph@amissah.com
c504ed42 (tag: sisu_0.66.1)

minor fixes, changelog note on debian debhelper compat >=6
2008-03-30 ralph@amissah.com
cf4ac1d8

tex to pdf, xetex (utf8) added as alternative to pdftex
2008-03-22 ralph@amissah.com
bbd1100d

track a couple of questions
2008-03-14 ralph@amissah.com
cb0a9b1b

extend semantic shorthand
2008-03-01 ralph@amissah.com
439a0b77

sisu-0.66.0 done
2008-02-25 ralph@amissah.com
d79ff267

changelog and version updated
2008-02-24 ralph@amissah.com
68114cb6 (tag: sisu_0.66.0)

clean screen output
2008-02-24 ralph@amissah.com
623b97ad

CHANGELOG 0.66 and ruby identify program files as utf-8
2008-02-24 ralph@amissah.com
2ff88bb0

information update
2008-02-24 ralph@amissah.com
7de4fcdd

enable conversion from sst to various forms of input xml and back including 0.66 tags
2008-02-24 ralph@amissah.com
ec9282e2
sst_to_s_xml (sax/dom/node) semantic xml mockup naive conversion of known abbreviated tags,
in flux, e.g.
  sisu --to-sax autonomy_markup0.sst
back to sst markup with:
  sisu --from-sxml autonomy_markup0.sxs.xml
sst_to_s_dom fix to footnote/endnote conversion

make possible to strip 0.66 markup in dal commit
2008-02-24 ralph@amissah.com
db151024

for now strip sisu-0.66 semantic markup tags
2008-02-24 ralph@amissah.com
528875ec

extract identification of use of sisu-0.66 markup tags
2008-02-24 ralph@amissah.com
654d4984

identify sisu-0.66 tags
2008-02-24 ralph@amissah.com
5c5510b3

vim syntax highlighting for sisu-0.66
2008-02-24 ralph@amissah.com
b3e9f8db
refinements to semantic tag matching
still no error checking and match wider than likely to be ultimately
check for earlier versions of vim removed
updated to use "hi def link" instead of HiLink

sisu-0.65.0
2008-02-16 ralph@amissah.com
2d88e919

changelog and version updated
2008-02-16 ralph@amissah.com
b1544cda (tag: sisu_0.65.0)

regex matches vim syntax hilighting
2008-02-16 ralph@amissah.com
9e789c86

markup tag match refinement
2008-02-16 ralph@amissah.com
daf2b7fe

refinement to semantic tag regex matching
2008-02-15 ralph@amissah.com
2cd36957

sisu-0.64.4-1 + md5s
2008-02-14 ralph@amissah.com
34b727d1

changelog and version updated
2008-02-14 ralph@amissah.com
ec5e2d9f

manpage clean
2008-02-14 ralph@amissah.com
d6092833 (tag: sisu_0.64.4)

changelog and version
2008-02-14 ralph@amissah.com
774847f0

for now render new markup syntax inactive
2008-02-14 ralph@amissah.com
7322b33b

enable identification of new markup
2008-02-14 ralph@amissah.com
6d345eae

introduce syntax highlighting for new syntax markers
2008-02-14 ralph@amissah.com
40e09659

minor information/help (man page) related
2008-02-14 ralph@amissah.com
2aa25d8c

sisu-0.64.3
2008-02-06 ralph@amissah.com
df792b86

changelog and version updated
2008-02-06 ralph@amissah.com
d9583c54 (tag: sisu_0.64.3)

date
2008-02-06 ralph@amissah.com
56b4da68

minor update
2008-02-05 ralph@amissah.com
e9a250f9

version rolled back, not ready to open ruby 1.9 some libraries not yet available
2008-02-05 ralph@amissah.com
8bec16e3

comment
2008-02-05 ralph@amissah.com
bcde2dab

minor info updates
2008-02-05 ralph@amissah.com
65ceda53

ruby 1.9 open; future pgsql testing on 8.3; encoding utf-8 checks; version bump 0.65.0
2008-02-05 ralph@amissah.com
4c36cadd
- ruby 1.9 use opened, testing required
- db sql pgsql future testing on version 8.3
- encoding utf-8 some compatibility checks

for update replace LIKE with '=' ; required by pg8.3 bigint
2008-02-02 ralph@amissah.com
a97f505a

sisu-0.64.2 + md5s
2008-01-19 ralph@amissah.com
199a4ec2

changelog and version updated
2008-01-19 ralph@amissah.com
9311a548 (tag: sisu_0.64.2)

mkdir_p, and again close running of ruby 1.9
2008-01-19 ralph@amissah.com
d6b580c9
- mkdir_p, [instead of ftools file.mkpath]
- running against ruby 1.9 closed for now
  raise request for use of version 1.8 branch
- manual update version

permit to run on ruby 1.9, debian unstable requires it
2008-01-18 ralph@amissah.com
48bbce70

sisu-0.64.1 + md5s
2008-01-09 ralph@amissah.com
83b61a60

changelog and version updated
2008-01-09 ralph@amissah.com
0d88f12f (tag: sisu_0.64.1)

odf bug (angle brackets) preliminary fix
2008-01-09 ralph@amissah.com
c4cc1e5a
odf bug reported related to use of angle brackets in markup
affects some odf output, preliminary fix

correct a date
2008-01-03 ralph@amissah.com
f158725f

sisu-0.64.0 + md5s
2008-01-02 ralph@amissah.com
2362b15e

changelog and version updated
2008-01-02 ralph@amissah.com
5e4f7f21 (tag: sisu_0.64.0)

manual download version updated, minor
2008-01-02 ralph@amissah.com
8bc1d842

changelog update on packaging bug #454372, on purge, postrm removal of /etc/sisu
2008-01-02 ralph@amissah.com
9a2a8b83

bump version number
2008-01-02 ralph@amissah.com
58084d17

sql, postgresql allow tcp/ip connections, parameters from rc file, sisurc.yml
2008-01-02 ralph@amissah.com
084433a8

year updated to 2008 - happy new year
2007-12-31 ralph@amissah.com
e70f4053

adjustments for ruby1.9 (xmas), in sysenv moved default location of processing directory
2007-12-31 ralph@amissah.com
79ec1b33
sysenv, processing in subdirectory under /tmp/_sisu_processing~ [instead
of within home], (subdirectory) named after owner with permissions
restricted to owner

change primary key indexes to bigint (requested)
2007-12-31 ralph@amissah.com
1dd09c87

sisu-0.63.0 + md5s
2007-12-20 ralph@amissah.com
a34b7c62

changelog and version updated
2007-12-20 ralph@amissah.com
67074fe9 (tag: sisu_0.63.0)

sisupod, bugfixes for rsync placement and for download and processing
2007-12-20 ralph@amissah.com
3535397c

rsync sisupod, bugfix
2007-12-17 ralph@amissah.com
b1afa422

texpdf, generate sisu latex output in a single pass
2007-12-17 ralph@amissah.com
a9d166c6
implications if additional modules added
e.g. provide dvi file without latex pdf headers
or generate an A6 document by default for e-readers capable of reading pdf
(this would otherwise require a separate pass/loop of content for each
type to be generated)
current shortcoming, images are sized for smaller landscape output by
default, image dimension adjustments not yet made (for different
orientation)

sisu-0.62.4 + md5s
2007-12-14 ralph@amissah.com
25fca204

changelog and version updated
2007-12-14 ralph@amissah.com
2b9542e0 (tag: sisu_0.62.4)

gpl links etc.
2007-12-14 ralph@amissah.com
1ce7060c

vim search and replace default set to C-@
2007-12-08 ralph@amissah.com
a4b2e0c5

changelog and version updated
2007-12-08 ralph@amissah.com
084d10a9

gpl links updated and added link to plaintext as allows for convenient use of vim gf
2007-12-03 ralph@amissah.com
48318c93

vim ftplugin/sisu and colors/slate
2007-12-03 ralph@amissah.com
60ac9183
ftplugin, added toggle for menu
slate, added cursor line and column color black ... may not provide enough contrast for some, this way i use it though

sisu-0.62.3-3 + md5s
2007-11-30 ralph@amissah.com
da12ef26

changelog and version updated
2007-11-30 ralph@amissah.com
7b51b2f8

note made in changelog about need to prefix Dm-Upload-Allowed with -XS
2007-11-30 ralph@amissah.com
158fc754

sisu-0.62.3-2 + md5s
2007-11-29 ralph@amissah.com
76e9f80f

changelog and version updated
2007-11-29 ralph@amissah.com
b2ba824e

sisu-0.62.3 + md5s
2007-11-27 ralph@amissah.com
5c56af2b

changelog and version updated
2007-11-27 ralph@amissah.com
8149d722 (tag: sisu_0.62.3)

html scroll more convenient (code) placement of line separator <hr>
2007-11-27 ralph@amissah.com
c87c41a5

Dm-Upload-Allowed: yes
2007-11-26 ralph@amissah.com
61773282

0.62.3 version pre-build
2007-11-26 ralph@amissah.com
a0034e64

html scroll line separator before document information
2007-11-26 ralph@amissah.com
061ef005

html scroll, <hr> line separator before endnotes and metadata
2007-11-26 ralph@amissah.com
6b9b5203

sisu_download.ssi version number info
2007-11-26 ralph@amissah.com
99b2f566

sysenv, scp provide variable, fix
2007-11-26 ralph@amissah.com
6ce42d65

sysenv step in remote images test needs to be retained
2007-11-26 ralph@amissah.com
b0b8fd1f

various small adjustments for 0.62.3
2007-11-26 ralph@amissah.com
bee31a90
- html <hr> follows text, before footnotes (refine later)
- rsync remote images partial fix
- minor bug fix, related to error message passing, in texpdf and url
- sisu_manual version info
- vim ftplugin, status line info on cursor position modified

sisu-0.62.2 + md5s
2007-11-03 ralph@amissah.com
fa196b1f

changelog and version updated
2007-11-03 ralph@amissah.com
7b7f6708 (tag: sisu_0.62.2)

linitan override for homepage field
2007-11-03 ralph@amissah.com
487179ac

touch
2007-11-03 ralph@amissah.com
f238bd9d

remote markup source, image download; vim ftplugin sisu.vim status line; vim colors reporting of slate.vim
2007-11-03 ralph@amissah.com
07a81e99

generate from remote markup source, image path fix and some cosmetic re-arrangement
2007-11-01 ralph@amissah.com
cfe3d294

note on debian/control Homepage header
2007-10-26 ralph@amissah.com
8fa4231c

db rearranging, create, drop, import (and a renaming: db_dbi from shared_db)
2007-10-26 ralph@amissah.com
96049bf5

sisu-0.62.1 + md5s
2007-10-22 ralph@amissah.com
b180201d

changelog and version updated
2007-10-22 ralph@amissah.com
b9e1e445

version change 0.62.1
2007-10-22 ralph@amissah.com
4f0ea624 (tag: sisu_0.62.1)

regex to match composite file names in db common and cgi
2007-10-22 ralph@amissah.com
c3254743

sisu-0.62.0 + md5s
2007-10-20 ralph@amissah.com
bc35b52f

changelog and version updated
2007-10-20 ralph@amissah.com
d0231794 (tag: sisu_0.62.0)

dal, available shared output shortcut, adjustment needed for footnote/endnote
2007-10-20 ralph@amissah.com
f21af4b5

dal todo with path to shared source; shared xml cosmetic
2007-10-20 ralph@amissah.com
8f62a8cc

build most likely after midnight
2007-10-19 ralph@amissah.com
20658d27

manifest image paths
2007-10-19 ralph@amissah.com
93777412

mostly paths for shared markup source (txt and pod), also...
2007-10-19 ralph@amissah.com
8c67d466
also current Debian/Sid ruby1.9 upgrade removes a bug, so a related
test/warning in options.rb removed

mostly adjustment to image paths (for local and remote operations)
2007-10-19 ralph@amissah.com
d41a9542

adjust detail for 0.62 build
2007-10-19 ralph@amissah.com
8eceaceb

first pass at fictionbook output; images posted with document rsync; also ...
2007-10-19 ralph@amissah.com
db15c23a
- first pass at fictionbook output - fictionbook is interesting, (develop over
  time or drop support)
- images in document posted with document rsync
- ruby1.9 strip bug re-encountered in debian sid build version, (unless it is
  my setup)
see changelog

minor detail
2007-10-17 ralph@amissah.com
6a95a0e1

manpage, todo with rearrangement of conditionals, adjusted and sisu.1 regenerated
2007-10-16 ralph@amissah.com
b0d16176

image list, extracting conditions and regex visited
2007-10-16 ralph@amissah.com
45acf3b7

mostly the arrangement of conditionals
2007-10-15 ralph@amissah.com
e1ec4bd2

regex matching of images, (and rearrangement of conditionals)
2007-10-15 ralph@amissah.com
8e092e0f

remote_conn, accepting multiple remote hosts, sysenv also beginning of rearrangement of conditionals
2007-10-15 ralph@amissah.com
33adab3a

remote server configuration info set in sisurc.yml for multiple hosts, sysenv and help
2007-10-15 ralph@amissah.com
4ef892c9
sisurc.yml remote host settings takes both old and new configuration notation
new being through use of Array for each host '-' separator, [example is provided]

composite master renaming, and; multiple remote puts (rsync|scp)
2007-10-15 ralph@amissah.com
7c6478d2
- composite master files: eliminate ._sst, replace with .ssm.sst
- multiple remote hosts ("distributed" rsyncing), yml config files remote now
  uses array
with all recent changes (directory shunting) much testing is yet to be done,
state is unstable some things are known not to work this instant, e.g. sisu -V

default image directories moved, more convenient/logical [test]
2007-10-14 ralph@amissah.com
75d9ef83

shared markup source output moved to own common src directory
2007-10-14 ralph@amissah.com
69e8c052

remote, (put, get) in single file; embedded content, posted locally and remotely using rsync
2007-10-13 ralph@amissah.com
84666b3d

start version marking interim releases
2007-10-13 ralph@amissah.com
a35a675f

man page update
2007-10-13 ralph@amissah.com
7e55cfa8

underscore exception requires additional tweaking of regexes, solution not optimal (sisu_markup as basic test)
2007-10-13 ralph@amissah.com
48f57660

sisu manual download page, clean
2007-10-12 ralph@amissah.com
a59b3c4f

sisu-0.61.0 + md5s
2007-10-12 ralph@amissah.com
5564435e

sisu_vim, manpage issue
2007-10-12 ralph@amissah.com
be7cc72e (tag: sisu_0.61.0)

special character exceptions, some fixes, primarily underscore
2007-10-12 ralph@amissah.com
6acc0270

xml dom extract footnote from grouped text
2007-10-12 ralph@amissah.com
b05af207

available outputs shortcut display, description of odf:odt expanded
2007-10-12 ralph@amissah.com
01f5d52b

for html and latex/pdf permit switch off of object numbering display from within skins
2007-10-12 ralph@amissah.com
c6090f3f

minor cleaning, note that object character numbering for html and pdf can be changed within skin
2007-10-12 ralph@amissah.com
6867253e

sisu manual and man page update
2007-10-12 ralph@amissah.com
640d12c3

start readying for 0.61
2007-10-12 ralph@amissah.com
eacca80e

changelog bring forward release; sisu_manual, small things
2007-10-11 ralph@amissah.com
38d0e06f

sisupod_make, composite file is an exception
2007-10-11 ralph@amissah.com
39bf7a71

shared markup source, composite documents, fix look to processing directory for: text share source and binary sisupod (make)
2007-10-11 ralph@amissah.com
2178c097

sisu_manual right column, use absolute url paths and some url fixes
2007-10-11 ralph@amissah.com
4a8968d1

sysenv, extra check for sisurc search info (and a cosmetic change (quotes))
2007-10-10 ralph@amissah.com
c07cf366

changelog update
2007-10-09 ralph@amissah.com
e2a0ca35

markup header, cleaning of obsoleted url_png marker
2007-10-09 ralph@amissah.com
74de5591

texpdf, when not to output numbers on text objects
2007-10-09 ralph@amissah.com
55e57fd8

dal_syntax, relative links changed to absolute, may wish to reconsider
2007-10-09 ralph@amissah.com
b93fb15a
relative links primarily of interest for html output, for which may wish to retain

command line processing shortcuts changed
2007-10-09 ralph@amissah.com
73ab0fc4
-1 does only -hwpoyv and (obsoleted) -A changed in sysenv with -a

dal, permit writing of note before and after autogen of available outputs shortcut
2007-10-09 ralph@amissah.com
e834150d

manual, change source links to archive rather than transient repo
2007-10-08 ralph@amissah.com
3c2c67ec

dal, shortcut for available outputs, present as grouped text object
2007-10-08 ralph@amissah.com
37f81bc4
this makes more sense for search results - matches all available versions of a
document
[affects document objects and numbering where used, hence version number bump]

sisu-0.60.1 + md5s
2007-10-07 ralph@amissah.com
e9a6c2f6

changelog and version updated
2007-10-07 ralph@amissah.com
d0c52566 (tag: sisu_0.60.1)

touch download version
2007-10-07 ralph@amissah.com
88b536c9

cleaning, and make sure in xml &#160; rather than &nbsp; is used
2007-10-07 ralph@amissah.com
3804f096

dal, fix shortcult for listing available generated output (without source); html, keep ocn id where no visible ocn
2007-10-06 ralph@amissah.com
2386d74a

document header, link to markup and book examples
2007-10-06 ralph@amissah.com
3be4b9a5

param, multi-line parse, fixing @link: header
2007-10-06 ralph@amissah.com
17dfb02b

0.60.0 debian package rebuilt (-2) with debian/control reference to "sisu-doc" removed
2007-10-04 ralph@amissah.com
c59ad12e

changelog and version updated
2007-10-04 ralph@amissah.com
9f872ec2

changelog mention 0.60.0-2 debian build, debian/control remove mention of sisu-doc
2007-10-04 ralph@amissah.com
1c4972bd

sisu_download, keep changing version?
2007-10-04 ralph@amissah.com
431c8958

sisu-0.60.0 + md5s
2007-10-03 ralph@amissah.com
268d38f7

changelog and version updated
2007-10-03 ralph@amissah.com
e29c178b (tag: sisu_0.60.0)

0.60, build and post
2007-10-03 ralph@amissah.com
92e09d39

minor changes for 0.60, hub removes -A -e -E, all under -a; termsheet make path instead of dir
2007-10-03 ralph@amissah.com
652e850d

set /tmp/_sisu_processing directory permissions to 777, (each user has a sub-directory thereunder)
2007-10-01 ralph@amissah.com
9c1de41b

sitemaps touch commented out
2007-10-01 ralph@amissah.com
63212d19

proposed as sisu-0.60.0, see updated CHANGELOG
2007-10-01 ralph@amissah.com
ad5fbbc1
- parameter reading on first run of file, (initialization of parameters)
- composite files (.ssm) building moved to processing directory, to overcome
  problem of non-writable sisu-source document directories, perhaps also
  cleaner (management of files)
- latex/pdf minor cleaning,
 - caret '^' is latex special character, additional match for escaping
 - clean major headings of markup heading tag with tilde and name
    e.g. '1~meta'
- param / metadata, hash sums now returns has sum and file-name only even for
  sisu-skin

small update and fix
2007-09-30 ralph@amissah.com
d0081f94

changelog, minor edit
2007-09-29 ralph@amissah.com
b00fd983

hash test now will return only filename, no path, man page and man2html update
2007-09-29 ralph@amissah.com
d71ead0c

man2html regenerated
2007-09-29 ralph@amissah.com
064ca6df

minor adjustment for man-pages pdf, postgresql, sqlite, as primarily used there
2007-09-29 ralph@amissah.com
f5cc951f

start preparing sisu-auto-generated man pages for 0.60 release
2007-09-29 ralph@amissah.com
c5e3e37e

prepare documentation for use ...
2007-09-29 ralph@amissah.com
7b09e652

sisu documentation related
2007-09-29 ralph@amissah.com
7d9fced3

reorganising documentation
2007-09-29 ralph@amissah.com
761f2323

defaults & configuration of suggested manpage generating/viewing tool/display
2007-09-28 ralph@amissah.com
5240532e

removal of auto-generated manpages
2007-09-28 ralph@amissah.com
7903fdb6

remove additional (auto-generated) manpages, re-evaluate each addition
2007-09-28 ralph@amissah.com
8efb2177

param parsing changed to multi-line (affects regex matching, watch); manpage related changes, manpage header @man: added in param and used in manpage
2007-09-28 ralph@amissah.com
7475e34f

hub, help info provided on typing sisu change
2007-09-28 ralph@amissah.com
d0b04c36

for now remove (sphinx or robot) images, obtain compatible copyright permission from author, likely not to be a problem, but clarify
2007-09-28 ralph@amissah.com
162fe2a5

matches to take account of internal new naming/tagging of "document information" heading 1~meta
2007-09-26 ralph@amissah.com
3f282d76

sisu-0.60 intruduces separate sisu-doc package, rationale in CHANGELOG
2007-09-26 ralph@amissah.com
8d5f29f4

gen manual pages alone for testing
2007-09-26 ralph@amissah.com
594d7bb0

make "rant" document generation possible without copying of files into sisu package
2007-09-26 ralph@amissah.com
2a391443

changelog info updated
2007-09-26 ralph@amissah.com
7ca12a4b

segmented html fix for batch processing placement of heading :A-:C footnotes in first segment
2007-09-26 ralph@amissah.com
9f52af3d

dal, make metaverse heading :A (represented internally as 1~) easily distinguishable, (tagged 1~meta)
2007-09-26 ralph@amissah.com
b49c8cdc

help, (hub), minor reorganisation and a change in response for typing 'sisu' without options
2007-09-26 ralph@amissah.com
a36b83da

sysenv, sisurc.yml allow use of relative output paths, expand to absolute
2007-09-26 ralph@amissah.com
0770dd95

document gen rantfile, use relative path, (cleaning)
2007-09-26 ralph@amissah.com
b04ac0d9

changelog explains rational behind sisu-0.60 removal of generated document output from the main sisu
2007-09-26 ralph@amissah.com
15e330dc
- changelog explains rational behind sisu-0.60 removal of generated document output from the main (sisu) source tarball
- configuration files changed to output generated content to sisu-doc tarball directory tree

remove generated output from main package
2007-09-25 ralph@amissah.com
a72e66db

move generated output out of main package
2007-09-25 ralph@amissah.com
3282dbf3

regen
2007-09-25 ralph@amissah.com
beb6cfdf

sisu-0.59.1 + md5s
2007-09-25 ralph@amissah.com
aa8f20b5

changelog and version updated
2007-09-25 ralph@amissah.com
d549a9a8 (tag: sisu_0.59.1)

documentation regenerated
2007-09-25 ralph@amissah.com
3d67c3ba

manual homepage for now
2007-09-25 ralph@amissah.com
be92fd0e

sisu documentation minor updates
2007-09-25 ralph@amissah.com
2c9d9472

document generation Rantifle config fix, and config file path change
2007-09-25 ralph@amissah.com
f63e4194

cosmetic: html table of contents; urls html output
2007-09-25 ralph@amissah.com
9208f711

documentation regenerated, large diff
2007-09-24 ralph@amissah.com
a6d72d82

changelog update
2007-09-24 ralph@amissah.com
a25e6dc1

toc, css, distinguish "Document Information (metadata)" link from other links, made smaller
2007-09-24 ralph@amissah.com
57486aeb

html toc, css, cosmetic fix for rights and prefix in toc
2007-09-24 ralph@amissah.com
7a77fb05

html table of contents, cosmetic fix for rights and prefix appearing with toc
2007-09-24 ralph@amissah.com
d345aacb

changelog update
2007-09-24 ralph@amissah.com
ff9fc025

plaintext, space between endnotes where --endnote option selected
2007-09-24 ralph@amissah.com
9ce8e0c7

manpage, special character fixes
2007-09-24 ralph@amissah.com
341e92ed

minor cleaning of documentation source, headers
2007-09-24 ralph@amissah.com
0c414e38

documentation, sisu_download.ssi maintenance NOTE:
2007-09-24 ralph@amissah.com
eb0175ca
for version of document insert kept within packge:
- update sisu version numbers to build to be created, and
- keep stripped of package version hashes
  (which are only available subsequent to build)

sisu-0.59.0 + md5s uploaded to sisudoc.org debian repo 2007-09-23 (Accra @ Uncle Jack's)
2007-09-24 ralph@amissah.com
a558d2e6

changelog and version updated
2007-09-23 ralph@amissah.com
5fd7eb0a (tag: sisu_0.59.0)

minor cleaning
2007-09-23 ralph@amissah.com
4ac76c46

primarily todo with sisu documentation, changelog reproduced below:
2007-09-23 ralph@amissah.com
50d45c6d
- start documenting sisu using sisu
 - sisu markup source files in
    data/doc/sisu/sisu_markup_samples/sisu_manual/
    /usr/share/doc/sisu/sisu_markup_samples/sisu_manual/
 - default output [sisu -3] in
    data/doc/manuals_generated/sisu_manual/
    /usr/share/doc/manuals_generated/sisu_manual/
    (adds substantially to the size of sisu package!)
- help related edits
- manpage, work on ability to generate manpages, improved
- param, exclude footnote mark count when occurs within code block
- plaintext changes made
- shared_txt, line wrap visited
- file:// link option introduced (in addition to existing https?:// and
  ftp://) a bit arbitrarily, diff here, [double check changes in sysenv and
  hub]
- minor adjustments
 - html url match refinement
 - css added tiny_center
- plaintext
 - endnotes fix
 - footnote adjustment to make more easily distinguishable from substantive
    text
 - flag -a only [flags -A -e -E dropped]
    controlled by modifiers --unix/msdos --footnote/endnote
- defaults, homepage
 - renamed homepage (instead of index) implications for modifying skins,
    which need likewise to have any homepage entry renamed
 - added link to sisu_manual in homepage
- css the css for the default homepage is renamed homepage.css (instead of
  index.css) [consider removing this and relying on html.css]
- ruby version < ruby1.9
 - place stop on installation and working with for now [ruby String.strip
    broken in ruby 1.9.0 (2007-09-10 patchlevel 0) [i486-linux],
    2007-09-18:38/2]
 - debian/control restrict use to ruby > 1.8.4 and ruby < 1.9
- debian
 - debian/control restrict use to ruby > 1.8.4 and ruby < 1.9
 - sisu-doc new sub-package for sisu documentation
    debian/control and sisu-doc.install

sisu-0.58.3 + md5s
2007-09-06 ralph@amissah.com
b98abcba

changelog and version updated
2007-09-06 ralph@amissah.com
380c2aa4 (tag: sisu_0.58.3)

cosmetic output fixes related to 'Copy @' default note
2007-09-06 ralph@amissah.com
d11d4c51

distinguish param's markup type identifier module from standalone
2007-09-06 ralph@amissah.com
e483f855

sisu-0.58.2 + md5s
2007-09-05 ralph@amissah.com
1234561b

changelog and version updated
2007-09-05 ralph@amissah.com
0020fb24 (tag: sisu_0.58.2)

code-block exceptions for composite documents sisu-0.58.2
2007-09-05 ralph@amissah.com
459119df

sisu-0.58.1 + md5s
2007-09-04 ralph@amissah.com
dd3fb566

changelog and version updated
2007-09-04 ralph@amissah.com
8d5cf231 (tag: sisu_0.58.1)

dal detail, code-block exception to header markup of bold and italics
2007-09-04 ralph@amissah.com
cd0649bf

comment
2007-09-04 ralph@amissah.com
ea4deaae

grouped text, pdf indents and size
2007-09-04 ralph@amissah.com
f153bba3

code-block exceptions
2007-09-04 ralph@amissah.com
f7a6194c

sisu-0.58.0 + md5s
2007-09-04 ralph@amissah.com
8d66ef70

changelog and version updated
2007-09-03 ralph@amissah.com
70ec44da (tag: sisu_0.58.0)

changelog note on minor change to debian/control
2007-09-03 ralph@amissah.com
74e49e21

sisu-0.58 work towards making it possible to describe sisu and sisu markup within sisu
2007-09-03 ralph@amissah.com
2cd558f6

sisu-0.57.0 md5s
2007-08-23 ralph@amissah.com
f3387d9b

changelog and version updated
2007-08-23 ralph@amissah.com
94eed15f (tag: sisu_0.57.0)

recognise .ssm filetype in hup, make sisu --identify parse .ssm files without complaining, (check for kockon)
2007-08-23 ralph@amissah.com
9721c3a4

version bump to 0.57, minor addition to markup (a header to heading shortcut) and sisurc.yml update for additional search form option (hyperestraier)
2007-08-22 ralph@amissah.com
91f5be6f
 - markup addition, headings, shortcut for top level title (and author)
    :A~ @title @author (also available for level 2 (or 3) author) [version bump]
 - param markup identifier (and identifier) updated to identify markup
    addition in 0.57, :A~ @title
 - html search form in navigation band/banner and promo, adjustments,
    hyperestraier option offered in promo, requires change in sisurc.yml
 - sisurc.yml requires changes to make use search form options, [version
    bump] sample updated and commented out

small fixes to manifest and html_scroll, and adjustment to html navigation band use in concordance and manifest
2007-08-21 ralph@amissah.com
7ef4f9a3
- manifest
 - use relative link by default
 - in absence of configured url_root (http://) use info on location on local
    filesystem (file://)
- html outputs, navigation band/banner adjustment, in concordance and manifest
- html scroll, fix to document information link in table of contents

0.56.3 md5s
2007-08-21 ralph@amissah.com
5bacb121

changelog and version updated
2007-08-19 ralph@amissah.com
a15a426a (tag: sisu_0.56.3)

sisu-0.56.3 minor update, small fixes
2007-08-19 ralph@amissah.com
a19b7494
 - manifest make file-type descriptions simpler to understand
 - copyright restricted to rights tag, unless none, in which case rights tag
    gets creator information
 - copyright mark picked up in rights if 'Copyright (C)' is used
 - tex/pdf url matching semi-colon following url
 - endnote heading, apply tag to exclude numbering and segment heading where
    there is no segment
 - html scroll endnote text minor fix
 - initialize site structure, make copy site images default (sisu -CC)

sisu-0.56.2 + md5s
2007-07-31 ralph@amissah.com
0e5ffbf0

changelog and version updated
2007-07-31 ralph@amissah.com
807964d7

odf regex matches, 0.56.2
2007-07-31 ralph@amissah.com
5aa5fb54

changelog and version updated
2007-07-31 ralph@amissah.com
b34082b8

info related to match change
2007-07-31 ralph@amissah.com
65ddb9b6 (tag: sisu_0.56.1)

endnote,url regex matching, refinement - still a limitation in mixed use of shortcut
2007-07-31 ralph@amissah.com
c54fc5e3

sisu 0.56.0 + md5s
2007-07-31 ralph@amissah.com
9c64fde5

changelog and version updated
2007-07-31 ralph@amissah.com
cde0c4c1 (tag: sisu_0.56.0)

note on new version number
2007-07-31 ralph@amissah.com
380ff9c4

rebuild with new version number
2007-07-31 ralph@amissah.com
e7b1b0c6

sisu-0.55.7 + md5s
2007-07-31 ralph@amissah.com
6b8574fc

changelog and version updated
2007-07-31 ralph@amissah.com
6e97528e (tag: sisu_0.55.7)

changelog date
2007-07-31 ralph@amissah.com
76a97e3b

man page date minor
2007-07-30 ralph@amissah.com
cdf35004

-0 no longer produces output without numbering (ocn), help info updated
2007-07-30 ralph@amissah.com
b5c601bd

replace tabs with spaces
2007-07-30 ralph@amissah.com
b44d71f6

replace unintended tabs with spaces
2007-07-30 ralph@amissah.com
f17c8b94

processed number added for urls and remote placement
2007-07-30 ralph@amissah.com
8643893b

mention need to rebuild database
2007-07-30 ralph@amissah.com
4ab55930

increase size of identifier in db, url (identifier) automatically constructed in param
2007-07-30 ralph@amissah.com
3725ec08

url matching, semi-colon as possible terminator, in dal match https
2007-07-30 ralph@amissah.com
a99e0de5

using postive lookahead for url matching, test if to change
2007-07-28 ralph@amissah.com
31745ffc

sisu-0.55.6 urgency=medium +md5s
2007-07-28 ralph@amissah.com
262ae3c5

changelog and version updated
2007-07-28 ralph@amissah.com
a85bbc6a (tag: sisu_0.55.6)

url matching, refinement necessary, use of positive lookahead not avoided, correction and rebuilt
2007-07-28 ralph@amissah.com
a407aff4

changelog touch
2007-07-28 ralph@amissah.com
97b20df5

mention of rake
2007-07-28 ralph@amissah.com
adf89025

dir names changed
2007-07-28 ralph@amissah.com
30733c44

commit rbuild as common rake rant build file
2007-07-27 ralph@amissah.com
580a36e5

maintain rinstall as a common rant (Rantfile), rake (Rakefile)
2007-07-27 ralph@amissah.com
01777d7a

rant installer adjustments
2007-07-27 ralph@amissah.com
b4946f88

multiple url matching refinements, open archive initiative
2007-07-26 ralph@amissah.com
a1fd226e

changelog, info touch
2007-07-24 ralph@amissah.com
d91b99e2

changelog, info touch
2007-07-24 ralph@amissah.com
169af668

open archive initiative for metadata harvesting, initial implementation, decide use later -O
2007-07-24 ralph@amissah.com
b0481de5

matching of multiple urls within paragraph, fix
2007-07-24 ralph@amissah.com
55d54980

note on debian vim dealings
2007-07-23 ralph@amissah.com
93089756

vim syntax copy posted to bram, time stamped
2007-07-23 ralph@amissah.com
a6e080d3

copyright tidy
2007-07-22 ralph@amissah.com
5167ede3

vim directory moved from within addons
2007-07-22 ralph@amissah.com
55132691

sisu-0.55.5 + md5s urgency medium, Closes: #434168, vim syntax and ftplugin moved to vim-scripts directory
2007-07-22 ralph@amissah.com
d307da76

changelog and version updated
2007-07-22 ralph@amissah.com
5588c376 (tag: sisu_0.55.5)

comment on moving of vim syntax and ftplugin to /usr/share/vim-scripts
2007-07-22 ralph@amissah.com
546b06cb

refinement to underscore match for single word in dal
2007-07-22 ralph@amissah.com
566a186f

changelog update to reflect recent changes
2007-07-22 ralph@amissah.com
379f5183

output note on software libre
2007-07-22 ralph@amissah.com
d4a27daa

dal, matching of underscore so as not to be too greedy
2007-07-22 ralph@amissah.com
43897469

vim syntax, matching of url with escape url decoration tag (_url)
2007-07-22 ralph@amissah.com
0bc57c34

comment on open standards, qualification
2007-07-21 ralph@amissah.com
91cfdd0b

init output dir fix, and comment on open standards
2007-07-21 ralph@amissah.com
06275fe7

sisu-0.55.4 + md5s
2007-07-20 ralph@amissah.com
8d97ca06

changelog and version updated
2007-07-20 ralph@amissah.com
24ab90e5 (tag: sisu_0.55.4)

output comment on better reliance on standards and being software libre
2007-07-20 ralph@amissah.com
54e91dad

scope in matches of individual documents where AND is used as text matching criteria
2007-07-16 ralph@amissah.com
1aac76e1

cgi_sql_common, generated sample search form, indentation
2007-07-16 ralph@amissah.com
7b15f4d0

refactoring, tidy
2007-07-16 ralph@amissah.com
3993be7d

changelog and version updated
2007-07-14 ralph@amissah.com
4f009ef7 (tag: sisu_0.55.3)

better name for method in sample search; nedit syntax does not work
2007-07-14 ralph@amissah.com
8b3fd2d1

sample search form, previous next arrows
2007-07-14 ralph@amissah.com
4b26d5da

clean
2007-07-13 ralph@amissah.com
eefb75b9

syntax hilighting (gedit), sisu rights and other info in outputs, cgi sample search improvements, see changelog
2007-07-13 ralph@amissah.com
546ea64f

various fixes: cgi search for, manifest, concordance, diakonos syntax highlghting
2007-07-11 ralph@amissah.com
214c1b72
- cgi search subtitle and odf link
- manifest and concordance, subtitle and author info
- diakonos syntax highligthing;

cgi search form worked on and presentation, (an info button added and used)
2007-07-10 ralph@amissah.com
22fab950
- cgi, generated sample search form, rearranged presentation
- editor syntax highlighting, kate, kwrite visited

improved url matching, and texpdf tolerance and indentation levels set
2007-07-09 ralph@amissah.com
fdd1489c

sisu-0.55.2 + md5s
2007-07-07 ralph@amissah.com
70949c60

changelog and version updated
2007-07-07 ralph@amissah.com
3a76bfa8 (tag: sisu_0.55.2)

cgi-sample search form; texinfo fix; xml scaffold; help, man pages etc. visited; screen output, color set to true; docbook entries removed
2007-07-07 ralph@amissah.com
52f8b9c0
- cgi generated sample search form
 - order results on files of the same title, in multiple files (with
    different filenames)
 - postgresql, character case sensitivity, control, on/off
 - tail decoration, gplv3 & sisu info
- texinfo/info (pinfo) module starts to do something vaguely useful again
  [not a much used module, testing required]
- print XML rendition of document structure to screen -T
- sisurc.yml default, color set to true
  [apologies if this causes anyone any inconvenience, it is configurable in
  sisurc.yml]
- help, man pages, README (man(8) related and env, 'sisu -V')
- docbook entries removed for the present time
- sisu-install (install ruby rant script renamed) and permissions set to
  executable

0.55.1 sync
2007-07-04 ralph@amissah.com
765c40e5

sisu-0.55.1 + md5s
2007-07-02 ralph@amissah.com
8b75f58a

version yml !
2007-07-02 ralph@amissah.com
c20ebc52 (tag: sisu_0.55.1)

version.yml fix and changelog update
2007-07-02 ralph@amissah.com
aecab590

odf problem where project name not included in conf dir
2007-07-02 ralph@amissah.com
98e238d8

- dal, auto-numbering (minor) fix for segments/headings * cosmetic fixes,   * screen output of project name   * screen output when generating tex pdf   * debian documents skins   * html indent levels, regular and bulleted text
2007-07-02 ralph@amissah.com
7432be8d

sisu-0.55.0, gpl3 md5s
2007-07-01 ralph@amissah.com
c2f1de99

rant sisu installer
2007-07-01 ralph@amissah.com
dc57a4e6 (tag: sisu_0.55.0)

Rantfile header info
2007-07-01 ralph@amissah.com
35f42b01

additions, gpl text and images
2007-07-01 ralph@amissah.com
e7ae14fb

primarily gpl3 changes, license changed, license included, images added
2007-07-01 ralph@amissah.com
074d3109
skins cleaned a bit and output info on sisu modified, esp. in html
html no link to concordance if generated on document above word count 260k
odf url match bug fix
dal text block fix for dealing with url to be followed by <br>
minor cosmetic stuff

minor cleaning of rant file
2007-06-25 ralph@amissah.com
6d4d5978

sisu-0.54.1 + md5s
2007-06-15 ralph.amissah@gmail.com
130aca11

cgi search script fix, related to highlighting matches, changelog update, rest removal of hanging whitespace
2007-06-15 ralph.amissah@gmail.com
6be61200 (tag: sisu_0.54.1)

sisu-0.54.0 (minor additions to syntax, indent range extended)
2007-06-14 ralph.amissah@gmail.com
4c11eebf (tag: sisu_0.54.0)
- indent levels (1-9) added [previously two levels] done for plaintext, html,
  xml, odf, latex/pdf [minor syntax addition (_3 - _9), version number
  change]
- bullet indent levels (1-9) added [previously two levels] done for
  plaintext, html, odf, latex/pdf [minor syntax addition (_3* - _9*), version
  number change]
- url decoration, open close, default angle brackets <http://url>
- fixes, some line-breaking for plaintext (and text groups for) odf and xml
- css, modifications for extended indents in html and xml [sisu -CC (for
  update)]
- vim syntax highlighter updated to take account of extended indent range
- rant installer minor changes for future ruby
- conversion script in data/sisu/conf/convert/sisu_convert

0.53.0, pre-build, see changelog, library naming changed for scm, placed under v0 (instead of 0.53)
2007-06-02 ralph.amissah@gmail.com
26767cc8 (tag: upstream/0.53.0, tag: sisu_0.53.0)

restrict use to ruby1.8 branch, i.e. < 1.9
2007-05-24 ralph.amissah@gmail.com
d1221f43

restrict use to ruby1.8, plus some minor housekeeping changes file exist? instead of exists?
2007-05-23 ralph.amissah@gmail.com
c94f5919

sisu-0.52.7 + md5s
2007-05-22 ralph.amissah@gmail.com
49840705

Imported upstream version 0.52.7
2007-05-22 ralph.amissah@gmail.com
65477054 (tag: upstream/0.52.7, tag: sisu_0.52.7)
